2021-05-18  David Tardon  <dtardon@redhat.com>  [d0eb7d93dd8c604959589cd96bd7474274517f45]

	cid#1484891 unitialized scalar variable

	Change-Id: Iea5d2dbe52673dc8008642b874abd993bf217c55

2021-05-16  David Tardon  <dtardon@redhat.com>  [a853440f9127f05aef1209dec5ca1258517f3681]

	prepare for a release

	Change-Id: Ib1f8121684d93612ee60a5f0ddf7b3274e5317eb

2021-05-16  David Tardon  <dtardon@redhat.com>  [84a027417933c3c4fbcc69b1b8e659f4dadbe4b1]

	update tests

	This was broken by commit 12f8f1e5ae385518cfaf83acdd6e8a6e0b20ec82 .

	Change-Id: I6599d0a6ff42b755985be458edfeefba2a1618d4

2021-02-20  David Tardon  <dtardon@redhat.com>  [27ef4080e48ebf6bad8275ca092c84885f56c05c]

	use mdds-1.5 by default

	Change-Id: Icf09399b9c69f1fa82cfc863cd9d7396dcfd9ce5

2021-02-11  ALONSO Laurent  <laurent.alonso@inria.fr>  [14144c163dff19ca9f52a087deaf2518ee15128a]

	Remove a warning and add some bool(optional) to be more coherent...

	Change-Id: Id86f0e974cae5be03f32c4677611fd2521e3f5ef

2020-05-20  Roland Illig  <roland.illig@gmx.de>  [4b4d879a6db69ea05b89fdf99df8cb5d902d16b6]

	add missing include for std::for_each

	On NetBSD 8.0 x86_64, gcc complains:
	 NUM3Parser.cpp: In member function 'virtual bool libetonyek::NUM3Parser::parseDocument()':
	 NUM3Parser.cpp:46:3: error: 'for_each' is not a member of 'std'
	   std::for_each(sheetListRefs.begin(), sheetListRefs.end(), std::bind(&NUM3Parser::parseSheet, this, std::placeholders::_1));

	Change-Id: I723ba1bcbd10ed9215ceea8c5b224fdc5242be65
	Reviewed-on: https://gerrit.libreoffice.org/c/libetonyek/+/94450
	Tested-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>
	Reviewed-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>

2020-04-06  Laurent Alonso(fr)  <alonso.laurent@gmail.fr>  [1d952aa98f118d2a88a1af813bbef88c0b74350e]

	cppcheck: correct some warnings...

	Change-Id: I58de48b8e69bfde92b7a8d2160efa11333f1380f

2020-04-06  Laurent Alonso(fr)  <alonso.laurent@gmail.fr>  [a62b5fb16b3c731fdbe7cf666bf6c23139b877d0]

	g++: oops, correction...

	Change-Id: I10559412766ec05ed76992a526dfd555f96b437f

2020-04-06  Laurent Alonso(fr)  <alonso.laurent@gmail.fr>  [6354cd811890270d1be51a1e3758082b2a706b7c]

	g++: correct some warnings...

	Change-Id: I62abbbd9acf9cea91bdfa142d0363c7453951cdc

2019-08-12  David Tardon  <dtardon@redhat.com>  [a3ff045fba822229c2b1a837ba8cfcab365a3b21]

	recover on parsing errors

	Change-Id: I12dd08b84cd3381ff22c032bdf82f5011329d871

2019-08-12  David Tardon  <dtardon@redhat.com>  [eba9028225d42b0be4f7378cb8f881dd55c45735]

	ignore blank nodes too

	Change-Id: I9657ce6802e936b93878cd9320ab2c65710e58aa

2019-08-12  David Tardon  <dtardon@redhat.com>  [96d9e2a6951c1b07374c128f597440ef99345542]

	disable network access from XML parser

	Change-Id: Ieaa3857212414857e7414fe0da8ebae1c5d4b53e

2019-08-12  David Tardon  <dtardon@redhat.com>  [f3170bccf216d25fd730d2a59cebb87eff19ad3b]

	simplify creation of xmlTextReader

	Change-Id: I135b4da84290816860e002c33a85b22a2f3dff47

2019-04-11  ALONSO Laurent  <laurent.alonso@inria.fr>  [e27270abd5508c9bd7f4d2ea862ffb2ed9977985]

	Simplify a little the code...

	Change-Id: Ia1b8c8dacdfa6d79ca5ac06571958e2bff593131

2019-04-10  ALONSO Laurent  <laurent.alonso@inria.fr>  [32d97bc0d377f504a4833da882ee1a33c2e6d1df]

	iwa[text box]: try to retrieve some fit-to-size, ...

	Change-Id: I410c584945f31cfbf0e052f5dae9b05e72043495

2019-04-10  ALONSO Laurent  <laurent.alonso@inria.fr>  [fcdf0fd044c90f8ef7f8800ee224014beec73802]

	list[all]: avoid to create some empty item line...

	Change-Id: I26fd7f9d428cbc01c89099082fb3c6948324d7a3

2019-04-09  ALONSO Laurent  <laurent.alonso@inria.fr>  [95696d9b23be351b60ab9d17ff0bb890af85c4d7]

	iwa[key,pages]:try harder to retrieve the position if autoresized

	Change-Id: Ib38a6889c0b8b8756b8cd7343c75efd10e6a20f3

2019-04-09  ALONSO Laurent  <laurent.alonso@inria.fr>  [3cecd5ac1183ed8ed9ee92bae33ff231a84bb781]

	iwa[shape]: when size is empty, use path's size...

	Change-Id: I19dcdcd78dbbe98dce157a9296337a28d4232e90

2019-04-07  ALONSO Laurent  <laurent.alonso@inria.fr>  [54fac59bb8017b5d9e568f07bac423a4cc5ecb40]

	pages[xml]: retrieve lines attached as page...

	Change-Id: I477ae47b3bb1722411e2ed388f80aa78b4fff838

2019-04-07  ALONSO Laurent  <laurent.alonso@inria.fr>  [7ad7c4db5b22e8486b99f4b036963b1cf1d2f935]

	pages[iwa]: try to retrieve some page's background, to be improved.

	Change-Id: If6c82351b8792a055b24b4234a751ca78c6aec97

2019-04-05  ALONSO Laurent  <laurent.alonso@inria.fr>  [697313f5bb3b8d619d9bb1f8b0ee0fc844e2058e]

	pages[all]: try to retrieve text boxes attached as char...

	Change-Id: Ic015bdaf8bda94547b3a752c8c28ae90bd9b2c10

2019-04-05  ALONSO Laurent  <laurent.alonso@inria.fr>  [9c097a20c7a1a28593339b0d437ab5e813e04c33]

	.pages[all]: try to retrieve more complex groups...

	Change-Id: I29057c1ffaf3a528e81b3ff11e9811981f453275

2019-04-05  ALONSO Laurent  <laurent.alonso@inria.fr>  [df6ec0bbd16189abd73fafe463a7a494d0479bdd]

	iwa[all]: try to retrieve image's mask(to be improved...)

	Change-Id: Ib9547d1efbc2f38bd80e5df7455b6ae7cdf9892e

2019-04-04  ALONSO Laurent  <laurent.alonso@inria.fr>  [5c9e41e85e780261f73baa56a6c5ed2c424ad7b0]

	pages[.iwa]: try to retrieve endnote as endnote...

	Change-Id: I9353468866fd4c8151d3ff2895216edd9205fd54

2019-04-04  ALONSO Laurent  <laurent.alonso@inria.fr>  [5c6ac8940546c18878ccff1ab26bc89b921ea4a3]

	key[.xml]: do not add uneeded empty lines + astyle

	Change-Id: I5a705c2ca1825e941ca017b5733a9139fb65cff1

2019-04-04  ALONSO Laurent  <laurent.alonso@inria.fr>  [921877e614d03820fbd51d7a6c5689cde72304c9]

	.iwa[all]: convert correctly the stroke type...

	Change-Id: Ife97292cbe7bd0993bd420626f621b9202fd4c6f

2019-04-03  ALONSO Laurent  <laurent.alonso@inria.fr>  [1f490e3ba099f2435fe5c28372c4a9f4aed992e4]

	all: BaselineShift is stored in point...

	Change-Id: I6220583f4da9013edb320a2f24fd3a53a9ed3e8f

2019-04-03  ALONSO Laurent  <laurent.alonso@inria.fr>  [edb6cbdd5981b3e77e98d70a913f4847c63134fa]

	iwa[pages]: retrieve headers/footers even if the document is empty.

	Change-Id: If141c01a3a0737ced5ba4bbf9902985cf4c09e9a

2019-04-01  David Tardon  <dtardon@redhat.com>  [8b5c77bbbce760eaea7aa7dc19b69fceeb32ad67]

	WaE: add missing initializations

	Change-Id: Idfcaf152a266a11f9694b0bc224fde6dcef42100

2019-04-01  David Tardon  <dtardon@redhat.com>  [67b75a024d04e45dd7c179c9c1687d9b8334a9d6]

	use size of array in comparison

	Change-Id: Ief098fdf710e9ab882e4c2f22c048a5294965f32

2019-04-01  David Tardon  <dtardon@redhat.com>  [14b0449b544f66800791795caebdb77d6df62fe2]

	astyle

	Change-Id: I0385b0de131f175bb3cc16727952df57cc794d9e

2019-04-01  David Tardon  <dtardon@redhat.com>  [ebce3aaa202587276d8ecaf0e491ecce9ebdd099]

	WaE: comparison of unsigned expression >= 0 is always true

	Change-Id: I41e93b7c53357276bfd049d1e950d03e858357d9

2019-04-01  David Tardon  <dtardon@redhat.com>  [2f2c36d6e70248c008803b000e7e0c0e675c1bea]

	WaE: declaration of ‘string’ shadows a global declaration

	Change-Id: I461eab7676c13cd589b167d0c16e0e1e84ee6dfa

2019-04-01  David Tardon  <dtardon@redhat.com>  [d1fc2fbdd4b2f567770dc39457123ab74eafb09e]

	WaE: unnecessary parentheses in declaration of ‘defBullet’

	Change-Id: I9aabc819e2154d8cc06f6226734b6c16b7624c73

2019-04-01  David Tardon  <dtardon@redhat.com>  [9fa28f50c4735b47714712040a0a6e7ace36036a]

	WaE: unnecessary parentheses in declaration of ‘wh’

	Change-Id: I02f5bd69a748a9c0c8095967c033a1ab4ff91fe5

2019-03-31  osnola  <alonso@loria.fr>  [e78bf06141d9e0325ceb9d74b2921fc7d42dac35]

	clang[warnings]: correct some warnings...

	Change-Id: If695f295d3296f1e33b2da1263f611c88c8f1549
	Reviewed-on: https://gerrit.libreoffice.org/69999
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-31  osnola  <alonso@loria.fr>  [a01093943e0f46ec7fc1501081c96f5c9c6e47b3]

	iwa[list]: try to retrieve some bullet images(or use default bullet)

	Change-Id: Id090aca1dbeda3351ddae62ed17c0392d740392d
	Reviewed-on: https://gerrit.libreoffice.org/69998
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-31  osnola  <alonso@loria.fr>  [3db3ade0aac3efe1f441ad6108b8ecc09a0f5681]

	iwa: try to retrieve more file's color correspondances...

	Change-Id: Iacd7e68d6ce952ad362dca01084be8d802ec377a
	Reviewed-on: https://gerrit.libreoffice.org/69997
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-31  osnola  <alonso@loria.fr>  [2aa0786aa15c6e490a6e39e4bf5dcdd1bb326dc8]

	key[.iwa]: try to retrieve textbox's layout properties...

	Change-Id: Ib371caab38447653ae4f63181648bd14b3dbe9c4
	Reviewed-on: https://gerrit.libreoffice.org/69996
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-31  osnola  <alonso@loria.fr>  [e154a27012c12f6546f2719a2d8bfc2fcd873c5c]

	all[.iwa]: allows to read header with multiple data infos...

	Change-Id: I6ff81df7cddf46d63c666150dbfc093080283e55
	Reviewed-on: https://gerrit.libreoffice.org/69995
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-31  osnola  <alonso@loria.fr>  [de45df55058e66fb1561e6240cc6a3eef1d12b6a]

	IWORKText.cpp[link]: be sure to close opened linked...

	Change-Id: I72f9d40d8b2d4402da3489e46fbbb38f15658caa
	Reviewed-on: https://gerrit.libreoffice.org/69994
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-31  osnola  <alonso@loria.fr>  [548c2735c09570726f08d5ae9fee8efefb54d529]

	glm: force dmat3 initialization (needed from v0.9.9.0)

	Change-Id: I2cb285f2d9bc1e9818ed946b38caaf8a5de9e61a
	Reviewed-on: https://gerrit.libreoffice.org/69993
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-31  osnola  <alonso@loria.fr>  [de6ab45c601cb43a87a9773343d63833ce5e02a8]

	iwa[numbers]: retrieve some sticky notes, to be improved...

	Change-Id: Ifb29ce590021e5b8f8695dc6a300cc89e2c20100
	Reviewed-on: https://gerrit.libreoffice.org/69992
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-31  osnola  <alonso@loria.fr>  [46523ce012db705a411ff402b1198c9481f9fba0]

	number[xml]: retrieve some sticky notes...

	Change-Id: Id597db500f208cc7570be28476d7c31e94927aaf
	Reviewed-on: https://gerrit.libreoffice.org/69991
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-31  osnola  <alonso@loria.fr>  [de5bdcb8d25c17ed89c14019cac3774d178919f3]

	iwa[comment]: retrieve author,answer,... iwa[numbers]: retrieve comment

	Change-Id: I9dcf059aa7583fb77f6353e1e26231a4b3068750
	Reviewed-on: https://gerrit.libreoffice.org/69990
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [e596bcef5823b2b7f5d5eaf6a6e55ac4a970637a]

	iwa[numbers]: coordinates seem always relative to top left...

	Change-Id: I8b93c4cee5d189363dda1e76e155ee9b758b5ebf
	Reviewed-on: https://gerrit.libreoffice.org/69988
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [a2d31ee8a60a0d7e7a45b28e5e4fad370093ebeb]

	.iwa: no longer assume that bezier paths are in unit area...

	Change-Id: I49efe7a18748d105214ff6f8f52edb76503bb9e5
	Reviewed-on: https://gerrit.libreoffice.org/69987
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [2cfef129d39eab0f59fc9cae0e54eb5613f1f9c5]

	.iwa: try to generate some group and to read hidden/visible shadow flag.

	Change-Id: I45a8b4965584ef0ec501a790560e85385d40ac61
	Reviewed-on: https://gerrit.libreoffice.org/69986
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [8435a31b7da255788536f22217c402ce6ed9527d]

	iwa: correct placement in group + retrieve workspace name in .numbers

	Change-Id: Id436a5162d09544c8de1f6de65eb2c3af859e139
	Reviewed-on: https://gerrit.libreoffice.org/69985
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [665cf8fb1cf8a73f518633dce98d058a9656a4dd]

	numbers[iwa]: begin to retrieve some shapes, to be improved...

	Change-Id: I38eacd49551d55466df211cf9bf20cdb99026c46
	Reviewed-on: https://gerrit.libreoffice.org/69982
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [e693a5ad9c021ba40a64ee957a69f5c29bd22353]

	numbers: try to recover some picture in cell which contains data...

	Change-Id: I93cd4d942ef7b6214edb1eb1f03d970a488c1d41
	Reviewed-on: https://gerrit.libreoffice.org/69981
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [a079b5f384d3f5cf100ff4104d9e3a39861fa549]

	number[xml]: try to retrieve sf:o element...

	Change-Id: I7978e6b96256c26432f14cda012d12e253381f6b
	Reviewed-on: https://gerrit.libreoffice.org/69980
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [8cb9244bc41d285a0485e31c4c499f2b19288f68]

	format: check that the number of decimals is not equal to default...

	Change-Id: I22373e48391f42447f95fb5b4f39e125d44adb71
	Reviewed-on: https://gerrit.libreoffice.org/69979
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [4b49cdd31167a39b844c7eb6db5f8d899bb41f03]

	numbers: try to recover some picture in cell...

	Change-Id: I516cc51a2b30a939e93020c638801896dc78d391
	Reviewed-on: https://gerrit.libreoffice.org/69978
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [59cd8d7306d3c51b1c1ae4b31d95ac9134bc6503]

	number[formula]: send prefix operator correctly...

	Change-Id: I48cde7154b6baa85fca308162795f4b1af25a9bf
	Reviewed-on: https://gerrit.libreoffice.org/69977
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [7f839b93c4fcb38706e70e9654942e5aadf9b661]

	number[xml]: create a special graphic sheet if needed...

	Change-Id: Iebb48608341d7830dca6659ab61975c4c41e3e2e
	Reviewed-on: https://gerrit.libreoffice.org/69976
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [d70e8bf7f93a5df467076f3537261d885efddda2]

	numbers[xml]: try to retrieve some comment in cells...

	Change-Id: I47a71df6a18205929b7b6c223c0b8e6fc2329686
	Reviewed-on: https://gerrit.libreoffice.org/69975
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [fa2ef52a6c81f789b8fa5dc30c7eed976692b014]

	numbers[iwa]: begin to add code to read comment's structure, to be continued.

	Change-Id: Iba4912de8fa0e848086b9b032a028694068e96b8
	Reviewed-on: https://gerrit.libreoffice.org/69972
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [fc8954772fbbc93f6b4f53c165aa7238f3cfda11]

	number[xml]: recover some pictures + all: allow shapes to appear in group

	Change-Id: Ia7629a2d3e2f88154cbe9965768c7ab9f55cec02
	Reviewed-on: https://gerrit.libreoffice.org/69971
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [b63820724638df49327f3c6e61cdf2d49d165c15]

	number[xml]: begin to retrieve some basic shapes, textboxes, ...

	Change-Id: Idd112864044cbf9d60dbfbd8cc158568c792fc7c
	Reviewed-on: https://gerrit.libreoffice.org/69970
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [22b8412385899d7c9b42071bda77902330a52871]

	formula: retrieve more special ranges...

	Change-Id: I4fdcd87f7f5f78911dc2bfe13219f7bf588381ac
	Reviewed-on: https://gerrit.libreoffice.org/69969
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [7f4ec27d58ca034386bd44950cd26aa1e128b87e]

	table: try to recover menu choice correctly...

	Change-Id: Id71a3db4580067e184f3d3cf9299d2fc556fa293
	Reviewed-on: https://gerrit.libreoffice.org/69961
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [f8344e8d6dec955532b894b60e8a2a1bcbfca6fd]

	numbers: set table:calculation-settings/table:use-wildcards...

	Change-Id: I45d5f4bb1766441d745cff6d5b1d93b46cf89d79
	Reviewed-on: https://gerrit.libreoffice.org/69960
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [12f8f1e5ae385518cfaf83acdd6e8a6e0b20ec82]

	numbers: try to retrieve ref to other sheets + simplify code...

	Change-Id: I52e9e905fbb63441359206a763282c733d870058
	Reviewed-on: https://gerrit.libreoffice.org/69959
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  osnola  <alonso@loria.fr>  [2c2dbc3af17ee96de493e0e5bbf73a06e4e00dfe]

	numbers[.iwa]: try to retrieve some custom formats+simplication...

	Change-Id: I7bea72b9a84fcfbead140a5e9daa5c94703e2276
	Reviewed-on: https://gerrit.libreoffice.org/69958
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-30  ALONSO Laurent  <laurent.alonso@inria.fr>  [5d22c3a0f7dddb7158bd390a4ee3a6cd2aad6793]

	numbers[.iwa]: try to retrieve ref to other sheets...

	Change-Id: I145fb2984de30a0ffcf5cb19eafacff08af1c88a
	Reviewed-on: https://gerrit.libreoffice.org/68552
	Reviewed-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>
	Tested-by: Laurent Alonso(fr) <alonso.laurent@gmail.com>

2019-03-27  ALONSO Laurent  <laurent.alonso@inria.fr>  [5efdc5b54c5318695dd195d83ddb3e40a1130638]

	numbers: try to retrieve more formats...

	Change-Id: Ie1235b6bf4a8542574e3f18e896c0eaa0a89a748
	Reviewed-on: https://gerrit.libreoffice.org/68551
	Reviewed-by: David Tardon <dtardon@redhat.com>
	Tested-by: David Tardon <dtardon@redhat.com>

2019-03-27  ALONSO Laurent  <laurent.alonso@inria.fr>  [a619e281f7f34706dacd88eae248eda001473346]

	iwa[formula]: try to retrieve some IWORKFormula...

	Change-Id: If0e8941583e76d369a93aa25fdfe2f9b2bd443bf
	Reviewed-on: https://gerrit.libreoffice.org/68550
	Reviewed-by: David Tardon <dtardon@redhat.com>
	Tested-by: David Tardon <dtardon@redhat.com>

2019-02-06  Miklos Vajna  <vmiklos@collabora.com>  [5a678f482ce856b44c06382b83158efddda6d08e]

	Fix -Werror=format-extra-args in IWAParser

	In file included from IWAParser.h:32:0,
	                 from IWAParser.cpp:10:
	IWAParser.cpp: In member function ‘bool libetonyek::IWAParser::parsePath(const libetonyek::IWAMessage&, libetonyek::IWORKPathPtr_t&)’:
	IWAParser.cpp:1004:122: error: too many arguments for format [-Werror=format-extra-args]
	           ETONYEK_DEBUG_MSG(("IWAParser::parsePath: missing prior MoveTo subsequent LineTo\n", get(type) == 1 ? 'M' : 'L'));
	                                                                                                                          ^
	libetonyek_utils.h:51:53: note: in definition of macro ‘ETONYEK_DEBUG_MSG’
	 #define ETONYEK_DEBUG_MSG(M) libetonyek::debugPrint M
	                                                     ^
	cc1plus: all warnings being treated as errors

	Change-Id: Ic87e540fa4c2a80a0edac5fba88c1f2dce342233

2018-12-29  David Tardon  <dtardon@redhat.com>  [dcfa03786c89c875b265f32387b73aad766f4caa]

	fix conditional

	Change-Id: I9c8615a401d6fbb87e2ee8619bb549d98f21f4e5

2018-12-29  David Tardon  <dtardon@redhat.com>  [dccd225fd424163623dbe5e0577ec5f82536efbb]

	bump release

	Change-Id: Ic5357d23dd8d7043c20c270bb6d28203dc61b475

2018-12-29  David Tardon  <dtardon@redhat.com>  [a30d7c7f352a695ba04ed64d291ecec86ad32b1e]

	prepare for a release

	Change-Id: Ie9d8d7122d1b04b082e0b80c30a5f9c58199b9a6

2018-12-29  David Tardon  <dtardon@redhat.com>  [6579803ea0bc964cacb1891a98d44853198adfb1]

	check for mdds 1.2 by default

	1.4 is still too new.

	Change-Id: Ifd15d0f3266f0f1abac3beaa2c79344671e20a23

2018-12-28  David Tardon  <dtardon@redhat.com>  [442bd243a55857d38026fdbf450696ebb95d939a]

	avoid assert on import of binary Numbers files

	Change-Id: I14bd097103e946b2dbb55d1c17104bab827178b8

2018-12-28  David Tardon  <dtardon@redhat.com>  [4386f0eb89aa0b479f258efe9b14580c88b7d47b]

	set correct package stream for iCloud Web Browser files

	Change-Id: I5cfafb8eb5ee262f40398453f2026dff9bee044a

2018-12-28  David Tardon  <dtardon@redhat.com>  [f49d9dd6f836be3a1560f19b2981d3c5ef201b23]

	ofz#12250 avoid division by 0

	Change-Id: Ic5b3a67cf65bd4e781a817540334b437c07c8ff0

2018-12-25  David Tardon  <dtardon@redhat.com>  [4b66055b121520f46f9eccd35d208e5a018787a1]

	combine call into a single line

	Change-Id: Idb962653bc72f15c84d711869d4149408151a095

2018-12-25  David Tardon  <dtardon@redhat.com>  [004179fc13c5cbb94d174c0c48e79fcb0f0fbe20]

	remove unneeded check

	Change-Id: Iee910a34ecfc1e01d602515c9b86d567dbc62c99

2018-12-25  David Tardon  <dtardon@redhat.com>  [dce663b768c4fe93afb4153af8e61c7eb67171aa]

	fix copypasta

	Change-Id: Idf54829d5eca5ed3e69c595adb8f8ff08b78cdb7

2018-12-25  David Tardon  <dtardon@redhat.com>  [c027c450f552f4876775531a5151c022f59c6dbf]

	reduce deps for detection test

	Change-Id: I094c3cb87a5c9e4fb00ebb992f0a2e2bc64e877c

2018-12-25  David Tardon  <dtardon@redhat.com>  [97ae24ef3e96fee83945010022585e0f9893a1d0]

	package new test file

	Change-Id: I74b6f25b0fe6628e2f30972856bec6a751888c91

2018-12-25  David Tardon  <dtardon@redhat.com>  [93a9b0dab52fc219fd2094b8e18776d113cddb65]

	rename macro

	Change-Id: I86ff97fd63eec1fba96b1bbd481609272b69a944

2018-12-25  David Tardon  <dtardon@redhat.com>  [15a5e2936938f15d971766668bfa8210378ab9a5]

	drop unneeded macro definition

	Change-Id: I497bce3f7da4d5902dd10f9546c6edeec7ad9663

2018-12-25  David Tardon  <dtardon@redhat.com>  [c5b0907204aef19bba9113d01474977e528654a4]

	restructure test for visibility

	Change-Id: I14df8198232184493cae865e21e678597c1fbe55

2018-12-25  David Tardon  <dtardon@redhat.com>  [f53d4670d566da201955b89075f191602f0ba192]

	tdf#120707 handle binary docs with extra top level dir

	Change-Id: Ic27b6f74bc912069ca107d8441b9f9985bde3161

2018-12-24  David Tardon  <dtardon@redhat.com>  [dafc9ec9c162c0ec3823234bb2b2659f790d0b8f]

	split stream tests to a separate binary

	... to avoid linking the core tests with librevenge-stream.

	Change-Id: I7d5ae9cf7df401b6fffd5cf670ba138d4a77ff94

2018-12-24  David Tardon  <dtardon@redhat.com>  [38ec24d6d30d22b440102a8dd4069cb5257bb5fe]

	add a stream impl. for handling subdirs

	Change-Id: Id6236ffe2125d525a2c764c8ebc7227b76f4f05e

2018-12-24  David Tardon  <dtardon@redhat.com>  [bf27a4d9d0c0c6c61b7c0125ad1b113ac9cef7ea]

	move detection of binary file structure to a function

	Change-Id: Ia93dd8d73438870c6d1e4d0d76c89fb617177ccb

2018-12-20  Caolán McNamara  <caolanm@redhat.com>  [3e4c48e042cf4929f9b69cf443165c8f3c299109]

	forcepoint#77 null-deref

	Change-Id: I984f0e17a5a0e2edd431f0938c69b988a2212d09
	Reviewed-on: https://gerrit.libreoffice.org/65378
	Reviewed-by: Caolán McNamara <caolanm@redhat.com>
	Tested-by: Caolán McNamara <caolanm@redhat.com>

2018-08-30  Rene Engelhard  <rene@rene-engelhard.de>  [de0212a50489a2fcfd11db8c1eeba7e48996bba5]

	support mdds 1.4


2018-05-05  David Tardon  <dtardon@redhat.com>  [935cb58a61e45f441bdea143317a7d0d52c7f944]

	WaE: unnecessary parentheses in declaration of ‘aligns’

	Change-Id: Ic3cb38d071db8e3947c09a4b216b62d18e01b6aa

2018-04-23  Caolán McNamara  <caolanm@redhat.com>  [9b78187ac2ccca0158cc9cc0bcc0576b457a78d7]

	intial-creator->initial-creator

	Change-Id: I6fe5d0732edb97ac7ff6d527f48543cab1bb3f7b
	Reviewed-on: https://gerrit.libreoffice.org/53337
	Reviewed-by: David Tardon <dtardon@redhat.com>
	Tested-by: David Tardon <dtardon@redhat.com>

2018-04-21  David Tardon  <dtardon@redhat.com>  [94ca8aa8052ce6abf0420b0ac0fb5b949fbbc4b3]

	bump version

	Change-Id: I0512bc0abcf5a23c1b99918495622a3d874e75d6

2018-04-21  David Tardon  <dtardon@redhat.com>  [4e979303c9cc4412ccd5788e399941a823f6ac3c]

	prepare for a release

	Change-Id: I3e9362cdf0f0bf278e8f8ab90d30344a863b39ea

2018-04-21  David Tardon  <dtardon@redhat.com>  [2cd34af83c74e7dd2c4fc49527760d895bd7bfb0]

	cid#1434976 workaround coverity false positive

	Change-Id: Ic31acb44691c6faa709679632f982c72a4d7b3ca

2018-04-21  David Tardon  <dtardon@redhat.com>  [79dd7d7ce45ebfde1aa7e0e733b93a6c1af9e4d0]

	cid#1434975 workaround coverity false positive

	Change-Id: I7d90b15e82b0476562551e526c01f72c7e813cee

2018-04-21  David Tardon  <dtardon@redhat.com>  [d8748ab56d2d33ae3dcc6e5142be10f28a77218f]

	cid#1434978 convert constant to bool

	Change-Id: I679fd8f79b1f2cb4cda03cd0f53000a45def6612

2018-04-21  David Tardon  <dtardon@redhat.com>  [466d91d574a48fba50a1a533ae2a9eaee0ddc77d]

	cid#1434980 initialize variable

	Change-Id: Ie4114485c14d20efc78d8418000eb54b3c354216

2018-04-21  David Tardon  <dtardon@redhat.com>  [b40ea4301a08b02996580ea842773fdce8699a0b]

	cid#1434979 use meaningful default for star path

	Change-Id: I872cf2ddac564d03dfe564896d9331d32669dea8

2018-04-21  David Tardon  <dtardon@redhat.com>  [97734c2b2e4e430e5b14c758f40b3625ca63aafa]

	cid#1434977 remove dead code

	Change-Id: I18a73a200a0adedd2fc4987391a7e9025b62326b

2018-04-21  David Tardon  <dtardon@redhat.com>  [40500fc00951e2dda1ecf7ced347316a5de7c291]

	cid#1434974 refactor to avoid warning

	Change-Id: Iab1a2776748b88f4a0e2d2c60c6ecc13b8b68aad

2018-04-21  David Tardon  <dtardon@redhat.com>  [b9413fbbac820f3d62d027ba1458363f85add111]

	cid#1434972 remove dead code

	Change-Id: I457354003baa94b4b37097d6463c9d36e6653e48

2018-04-20  David Tardon  <dtardon@redhat.com>  [19ce4cad10e5b438d506179826ae899fc2a6bc53]

	WaE: declaration of id shadows a parameter

	Change-Id: I9f4e59813689bb455717d270d7089d281798f0b5

2018-04-20  David Tardon  <dtardon@redhat.com>  [e6660bd317d32ecee2ffa1a6e74a92ec0b3c6b9d]

	WaE: ignore problems in mdds

	Change-Id: Icf01acde5b9c2a01067355d6be2d5f107238f47d

2018-04-02  David Tardon  <dtardon@redhat.com>  [43b5f686de941fc10163e35be219e76ae78c943e]

	fix copypasta

	Change-Id: Ic4e976ac1012ac799b6b747fe32fbcad0ad0c3de

2018-04-02  David Tardon  <dtardon@redhat.com>  [4061a9a24a07d3feffb1cb824bc3d27112aa7549]

	parse text background color

	Change-Id: Ica177a71f12da7dfd5b483eff94855a408c4ac21

2018-04-01  osnola  <alonso@loria.fr>  [3878b6316dd16217b16ebe95157c713db1656a57]

	iwa[table]: try to retrieve the vertical alignment, ...

	Change-Id: Id1d1d4e7be90292b1c0414f3ee6a24d5e59b9f2c

2018-03-28  osnola  <alonso@loria.fr>  [20baee0c8406f52ef16d5629f6e096b7829a8329]

	iwa[table]: try to retrieve some borders(but not the header's borders).

	Change-Id: Iaf61f021d4b2c601812bf7c12ff54b704995e38a

2018-03-28  osnola  <alonso@loria.fr>  [3c6994598b2673aa7b8f00474de1a1979ed5f4a4]

	all[.xml]: try to retrieve sf:ghost-text and sf:ghost-text-ref...

	Change-Id: Ibbc7582c45d9e886af8b16e1b7ffd50bfd479f8b

2018-03-27  David Tardon  <dtardon@redhat.com>  [437faa917b950c22f8d2aea0821b4364a4dd9daf]

	revert the logic

	Change-Id: I1cae65d607d990d18c2a35b983e6d67e6c701e5b

2018-03-27  David Tardon  <dtardon@redhat.com>  [d4f800e55e465295fbcfa2e959a292f1f73ac899]

	ofz#7114 break out of the switch too

	Change-Id: I235958335b0b1d2b3b059d611fa2b4f48711c62a

2018-03-24  Julien Nabet  <serval2412@yahoo.fr>  [78d2bbb97daf21cb782891ea0feda05e37d98624]

	cppcheck: fix some errors

	[src/lib/contexts/KEY1FillElement.cpp:81]: (style) Consecutive return, break, continue, goto or throw statements are unnecessary
	[src/lib/contexts/IWORKTableInfoElement.cpp:318] -> [src/lib/contexts/IWORKTableInfoElement.cpp:318]: (style) Same expression on both sides of '&&'

2018-03-21  osnola  <alonso@loria.fr>  [f7a995a63e4fe036cebf086de33b7f10875237ea]

	iwa[table]: try to retrieve more styles...

	Change-Id: Ia07a001a1a2f57207402070c14576c9830b74619

2018-03-18  David Tardon  <dtardon@redhat.com>  [b14bf53fe5d7e54f376a8745a4554deffcf6eb5e]

	WaE: base class has accessible non-virtual dtor

	Change-Id: I8db9c49ec1cf742c4299c120b50eeed6af3c2fb8

2018-03-18  David Tardon  <dtardon@redhat.com>  [84eb6e19dd2e56c89c9c5db40a6d965810f34bb1]

	WaE: initialize member

	Change-Id: I7f20e096e702b109eb4e8203b327bdea8a434c17

2018-03-18  David Tardon  <dtardon@redhat.com>  [02466e1f0f7c7d38d7a530bc67ac0d56e3326b18]

	WaE: initialize member

	Change-Id: I2b748f4e9a630cc04067554af2f24bdca17f33df

2018-03-18  osnola  <alonso@loria.fr>  [7a2ac5646394cdbce106b295f366918cf1ffff89]

	Numbers[.iwa]: begin to retrieve some data...

	Change-Id: Ib47d34d46c2d4d0033aa46bd28e9e7f7efb88547

2018-03-18  osnola  <alonso@loria.fr>  [7d7e491a2d1a9711aaa3f8d95cd5675315068317]

	.iwa[line spacings]: try to retrieve more attributes, ...

	Change-Id: I5d29b6a17fa02f0a3c5067c60a7685dfbe49ac30

2018-03-18  osnola  <alonso@loria.fr>  [a0538b7ba153e0b6b0d726d6b67777f16af41b6f]

	.iwa: line spacing, try to differentiate unit in percent and in point...

	Change-Id: Idace3087c0df26c0633f5469834ac174f74798e3

2018-03-18  osnola  <alonso@loria.fr>  [0caa1418b50a1e74487ef5743c8e3e06f731c998]

	.iwa[pages]: try to retrieve some pages' attachment, ...

	Change-Id: I1af9375bb810ddbc8a758a65e22266eed4101976

2018-03-18  osnola  <alonso@loria.fr>  [e90278ca8632ea95f2e16028f29312a9d544feba]

	list: finish to open/close the list element correctly...

	Change-Id: I94d55fc93681e6c9642c29b1ea3926175dbc9287

2018-03-18  osnola  <alonso@loria.fr>  [bd63a48942f9238ea237f1cd9b5121d3180ab24b]

	list: try to open/close the list element correctly...

	Change-Id: Idbfa804438811a1977e3a1f26c39d5578e88e848

2018-03-18  osnola  <alonso@loria.fr>  [e07686b3425ddf9c4174ee2a23c87e091416bbe1]

	paragraph style:iwa line spacing is giving in percent + correct margins.

	Change-Id: I757f48209edeb5ee5610cce1f9559145ee296486

2018-03-18  osnola  <alonso@loria.fr>  [aa5e799ba7f2e94448e6303c905a0b187cd7e1a5]

	.iwa: try to read/retrieve the images' style...

	Change-Id: I50188a08275ca56aaf799345ae16a0586dca7d07

2018-03-18  osnola  <alonso@loria.fr>  [264bf1d773d97d203015f1541e52218c23c355f3]

	.xml: try to retrieve some basic pictures when there are absent...

	Change-Id: I78949f636b60a74fadb4bb3faf5a7e4bf145c4a9

2018-03-18  osnola  <alonso@loria.fr>  [e3cfb225387d204223ce7472cab5fe30d6bd8e70]

	Keynote 5: try to recover some connection's styles...

	Change-Id: Ie85c64c8b32fdcbfba87c23a2a62b016897cfe68

2018-03-18  osnola  <alonso@loria.fr>  [e82bda41717f4a3c917bbeefb1b09a60df71f758]

	Try to fix some rotation's problem...

	Change-Id: Iab809a894523ca38ba9f3dd6b8e1e4d23bac2e95

2018-03-18  osnola  <alonso@loria.fr>  [2b16d8cd74f8773d55a7519f33ab464454f19aea]

	KEY2Parser.cpp: fix transformations when a connection-line appears

	Change-Id: I848b62990690cf042363d9abda4e9757a292bfcc

2018-03-18  osnola  <alonso@loria.fr>  [eab6780641d8073292d34498a1c089e6337b80e8]

	try to retrieve some connection's lines...

	Change-Id: Ia79c825779569e6aee8235ed1de78d652792fae7

2018-03-18  osnola  <alonso@loria.fr>  [d0ff0a8ce861b26fa02d7508f75809c18a262ea5]

	.iwa: try to retrieve complex bezier curves...

	Change-Id: Idad2669752a58935d2892dddc048604831a89bf5

2018-03-18  osnola  <alonso@loria.fr>  [9637cb43608480556f846dff1d8ab62f26feecd1]

	.iwa: retrieve arrow in Keynote 6 files, ...

	Change-Id: I0ca104ee22ffebd2b9dff7cf1de593ee519419d8

2018-03-18  osnola  <alonso@loria.fr>  [5bdab2fdd7ae3a63bafe4c57ad12f4ca4a4cc6d4]

	.iwa: try to retrieve some arrows...

	Change-Id: Ieb6a0c342f3baf15b7fe87b68f091f5be4aaf3fc

2018-03-18  osnola  <alonso@loria.fr>  [4c77f6481cd4ae476f8f7ebe40d12d490ca9a047]

	Key6Parser.cpp: better transformation's management...

	Change-Id: I56961451893c623db3c73f8162638569498af289

2018-03-18  osnola  <alonso@loria.fr>  [cf89acc16188bc4c80c84662e69d818f1fd05b5a]

	Keynote[v5]: retrieve some title/body zones...

	Change-Id: I89768fcfdf8835a87d6e6ee4a9e33dfb3d408c99

2018-03-18  osnola  <alonso@loria.fr>  [ac0a5a5b6df1213a2d2aaaa97ffc90364d85a1cb]

	text boxes: do not send width/height if unknown...

	Change-Id: I7784ff93e7adb07eb64e6eeb83b44b85163a8390

2018-03-18  osnola  <alonso@loria.fr>  [f4bcb97e4fcae19551053849c7fa35c2767dcf92]

	.iwa: try to retrieve some textboxes...

	Change-Id: I80f9d77c77ab1a6b479d2ee0c09ca058977ff087

2018-03-18  osnola  <alonso@loria.fr>  [f907903c7f5df636a9b02c7f54fcf97615f01db8]

	.iwa: add support for date/time and for text's reference...

	Change-Id: Ia641498b23fd8056404e676790df66b6ec4ac78a

2018-03-18  osnola  <alonso@loria.fr>  [58c5a84ac5a685580ba12e172ad9b7b687b69a95]

	IWAParser.cpp: correct rotation angle+read cell's content with flag=80

	Change-Id: I7f975fff090cee9e310ebb7d96d11b58fd48d896

2018-03-18  osnola  <alonso@loria.fr>  [e14f4ed2412c0ffdd8f9ce6d4354aea49b18e17a]

	table: try to retrieve some float[.iwa] and correct padding...

	Change-Id: I1ce32f1f3e36ef274f209d6899cbfa610ae89b66

2018-03-18  osnola  <alonso@loria.fr>  [a84b8f68a87f86f5d529a32fb6e441dcd1d50a34]

	iwa[tables]: read first data + simplify the code

	Change-Id: I3e8998a659fc52b7e7b9b61fe09cf0804b441681

2018-03-18  osnola  <alonso@loria.fr>  [4a8d31285cce3766961bf9989e3a09cb80bbfd8d]

	IWAParser.cpp[.pages]: try to retrieve some tables...

	Change-Id: Ia57d1aac6e0a88b420f7c9c4f160741bb3f7246e

2018-03-18  osnola  <alonso@loria.fr>  [422599803191509509891e17f1335f2709129edb]

	PAGCollector[drawShape]: use the geometry's transformation, ...

	Change-Id: I1ab41bddceef70503514208446766b2d3df29a17

2018-03-18  osnola  <alonso@loria.fr>  [20254a8faf23a1691266e9786933b88159e92155]

	.iwa[pages]: try to retrieve some char's attachment, must be improved...

	Change-Id: Ib926a53f24f9260de884b39e9d479be10ab2fc6f

2018-03-18  osnola  <alonso@loria.fr>  [c4eec7de8abad22c7c5c2a085e221805b80ccd56]

	.iwa[pages]: try to retrieve some header/footer...

	Change-Id: Ibec119ff6de8de19c13e9ae663e1fb710b6524eb

2018-03-18  osnola  <alonso@loria.fr>  [41bcb0944f8abf262abc93b74fab1a993fd9a013]

	.iwa[pages]: try to retrieve the sections and to read the master's page...

	Change-Id: Ie86ed0f8b13fb50caf68729a626849b6ed19352c

2018-03-18  osnola  <alonso@loria.fr>  [e0fb3027f8b171a377160a4e42eb515390c4b2d4]

	iwa[pages]: add code to retrieve comments...

	Change-Id: I83ac81490f9eda8fa3636d03c69917f96bebf662

2018-03-18  osnola  <alonso@loria.fr>  [011c7b0a24a7e05f0c72e298a538a11f2ff4ace1]

	IWORKProperties.{h,cpp}: create a TextShadow's property...

	Change-Id: I41b0d9a1b5b65e12549a93f6be849c692bbeed93

2018-03-18  osnola  <alonso@loria.fr>  [a0dab214960a334c241325a72721a489ce5a163c]

	iwa[text]: ignore the first character in a footnote which is bad...

	Change-Id: Ic1a07b62684d24c524ec47a455fa42bea30933ee

2018-03-18  osnola  <alonso@loria.fr>  [bb6a02d91deb68b015bd4bec30c61f8ca1383581]

	.iwa[text]: add code to retrieve footnote/endnote as footnote...

	Change-Id: I32c083581623250900a14bd378be6fcbf3b9f741

2018-03-18  osnola  <alonso@loria.fr>  [b08379964d5ab2b7069fb83aaa9053e6af631a6f]

	IWAText.*: try to retrieve page number/count fields...

	Change-Id: I72f2624f8140b9228e07f6c20b7a84558a214b99

2018-03-18  osnola  <alonso@loria.fr>  [a677743b4cca93ed38a7e55cceaf622c58242c8a]

	Pages[.iwa]: retrieve the page's dimensions...

	Change-Id: Ia487ea1f77eff82ebe295d703e6d4a38bf48cf05

2018-03-18  osnola  <alonso@loria.fr>  [e419cc562e45b74d12a7736badb7af78e5fdd1e1]

	IWA: try to retrieve character's shadow properties...

	Change-Id: I7ba23e76ab10fa4216060bbe7084e613571cd0fc

2018-03-18  osnola  <alonso@loria.fr>  [886cc206d30e276bcc9c4d56d549bd318fa239db]

	EtonyekDocument.cpp[keynote,v1]: check that DocType is APXL...

	Change-Id: I35408df74cf73460d4c24fc1f24313a52a7a16b1

2018-03-18  osnola  <alonso@loria.fr>  [853992a65cd2a2b36a241d0ec88240c2545a47a0]

	KeyNote[v1]: allow to read files with no namespace...

	Change-Id: I9c7b57772531e47ca16d1e4c106d447cb8799e28

2018-03-18  osnola  <alonso@loria.fr>  [02fc02fdbc297d4361aefb6e057a464d3db760b3]

	all: replace makeContext by std::shared_ptr, ...

	Change-Id: Ic1dcfed3617084621c7f089b14df9dd8840bdc80

2018-03-18  osnola  <alonso@loria.fr>  [2ff123ec999455a1ba32d292726041f132ea7c24]

	clang-tidy: fix modernize-make-shared

	Change-Id: I471547ceda9557b353d373e37c3bf2ef5128749a

2018-03-18  osnola  <alonso@loria.fr>  [9626818923e03500ec44c66552ac9351e11036ff]

	clang-tidy: apply modernize-use-auto...

	Change-Id: I42427043e994dfc6e79d7bb15974591e4112a884

2018-03-18  osnola  <alonso@loria.fr>  [c06a0e578c507513ef3f8c8039aacebc42253345]

	clang-tidy: uses auto in some loops...

	Change-Id: Ie74a649d02ec3e74e369c68f8a1ed07a9b2a7586

2018-03-18  osnola  <alonso@loria.fr>  [3bc1c32a1b9e458ff92fe2afe7b0e286a4e4ebce]

	clang-tidy: replace some virtual keywords by override...

	Change-Id: I7c05bba8acae04d74f02c51c7c992fdcdf958484

2018-03-18  osnola  <alonso@loria.fr>  [c4cb781f266dca8276e5e5609597674d64e937bf]

	all: replace 0 with nullptr (when possible)

	Change-Id: I267175b7fbbfe19e84471db0ae562a41ab68da53

2018-03-18  osnola  <alonso@loria.fr>  [5af3cf122f007c047a62d9a53b41abdf9a546b01]

	Remove unused using declarations...

	Change-Id: Ib197df709a13760fe953118db740585a0b9f5511

2018-03-18  osnola  <alonso@loria.fr>  [d55d3506f0263998b405722fe24b8070989008dd]

	clang++/g++: do not make std::enable_shared_from_this<> protected...

	Change-Id: I25a580db56c30a6f1f2323236b61a125e587e94b

2018-03-18  osnola  <alonso@loria.fr>  [e1fa080f24339510e7fa29b0d9339261e029c9ea]

	g++: correct a compilation's error and some warnings...

	Change-Id: Iefa59836f1b9a09c5cffd678efd67e7107435bc3

2018-03-18  osnola  <alonso@loria.fr>  [bd8323e7a31e03ec15864910fb34ead07ebb1d4f]

	clang: remove all warnings..

	Change-Id: I14dd06650a7471838e25c1005719c7bac746a81e

2018-03-18  osnola  <alonso@loria.fr>  [5ff53ea8914eba6dff3d50215d57ad027d113852]

	Add more debug message, retrieve external-text-wrap-ref, ...

	Change-Id: Ideca74aabcb875872876508e580e5ccb5105e1d1

2018-03-18  osnola  <alonso@loria.fr>  [3228f3ca401a0d8decb21f52ff688bf6c865f34d]

	Try to read the transition elements...

	Change-Id: I28fda75f35a3da6ed0add8ae1fed6ff50eee5ded

2018-03-18  osnola  <alonso@loria.fr>  [17a2bf083dd915c055b48e98a9ee72ac6336afcf]

	Try to retrieve more layout's properties...

	Change-Id: Ie7ec7b68dedbcdd259201b97474a472307f01e8c

2018-03-18  osnola  <alonso@loria.fr>  [361058896630c5f5321c5a92c6473ac94827f24f]

	Keynote 2: try to recover some title and body content, to be improved...

	Change-Id: I6e219a90e34459c1d0bf2a3ddfb4ff0bdaccebf8

2018-03-18  osnola  <alonso@loria.fr>  [2ef2b06866ff1e46ac1c949b7a1ed8cac33c5a2e]

	Keynote 1: try to retrieve group's data...

	Change-Id: I2461804048f2ee8e3bce026d75f693c91b703f86

2018-03-18  osnola  <alonso@loria.fr>  [c694d1299eaee12f4a280c4ede2986e542a48463]

	Try to recover some vertical alignment...

	Change-Id: Ifc982b700e3450b49b8f17b6dd1089af09a209a0

2018-03-18  osnola  <alonso@loria.fr>  [cbf6c60d9fbd48e1b59ed9fa4031e2185bed9dc6]

	Keynote v1: try to recover some files...

	Change-Id: I647f6d2fc326cf4bd12b212e965ec490796682d5

2018-03-18  osnola  <alonso@loria.fr>  [06b048e571e5e49e23e834b921c61bb5d53ec9b3]

	Pages: try to recover some z-index, ...

	Change-Id: I820930ca46d986d2bb9ba0015b7853e1857ed30d

2018-03-18  osnola  <alonso@loria.fr>  [e05d0710a45bf74e356a21648688924999839d84]

	Try to recover some wrapping...

	Change-Id: I634ed2d5eafe42d55a95cc63954481868e106b57

2018-03-18  osnola  <alonso@loria.fr>  [251f2cd96a21600d1a37ef5a9b02dd9d3853f8d9]

	Try to read the external-text-wrap elements...

	Change-Id: I94f2a3693b96217b262df5625b80f647b87cd940

2018-03-18  osnola  <alonso@loria.fr>  [dcdcd285154c91418f5a5a35ba22867caf1397b3]

	Add code to read sf:wrap element...

	Change-Id: Ia7f4b8335e4e4a111dee3b695ff4b429e08c5874

2018-03-18  osnola  <alonso@loria.fr>  [3f06be8643654caf2bc1d6c0752c8ddfed7cd1a1]

	Keynote: try to generate simple textbox when possible...

	Change-Id: I67a4aa33d8c6ba0ca2039e050b0bd22900c91c83

2018-03-18  osnola  <alonso@loria.fr>  [fe7c880a52723ea962dbcb41aef2cf5d2e72a612]

	Try to "read" some frame's elements...

	Change-Id: Idb45b904775bf6f553a49ba97d34d8c696ae6039

2018-03-18  osnola  <alonso@loria.fr>  [411da99e376ffccaa4b04f17333434fb0ca13bde]

	Pages: retrieve basic textbox's borders...

	Change-Id: Id770ffebde620f1342f53b0cded4d7b8043ac25f

2018-03-18  osnola  <alonso@loria.fr>  [4f59646b61eac498f76d816202fcfd1f8c050fe8]

	Pages: try to simplify the drawing of basic textboxes...

	Change-Id: I64337e109265e1ffaf151a3ad5e45af87f2af3fb

2018-03-18  osnola  <alonso@loria.fr>  [78fff169eaeb2ee8bc7f37df35ce9d1b8fa4a962]

	Try to recover some attached shapes(without text)...

	Change-Id: Ic0fae4f1f7208d9b1aed918e4e4c70843d600082

2018-03-18  osnola  <alonso@loria.fr>  [c00fac1f8fd9600f27a2c16d3b7d8b374b57afac]

	Try to improve position of cropped image and reading of sf:media...

	Change-Id: If0af59954dd37071bf63c9b072b28ccc3d5e70a4

2018-03-18  osnola  <alonso@loria.fr>  [2d028399c7ce20e95c1b5026466d320bbc90de81]

	Try to recreate some groups, to be improved...

	Change-Id: Idc485fb73c9c0c8057ee7e2a480450e68f584b25

2018-03-18  osnola  <alonso@loria.fr>  [96af42a416e9b516b6d822c266c181bedaa71c7a]

	Try also to recreate Keynote 6's master slides...

	Change-Id: I6e81af49761eb2270e33f564bfdd984d381fd111

2018-03-18  osnola  <alonso@loria.fr>  [902d2905d0f5433ceb5d3199b5f3c17f1d7469c1]

	Try to recreate some master slides...

	Change-Id: Icdab0da7b26102cfaeef674f535a1ab1c1e98e17

2018-03-18  osnola  <alonso@loria.fr>  [58f4dd5b1348e45071bca783f26edb07b1964a1d]

	Check if image are mirrored and if transformations are "correctly" applied.

	Change-Id: I1de6f1e310a831cd9a4b6a662015689f485c5d82

2018-03-18  osnola  <alonso@loria.fr>  [4c9a5cb6bccf9a80b800d89b9feba37a917c17f0]

	Pages: use the page's dimensions to define the page's sizes...

	Change-Id: I640a74739eab17c3c087a59e127ba9980521167c

2018-03-18  osnola  <alonso@loria.fr>  [98febb009f731138d9d40b088be82305b1004b8f]

	Retrieve sf:rd element(+ corrections)...

	Change-Id: Ib612c8e69cac8a2744afb459ad9b9b4a98bb06ae

2018-03-18  osnola  <alonso@loria.fr>  [0b248c9f1f0bb079253e4fce5851004a084e8420]

	Try to retrieve some crop's geometry to create image with good size...

	Change-Id: I515b6ba736707f4593241d099609f5dce1c879ea

2018-03-18  osnola  <alonso@loria.fr>  [d97460ff8196e6e2fd57acccaa455521a891ebcd]

	Add code to retrieve some sf:table-info data...

	Change-Id: Ic63d959a33cde9343ca44c29f58472eebdb7fddf

2018-03-18  osnola  <alonso@loria.fr>  [39442cac1f5efab1940546dddc38da6f63a63cdf]

	Try to retrieve more columns/format/padding properties...

	Change-Id: Ie0f34c8f1af3aa37256ff5c78378782dae219eea

2018-03-18  osnola  <alonso@loria.fr>  [39a1262c9dce0bb99d0b385fcabbad0eadfd262c]

	Try to retrieve more Fill elements...

	Change-Id: Ib27bba1c1d7f12a64c8c2bbff4578795c1f3dbc2

2018-03-18  osnola  <alonso@loria.fr>  [492728fa0d18b4175a10d0265d5f13fa2f740022]

	retrieve more slide styles + little cleaning...

	Change-Id: I1f7fa887259bb1285eaac31cc3c9f4acb0eb6d2b

2018-03-18  osnola  <alonso@loria.fr>  [48ce77448361504ec941479406898fd0604488f3]

	Try to retrieve some sf:image...

	Change-Id: I9d788429e2cfc68a3fca28241e01f6b5f5d50e8d

2018-03-18  osnola  <alonso@loria.fr>  [c0b321092e810f4e34235bc90d08eb64dd7fff7b]

	Try also to retrieve gradient-stop-ref...

	Change-Id: Id089d95cd4ed4a1517a31935f96cd9f32c73c24e

2018-03-18  osnola  <alonso@loria.fr>  [ea569e7c866a22472e51678c0f627b039b7bdd4b]

	Try to retrieve some linespacing-ref, stroke-ref, ...

	Change-Id: I7a1e5a02a8d40e6f2bc317b073c602e2286a302e

2018-03-18  osnola  <alonso@loria.fr>  [9cf0dcbbc3fafb70f38e3310c3bc9b288aa75d49]

	Respect absolute attribute in offset formula + remove other warnings.

	Change-Id: I6c9261b1cb25ab62259cd4aa220f32292333a908

2018-03-18  osnola  <alonso@loria.fr>  [c4846c874a17136a5030723db6473e0faaf0295a]

	Pages: allow to retrieve tables in group + correct some warnings...

	Change-Id: Ia6c07db5e2b6abc2d4df26e7c1fcf172a26d5649

2018-03-18  osnola  <alonso@loria.fr>  [bb042ed1eb98775933c82304cd5d1b9af3aa56d7]

	Try to retrieve some arrows and to parse multi-polygons

	Change-Id: I63209494907a3e345e5827e402a4a4cd8a9ab096

2018-03-18  osnola  <alonso@loria.fr>  [e3a0b7a2f04b33585011e7d6788dc4b69cf7894d]

	Try to retrieve callout, to be improved...

	Change-Id: I4755b2ae173dedb5ce36401417b48b7eb81b14fa

2018-03-18  osnola  <alonso@loria.fr>  [bc6062297dffc0578994865c428c5c8727f90f97]

	Retrieve round rectangle shapes + check if Bezier curves are closed...

	Change-Id: I27bd07e5f758cbd32a806a7d7f65d6de88979e52

2018-03-18  osnola  <alonso@loria.fr>  [a02fd5fefcc565e8dae8ba365c1ea1c2f237e0de]

	Pages: try to recover some group's content, ie. the groups with page's anchor.

	Change-Id: I16bf7ea30e30a7fe4ac29389d35684e9bf81740d

2018-03-18  osnola  <alonso@loria.fr>  [d4dbfb1f2eb83f9eb21aec92d1e1d58db2b6a894]

	Try to retrieve tables defined with tabular-model-ref...

	Change-Id: I73b810d900a79cb6b7b2c9d96e14ebb03a5249de

2018-03-18  osnola  <alonso@loria.fr>  [7484d468df693252197a32be257050039b8680eb]

	Pages: try to retrieve attachments in textbox...

	Change-Id: I29f377c4ba15f36cd1f3b000ab9b3ee1a53d31b0

2018-03-18  osnola  <alonso@loria.fr>  [36b854f1afd22576f986a4edd75b803e495487be]

	Try to retrieve more tables in Pages documents...

	Change-Id: I3e22556b96ea6fcec51e79be220a52f374a056df

2018-03-18  osnola  <alonso@loria.fr>  [b260affa25ac91632e3d89e35a8d871bb5255a51]

	Try to retrieve more attachment and to improve attachment positions...

	Change-Id: I5624fe176f1f380bfbeb8194618af161017c318d

2018-03-18  osnola  <alonso@loria.fr>  [e71bc48693ff8694f00aebf989881f56ba4b55bf]

	Read grouping elements and restart-list

	Change-Id: Ic38fde59835af8b25ab72746c94ecf8d5752cf3e

2018-03-18  osnola  <alonso@loria.fr>  [c84961dd26cb2fb88b31bfe195381fbbd89c537c]

	Try to read some formula's result..

	Change-Id: Ibbea2c0576dfe538bdc70cf996fbf3c2dd8b3d6b

2018-03-18  osnola  <alonso@loria.fr>  [f53df18509263a4401933a70553a7e2cd9f28982]

	make --enable-wparanoic works + retrieve more lines...

	Change-Id: Ia638dd120fd4fb36267842b68adc259b22ca98f9

2018-03-18  osnola  <alonso@loria.fr>  [0ef797f7259e99a8355dd1abd69bb8d357c5e80d]

	Continue to retrieve more style + some old keynote cell's attributes...

	Change-Id: I41349125f1b6d136500f72f7a2803cd4aa047dd7

2018-03-18  osnola  <alonso@loria.fr>  [26c4948d78eb51a6e09b2dd3032d5f12b7007e9c]

	Retrieve Pages annotations and some Number' offset formula.

	Change-Id: I8bb064589cbc015d168e6739406a44944706e463

2018-03-18  osnola  <alonso@loria.fr>  [57d571d9cba35eb700f5fe6bcaa51c7488cb4c31]

	IWORKText.cpp: correct fo:orphans and fo:widows

	Change-Id: I523ede2dc73126800271e51c6f2f9ee3cdbcce0a

2018-03-18  osnola  <alonso@loria.fr>  [67563ff55197b61600d04fe564272b48a5e6b264]

	retrieve more list's styles attributes + do not open span in a link, ...

	Change-Id: I38c92cc2351cdc53cd4b388f52f2dd6649a43d8e

2018-03-18  osnola  <alonso@loria.fr>  [49b8aa0e989949cdd0f390cd4da0ecc5757118c2]

	Pages[4.3]: Add basic code to retrieve field...

	Change-Id: I0c328151364685d8c89923c04961586171cd54d5

2018-03-18  osnola  <alonso@loria.fr>  [11e5d3598616dd1031e31daae5f744f47388a18d]

	IWORKFormula.cpp: retrieve true and false function...


2018-03-17  osnola  <alonso@loria.fr>  [a32ac53758f03b064cd398add74e5acfebde28a5]

	m4/dlp_fallthrough.m4: check correctly for clang::fallthrough


2018-03-17  osnola  <alonso@loria.fr>  [8ee70ecb0e2cd374517dee203b4eb2f51d5ecb4a]

	IWAObjectIndex.cpp: make IWAObjectIndex.cpp compile with -DDEBUG.


2018-03-12  David Tardon  <dtardon@redhat.com>  [7b66cce346be6238a1051c4d7cb5d64adc347772]

	ofz#6294 speed up angle normalization

	Change-Id: I24fde3b0434c0b94c564249ec1cf0cc81f5e48bb

2018-03-04  David Tardon  <dtardon@redhat.com>  [4f165cc047b86cf5fade74fd96e3b2d08e17d4a6]

	implement own printing of glm types

	Change-Id: I284fac56580b4bb0bb2c0ad096d57987c22f1f85

2018-03-04  David Tardon  <dtardon@redhat.com>  [1f18f0a872a967103ede3b6a4154fea8568893de]

	make tests less picky

	Change-Id: Icb41844779a55105cd431d4372c4fa88ba45555d

2018-03-04  David Tardon  <dtardon@redhat.com>  [e8c81e8c368a03f51e7b2e3f55c421fc5755fa4e]

	fix order of tested and expected values

	Change-Id: Ia06b4e49569d884fb1cef8f7dbe7afe600ce29c4

2018-03-04  David Tardon  <dtardon@redhat.com>  [dd8da8597acd655df54187de86ba657fd34a345d]

	enable construction tests again

	Change-Id: Id13116f4f15ede04d7952f97565fd44e20688c63

2018-03-04  David Tardon  <dtardon@redhat.com>  [e157f1f5c76d8408b44c98d7d40d2dc37bb14c7b]

	fix build with glm 0.9.9

	Change-Id: Ife0c761f9ca30ed94115b9e51e123642bd44bf3b

2018-03-04  David Tardon  <dtardon@redhat.com>  [6aacf0ced2a49a000095339671489db2c07f3ddf]

	drop no longer needed tests

	glm matrix transformations are--I sincerely hope--tested in glm. So
	these tests haven't been needed since the switch to glm.

	Change-Id: Ib10153c6b6ce4bd792b634ac1a3718203227c58f

2018-01-31  David Tardon  <dtardon@redhat.com>  [5c69eb4808564f429d38f1ee6107e73f846805bc]

	ofz#5840 fix division by 0

	Change-Id: I613ebc63f7a2af20efce15774b30f1d6db701eb6

2018-01-22  David Tardon  <dtardon@redhat.com>  [f64ef0e7356f2ed0ab4db715497af090f50fb5e6]

	tdf#113737 improve recognition of Keynote 6 files

	Change-Id: I925166227ede64d0ed38c4619217d23dbee7d138

2018-01-21  David Tardon  <dtardon@redhat.com>  [a42078df8a1ef9172b3fe229d4ba1d836a098d03]

	remove one level of indentation

	Change-Id: I1d973ad0f83b4f0ab6eebe20b573fb18977f8ea8

2018-01-21  David Tardon  <dtardon@redhat.com>  [5dfcf612b1815d57d3b003df1056453cae33f06c]

	ofz#4939 do not prune unavailable objects

	Change-Id: I8b3b88d62c5b3c3dafa17c414d7f40a367ed9e58

2018-01-21  David Tardon  <dtardon@redhat.com>  [5135265a289dbf6621fc8662f297e807b3391b2d]

	change map of fragments into a queue

	Change-Id: Ia2efb50ecaadfa08a0a051c9a81ce6873e0e6d0b

2018-01-21  David Tardon  <dtardon@redhat.com>  [c2a1dd5283d154191ab77cc0705dcabac4e47d9d]

	move handling of object index to a separate source

	Change-Id: I211ced82fcc622ca8acab219490052d5112d5e30

2018-01-19  David Tardon  <dtardon@redhat.com>  [c512f4e875a336e4271469a2b663c383fe654546]

	ofz#4972 m_package is empty in partial or broken file

	Change-Id: I4c0d59c6635e0c900f7d1354ce7fdcdda8c104d3

2018-01-19  David Tardon  <dtardon@redhat.com>  [1cb10c4033433930055c17d221e2f38277fefd55]

	ofz#4936 check existence of stream

	Change-Id: I79301ef522e476d8202e406e46557bc7a3617da7

2018-01-05  Miklos Vajna  <vmiklos@collabora.co.uk>  [90536a95035db90782af14d474ffb650771f1271]

	m4: MSVC defines __cplusplus as 199711L still

	See e.g.
	<https://stackoverflow.com/questions/37503029/cplusplus-is-equal-to-199711-in-msvc-does-it-support-c11>,
	on MSVC we can't depend on the value of __cplusplus, since that one is a
	too low value, even if everything else works fine.

2018-01-05  David Tardon  <dtardon@redhat.com>  [f7d8a7839fcc0d2b8acdbd1a5a88fab555937865]

	save some vertical space

	Change-Id: I14128c94b1423eeb29f27aa7ccb0b0d4ec4c50b6

2018-01-05  David Tardon  <dtardon@redhat.com>  [f42dd8d6e4e29c35e718f5cf0bc657cd6b46ec0a]

	rely on pkg-config to find zlib

	Change-Id: I145f02096f0d089bf6aa26c7255aadcb61e104c9

2017-11-28  Mike Kaganski  <mike.kaganski@collabora.com>  [56bb8f32b91977daea35d9eb62459cc6911dbc16]

	Remove unreachable code

	Fixes warning C4702 in MSVC

	Change-Id: I72aa0f7ae44d39632ee022814aa7a7c2ec1989fb
	Reviewed-on: https://gerrit.libreoffice.org/43800
	Reviewed-by: David Tardon <dtardon@redhat.com>
	Tested-by: David Tardon <dtardon@redhat.com>

2017-11-28  Mike Kaganski  <mike.kaganski@collabora.com>  [939e379c4c3a6f98654adda74ded63eb5210683a]

	Silence MSVC warning C4100 for boost

	Change-Id: Ic703e19504da06181f3d7f22cf8af09aa3ce346b
	Reviewed-on: https://gerrit.libreoffice.org/43799
	Reviewed-by: David Tardon <dtardon@redhat.com>
	Tested-by: David Tardon <dtardon@redhat.com>

2017-11-09  Miklos Vajna  <vmiklos@collabora.co.uk>  [6d1da35a6f78eb2d1c607021f022123228ac1989]

	Use auto when declaring iterators and when initializing with a cast

	Change-Id: I4770e709c9567b8fe7b606c6da215240d995109c

2017-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6902c18043fd0bcfac73012650ce2b6976f5d04a]

	doxygen -u

	Change-Id: I0bc1bd223bcdfa064e161a558cae5aec9888e4e6

2017-10-23  David Tardon  <dtardon@redhat.com>  [cc71d75b4d9b88b5c920cd039bab3e707e71568b]

	add missing include for std::min

	Change-Id: I2088057657f3ce23b91dbbc7b4f5840914dbcaa8

2017-10-23  David Tardon  <dtardon@redhat.com>  [5634c05b8f2ee456fc3bcc969bf688905d2011ac]

	bump version

	Change-Id: Ic8f0c5bcda18c02f0e7e3e4945589bccc82e5d4e

2017-10-23  David Tardon  <dtardon@redhat.com>  [423b931132454d3a0661b210afdbff3a44bb5999]

	prepare for a release

	Change-Id: I6cbbec8555c1658b5a689e22265f6719537b12c5

2017-10-23  David Tardon  <dtardon@redhat.com>  [374b0743cca33cbed8f1a931969bee0a71c02efd]

	use mdds 1.2 as default

	Change-Id: Ib56754480e48de660bd78ad463f9dcd5eaf680d3

2017-10-23  David Tardon  <dtardon@redhat.com>  [b57478b5b6bb7f37409c2577842ba6416c68d66d]

	drop outdated MSVC project files

	Change-Id: I5a898c04944c93f6301b35c41930639963991fc9

2017-10-22  David Tardon  <dtardon@redhat.com>  [1bd5f059660aa2b297e94e1dc9ca2335554c7df9]

	add Laurent to contributors

	Change-Id: Id97c4d65007acf22106cbcff8bb3f195ff4e8891

2017-10-22  osnola  <alonso@loria.fr>  [3548af4ba3e888c7771c96c96c62a566112e682c]

	Clean code: move the function to find recursively a style in IWORKStyleSheet.

	Change-Id: I11e481af59c37f04cb6daab9eba16818850c68e8

2017-10-22  osnola  <alonso@loria.fr>  [5628e391ecde8ecf1100f3a66ea0a9b1821f5046]

	Also look for parent-ident in parent sheetstyle(if a parent exists).

	Change-Id: I39a48ae77a0f51d8c5668434edddda6c9941974e

2017-10-22  osnola  <alonso@loria.fr>  [da717b37647ef5ecba43342be8b1ca744701c154]

	Try to retrieve the page-breaks...

	Change-Id: I8d09c495dfb6d41a596fb92ac295cb4501b13336

2017-10-22  osnola  <alonso@loria.fr>  [536754be878ab71eff275e9a5a06cf305ac757d4]

	Only send page-break if page-break is true+flush list before doing a draw

	Change-Id: Ifad965ee06cc0832ba9c139287f269076b4307f3

2017-10-22  osnola  <alonso@loria.fr>  [66b8130b03a6b47334e4b56cae49f6c57ab4a9a2]

	Replace pageBreak character by a insertLine+do not send special characters

	Change-Id: Ica1a7be90c10679a39aede664f0e8f127c8d0173

2017-10-22  osnola  <alonso@loria.fr>  [57a1d9d8fa230effd4dffc1826f54e84f809855d]

	Try to retrieve more list styles...

	Change-Id: I6a7c6ce985432061c6c1c5304904864ca164a758

2017-10-22  osnola  <alonso@loria.fr>  [dad2796da00f0369d34b8dbce840dc3896f8000e]

	Search also for correspondance between sf:style in sf:ident for all styles.

	Change-Id: Ia4ad584b6c3082eb9cdc0b9945ec0507749d9ca6

2017-10-22  osnola  <alonso@loria.fr>  [f7f5604b53930f549bb46f02f45cb3ac489ce88c]

	Search also for correspondance between sf:style in sf:ident for paragraph.

	Change-Id: Icd63a26448e889eb2f72ce49a362295e20a15b41

2017-10-22  osnola  <alonso@loria.fr>  [d59f758e1def1d5f3b1574740c3b3d1ff066a50c]

	Try to make sheetstyle_ref working...

	Change-Id: I90fec60c474d77bbcc316aba3c63c0d29874d0d6

2017-10-21  David Tardon  <dtardon@redhat.com>  [a80a0a73ee3fb750cb5935b1eb4aa60194338af9]

	bump version

	Change-Id: I8597f033ec0b53572984c5726718a3d88a0cb365

2017-09-28  David Tardon  <dtardon@redhat.com>  [2d0ff134ba25b132e1f0581fc4c2b042cc92f38f]

	avoid output from fuzzer

	Change-Id: I3a55412bde4ce0dae2c804c57975b9ba969755ba

2017-08-29  Miklos Vajna  <vmiklos@collabora.co.uk>  [9ee0c158390b9e949f6122467d7f58988ef25db4]

	Convert explicit for loops to range-based ones where possible

	Change-Id: I1f77c1bcbca8aba51e8ebb8cada4484e9a10212c

2017-08-28  Miklos Vajna  <vmiklos@collabora.co.uk>  [9b896591f998db647d2be0ecfbaa7bfa000c74a3]

	Convert 0 to nullptr where it's used as a pointer value

	To make the code easier to read, because this means the remaining zeros
	all mean numbers.

	Change-Id: Ie3cfcb931aa9e52138dc8731b348b944f595d54b

2017-08-27  Miklos Vajna  <vmiklos@collabora.co.uk>  [d94fade840b69cfac72f99e40ecac6e2100c7a45]

	Mark overriding member functions as 'override'

	This does not affect the generated code (API or ABI), but:

	1) Makes sure that in case the signature of one of these functions would
	change by accident, the build breaks as the function no longer overrides
	a base function.

	2) Makes the code readable by explicitly marking all overriding
	functions as 'override', where previously the reader had to read the
	interface of the base class(es) as well to find out if the function is
	virtual or not.

	3) Since 'override' implies 'virtual', remove the 'virtual' keyword
	where 'override' is present.

	Change-Id: I5bee156a155237be6c4e53500576bd2141f8f873

2017-08-26  Miklos Vajna  <vmiklos@collabora.co.uk>  [60ac5e8bee38d5732571d8a12e4ff38413f2073a]

	Fix clang -Wunused-private-field warnings

	Change-Id: I012562fcbc1524492e87c39fba503fd452436c6f

2017-08-25  Miklos Vajna  <vmiklos@collabora.co.uk>  [0cc8d34debae2bfe802a54b393eb5d47982ff9e0]

	Remove unused using declarations

	Change-Id: I5ee328fe55abafcf9826523da2979a92f683fe0c

2017-08-24  Miklos Vajna  <vmiklos@collabora.co.uk>  [3a567814fbcfe49626b3ea634490aff49744e16f]

	IWORKTabularInfoElement: fix gcc-4.8 -Wshadow warning

	contexts/IWORKTabularInfoElement.cpp: In member function 'void libetonyek::{anonymous}::CellContextBase::emitCell(bool)':
	contexts/IWORKTabularInfoElement.cpp:205:27: error: declaration of 'text' shadows a member of 'this' [-Werror=shadow]
	       IWORKTextPtr_t text(getState().m_currentText);
	                               ^

	Change-Id: Idc8c2957766c485265413f5221853be3394940f0

2017-08-23  Miklos Vajna  <vmiklos@collabora.co.uk>  [a53ca4c22673df62b4ad3f90c555f7803c4be792]

	IWORKMemoryStream: fix gcc-4.8 build

	IWORKMemoryStream.cpp: In constructor 'libetonyek::IWORKMemoryStream::IWORKMemoryStream(const unsigned char*, unsigned int)':
	IWORKMemoryStream.cpp:59:12: error: call of overloaded 'unique_ptr(int)' is ambiguous

	Change-Id: Ic1e2c9bd7e5fb740b65e01393bc36c9464681f14

2017-08-02  David Tardon  <dtardon@redhat.com>  [3dcc79e27b0fb5396ef4f6416d3a93dcbaa48738]

	look for macros in m4/

	Change-Id: Ib0700e171bf1da683b79e333838eca5646c5f681

2017-07-30  David Tardon  <dtardon@redhat.com>  [69c5ad6d4c296bc9bc5624e2f789d7e57840c6b4]

	replace decl. of cstdint stuff by boost

	... although I suspect this is no longer necessary for recent versions
	of MSVC.

	Change-Id: Iba4e55a0f08e1358d3f098dbd82dfce228ff0aeb

2017-07-30  David Tardon  <dtardon@redhat.com>  [3ec5f1c4ba705893ece33a73154f3a9cc3bd5b19]

	the arg is not needed

	Change-Id: I1fa8649e7f6837d38396856af8248aca0f6bd61b

2017-07-30  David Tardon  <dtardon@redhat.com>  [a0deea09743e2b9e4afa68acc37748b1995da651]

	drop verbose debug

	Change-Id: I306fc768432c33ad0de5d1ddd6e9366afcd147a7

2017-07-30  David Tardon  <dtardon@redhat.com>  [1d2654174a0a87b18328474b10daa86dcd963a01]

	detect __attribute__((format)) in configure

	Change-Id: I851e281d276cb2d53a9009880683a0202fe1087f

2017-07-29  David Tardon  <dtardon@redhat.com>  [ac04b48cc659f8b39830bf249c79253ffb751a58]

	suppress GCC 7 fallthrough warnings

	Change-Id: Iddf0c8e50378cb575da8200e82289127a87d7938

2017-06-06  David Tardon  <dtardon@redhat.com>  [932a85db01d629b84508e1bc237a0dc9dab79371]

	ofz#2066 the stream can be null here

	Change-Id: I0c7a7334286762a309ae242ebf0954fa7faccf1f

2017-06-06  David Tardon  <dtardon@redhat.com>  [c4d71c2faa535f9119338a8fced272b8ac886e38]

	astyle

	Change-Id: I3d56f21348519b56af6e8b52622f865659a4e299

2017-05-30  Caolán McNamara  <caolanm@redhat.com>  [f6854ea3eb4418d27b94a7cd7d0638ca5e15add1]

	don't output libxml2 error spew on non/bad xml


2017-04-25  David Tardon  <dtardon@redhat.com>  [9bfe0a1a2d258a2601443ad1865c1f5927acb139]

	replace a dumb pointer by a smart one

	Change-Id: Ia74ef1c7be4acf443eb1b6d5ac8da7bf50c390fd

2017-04-11  David Tardon  <dtardon@redhat.com>  [706d603d184669a3adccc29aad0213413653ed61]

	ofz#1084 getting an existing stream can still fail

	E.g., because decompression failed.

	Change-Id: I24398aa1a24d258005a2de5999afb29cb19d6ecc

2017-04-07  David Tardon  <dtardon@redhat.com>  [80e90d03736f32b91c950b2a5417b3304540fabe]

	build lang. manager tests conditionally

	Change-Id: I5e10ea33d0e34415b3e5aad8c80124bde7f53ba7

2017-04-07  David Tardon  <dtardon@redhat.com>  [47d8cb5bc7cf151417dcd93604d091cb7c532c27]

	allow to build without liblangtag

	This is only a hack for simplifying build for oss-fuzz and it should not
	be used for "real" builds.

	Change-Id: I33f8ab02d77b1dee198fab2d811fb3939433c6c4

2017-04-07  David Tardon  <dtardon@redhat.com>  [4da35d628e149cfda5dbef16775dd5fd99537eb8]

	Revert "allow to set liblangtag datadir (for oss-fuzz)"

	This reverts commit d9c866d9279649379a5125c846d2388f036296ef.

2017-04-07  David Tardon  <dtardon@redhat.com>  [d9c866d9279649379a5125c846d2388f036296ef]

	allow to set liblangtag datadir (for oss-fuzz)

	Change-Id: I35eb49e4d7cae0e795617b0ae3447dc1d7c06968

2017-04-06  David Tardon  <dtardon@redhat.com>  [e7f63850beaf343810bafa243d5da0cf5f66368d]

	drop unused includes

	Change-Id: Ia7cfc29029aceeab98ac272f8e14ac15dcafebf0

2017-04-06  David Tardon  <dtardon@redhat.com>  [1e5767401a8ff29cd9285f8dcf86c7c1460710a4]

	boost::function -> std::function

	Change-Id: I25ed485b8c8cd44c08e58a4071bd2374c8caed0d

2017-04-06  David Tardon  <dtardon@redhat.com>  [d158739c7ed592dc5000a8d922e77f4360537547]

	boost::bind -> std::bind

	Change-Id: I144318a4e3deb2ff29d17239a5c395ddaab1b3c0

2017-04-06  David Tardon  <dtardon@redhat.com>  [95e4b5b8906ee1ec5049c7f4bfbe197116453b2d]

	boost::unordered_set -> std::unordered_set

	Change-Id: Ie3d41747e2bddca102731c9025974dd39e1ac93a

2017-04-06  David Tardon  <dtardon@redhat.com>  [b5b7ca041263be00691574b15787811f9e8a58fa]

	boost::unordered_map -> std::unordered_map

	Change-Id: I7d7a6f4195bf5ea29bc4f5e0eef7323129dcb9aa

2017-04-06  David Tardon  <dtardon@redhat.com>  [3fb43f0cdfe873ad2bb2bc1920fc5d5031b1a23d]

	boost::scoped_ptr is unused

	Change-Id: Id10efbfd87cfd9abd9b2a20e8c42cb1c15226693

2017-04-06  David Tardon  <dtardon@redhat.com>  [71017c54cdd5baef68e9a2af3d185d47d5d8872f]

	boost::shared_ptr -> std::shared_ptr

	Change-Id: Icb6bb861f457d3fe45f6a297f2dd44f57d9ede21

2017-04-06  David Tardon  <dtardon@redhat.com>  [910c8cb24cfd18ab23276e2d48fb248b8af6c1ed]

	switch to C++11

	Change-Id: I06f3ab898edb645e5ad6d208b7f9547d5bafa69a

2017-04-06  David Tardon  <dtardon@redhat.com>  [3c1635e8e9c08e43676ce68a822a24e5d162293b]

	ignore only selected content of m4 dir

	Change-Id: I0679aafbaa40c4e2f11575cd67b6aba4c03fca62

2017-03-31  David Tardon  <dtardon@redhat.com>  [2812e15225c45aeb1ad51be2c992ce611fd56793]

	fix comment

	Change-Id: I0ba31bc96175b98ce5ab6fdabae3bf61bb9d7c57

2017-03-31  David Tardon  <dtardon@redhat.com>  [6b33659582c723934ab3fc55d01c5b88217a4a8f]

	add fuzzing driver for oss-fuzz

	Change-Id: I9a29ca14e6aa8bcc8b5ebfbe2ee43e4e23985118

2017-03-16  dennisroczek  <dennisroczek@libreoffice.org>  [54a485d2f5bc8448248021565d098f22c5d46fdb]

	fix typo: "the the" --> the

	Change-Id: I5a8766e6b7c48def00b3d5954ceb898cdc402d69
	Reviewed-on: https://gerrit.libreoffice.org/35169
	Reviewed-by: Julien Nabet <serval2412@yahoo.fr>
	Tested-by: Julien Nabet <serval2412@yahoo.fr>

2017-03-12  dennisroczek  <dennisroczek@libreoffice.org>  [20542c2649fced2038e4607e9c08b82a80d1e372]

	fix typo: usefull --> useful

	Change-Id: Id71f659585d9e4ac360f0676fe8bee6b82151b74
	Reviewed-on: https://gerrit.libreoffice.org/35001
	Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
	Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2017-02-22  David Tardon  <dtardon@redhat.com>  [1fd67d70c41f7b5250e7e2c3f73dc846bce65572]

	use CPPUNIT_ASSERT_EQUAL

	Change-Id: If94d56264ad13ae0074209b8eb402290d50589fb

2016-09-30  David Tardon  <dtardon@redhat.com>  [71ccd90029745e33eb62384e90069a77f5a69730]

	make the mdds test forward-compatible

	Change-Id: I8111097cbd51b5c875a9510ad26a2a0a7b8c90e8

2016-09-30  David Tardon  <dtardon@redhat.com>  [1a20d8ece2ea3e8aa1d319cd88e8a6aa637982f2]

	drop test that violates Unicode tr#35

	(and therefore fails with latest liblangtag)

	Change-Id: I0e06c6c4e8bcf999cf5559d6287e77ae97e555d8

2016-09-30  David Tardon  <dtardon@redhat.com>  [00b7b65ad62ca82e4f7c04e17c87b8d08a0825ec]

	remove unused context class

	Change-Id: Ia903eaacfe6680976453229a0d11ecabcfa96736

2016-09-30  David Tardon  <dtardon@redhat.com>  [9b194894fb1ea272c9103948f3808add34bdb77b]

	WaE: unused function

	Change-Id: Icae5e4b1c7439f75186623f106e2b4253524851f

2016-06-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f6d14b3b510de5c50e45c98fe812a73ba00f3def]

	Allow building with mdds-1.2

	Change-Id: If8791b4c1c3fbefdd06af345276e0a724dff5482

2016-03-06  osnola  <alonso@loria.fr>  [47f8d3b930cf47af5c67bdd9d27996c81cacd5a5]

	parse followingLayoutStyle and followingParagraphStyle

	Change-Id: I895ca642c6888fbbc8a5b9439c91c6c40e8e1f99

2016-02-21  osnola  <alonso@loria.fr>  [37d56bf2489920cc951f0544da8c84fb8f7d8ca6]

	recognize decimal label

	Change-Id: I94e066cf2699a43aeaca6e1ece03586965537b51

2016-02-21  osnola  <alonso@loria.fr>  [a97954bb4ba604f850eea11f51f26fa9b948fbc5]

	retrieve more values in tables

	Change-Id: I21408a83527e0ca8a05e839174e228564e29d812

2016-02-21  osnola  <alonso@loria.fr>  [d00332a1e227e7f133bf8c8cb4cf7d68be6e92c8]

	define cell's border on the right line

	Change-Id: I096b80684ecd4202957d250d5f84944d1b6de0fd

2016-02-21  osnola  <alonso@loria.fr>  [c1d0bc5c1188a1e473d1bfd6cf9ad40331dd2767]

	replace a gradient in cell by average color

	Change-Id: I5f79456da74fedb1cf8803ad75f78d270ddacfc2

2016-02-21  osnola  <alonso@loria.fr>  [0107e26a7f8b20165d6fa373ff3159f7adda6934]

	try to read more color + avoid sending 100% opacity

	Change-Id: I1f71e122597da20a0914859f43ee8838c068e42a

2016-02-21  osnola  <alonso@loria.fr>  [7f2ac3a0f52c6c5f7db7042c10752052db8c9348]

	try to retrieve more cell's styles

	Change-Id: Ia25bf628d2cde6de309343f521c2eaac2a55f847

2016-02-16  David Tardon  <dtardon@redhat.com>  [59e42080b3a7f2317afd8f7b93207fdd8a5a1695]

	add liblangtag to deps

	Change-Id: I8ba760c68c182d365c3d28a9205f3acba8d9c5ce

2016-02-16  David Tardon  <dtardon@redhat.com>  [192b2844c5cf593b802329201341f7b9bfd64e54]

	librevenge-stream is not needed

	Change-Id: I9cd88de9c93cb5d0c2f8d65b58876fc3c48f90e9

2016-02-07  osnola  <alonso@loria.fr>  [277602b25579b16d54abb7d214ef7d299244fe6f]

	IWORKCollector: improve gradient reconstruction

	Change-Id: I85a37f3d1467d62bc6b682f6350c21627458ae4e

2016-02-07  osnola  <alonso@loria.fr>  [1a3965b4ddeec82f2a7bebb434f0bb156c62d396]

	read more elements

	Change-Id: If1445611c5ec5643735db0a3f41eaf0358efb6aa

2016-02-07  osnola  <alonso@loria.fr>  [e5bd8dc3c829e4c6cc190a2e15fd8c0d2b2e9990]

	IWORKFormula: send cell's address and number correctly

	Change-Id: I007c9621f1735f420c974e59fcfadd1cbf9f5299

2016-01-27  David Tardon  <dtardon@redhat.com>  [e54e5817f7d56a5fac0e0dac2f1cfd1255355e44]

	allow to map function names

	Change-Id: I4bfdc4c8a6af7b663936758a3e1c8a9eaa7764f4

2016-01-14  David Tardon  <dtardon@redhat.com>  [dcdddfa742e7ef3276c957af9e2027fafb8f645e]

	coverity#1341779 uninitialized scalar field

	Change-Id: I7f549b73e786618ac837297e21dc7818c12d4537

2016-01-14  David Tardon  <dtardon@redhat.com>  [649f459c499ceab07446ed913ae661c31e13044a]

	fix brain fart

	Change-Id: If7c5e3c6cebe2f97f1c9f5793cf25cea135a7735

2016-01-13  David Tardon  <dtardon@redhat.com>  [216fc4ac81cab9c7925aa166032150253a7f2482]

	runLength must always be >0 here

	Change-Id: I0fd3bd481900caf557c9580f51d11fd39148e5f0

2016-01-13  David Tardon  <dtardon@redhat.com>  [eff35328432f01120d44b47494b2b87aa1973dcd]

	length must be >0

	Change-Id: I2f783d43426c7b9ea279639073865ab39710417b

2016-01-12  David Tardon  <dtardon@redhat.com>  [7f668dfd610f9ce82b8747d99a39008314ae3d45]

	fix build in C++98 mode

	Change-Id: Ic9d57f8cf4c2d16a7f7ef77c0d9fb28abd2740a5

2016-01-12  David Tardon  <dtardon@redhat.com>  [92eb3602a2d8830a5c966773ac4cb12ee07a4072]

	fix doxygen syntax

	Change-Id: Ibe9f38454ec117827574a1745c3792e5824dfeb4

2016-01-12  David Tardon  <dtardon@redhat.com>  [801cbfa344692e6285859a79b08e21347f6f7009]

	fix syntax for calling dependent template function

	Change-Id: I35033f15cbf780cf2bf9488d750168235721490d

2016-01-12  David Tardon  <dtardon@redhat.com>  [1891b21d87428263e2488168c6a86f1f0497139b]

	prepare for a release

	Change-Id: I2cedd0b16ba94eb57792f0ec1f997d820f3bfbb4

2016-01-12  David Tardon  <dtardon@redhat.com>  [5dc3be0958c6b52f92686c98c594558085f46c05]

	do not require newest librevenge

	Change-Id: I1b939ffe6944939c41a7465547c119149e8e3f56

2016-01-12  David Tardon  <dtardon@redhat.com>  [88ad2c37982a4f9223dfb921645c297e438ada53]

	prepare for processing slide content at the end of slide

	... as only at this point we know the master slide, therefore the parent
	stylesheet.

	Change-Id: I7ff29f793ed53df4f3d4ad3967ac2d480dd64dc2

2016-01-12  David Tardon  <dtardon@redhat.com>  [b63ab7db970c8edba149bfb889f09c6c6a6a2e4e]

	allow to delay eval. of slide content

	This is needed because the master slide ref is one of the last elements
	of slide, so it's only at the end it is possible to link styles to the
	parent stylesheet. This had somehow slipped my attention and had never
	been implemented...

	Change-Id: I4582ee9c82454d30eb73fc2320b1845690b0db08

2016-01-12  David Tardon  <dtardon@redhat.com>  [2149276ebd45765ae1637ff4485799d873a3bc80]

	pass undrawn text object to table cell

	Change-Id: If847075cd0b881ccd1f8b405e3b2f9e1f2e42f34

2016-01-12  David Tardon  <dtardon@redhat.com>  [cc4c1e0d69afe7bfd4181953b37c3a3d9c79bcab]

	drop unneeded include

	Change-Id: Ic8ed9b35791cd10959d81cd8c4dad35d33692910

2016-01-12  David Tardon  <dtardon@redhat.com>  [b3d7b1d57a388560f7edc38bcd478900bebba1cc]

	avoid segfault

	Change-Id: I38feae2be0d639344bdc122abd8e21d5450c1024

2016-01-12  David Tardon  <dtardon@redhat.com>  [3456a0677f189ec83cb899456e1dc65f7a8c6000]

	disable handling of lists in Keynote 5 for now

	Change-Id: Ia007ea6a8b2fd750e5cd7bb7497e33927317842e

2016-01-05  David Tardon  <dtardon@redhat.com>  [400fdd20fb89f376ddc69bd4957765a0419b5e0d]

	fix mapping props to text for non-ASCII strings

	Change-Id: Ib384744ed7f2a0ff60d04e9482b0476accb9171b

2016-01-02  David Tardon  <dtardon@redhat.com>  [4fff6e53d66a734c898f94bed7a0a2844dedc6dc]

	keynote5: bullets are the default list type

	Change-Id: I6095bdcde92546cdb685045038c34aa6593ec353

2016-01-02  David Tardon  <dtardon@redhat.com>  [62eb7434387de1d497862fcb31c46e9748de8c0f]

	drop useless message

	Change-Id: I89f4f11ec37d0855d17346cfd319382f91e2900b

2016-01-02  David Tardon  <dtardon@redhat.com>  [41fa3a27f05fea51bde8768910f1fbce5170495a]

	don't print debug message on lists with type 'none'

	Change-Id: I41c34ca8b7d1e3580aa20e95b433bf596aafa245

2016-01-01  David Tardon  <dtardon@redhat.com>  [cf0a6a47416e2b7f40563c6c8faa24a61366012f]

	handle bullets correctly

	Change-Id: If432266d385337d4ebbeea2328d759eaae64bec7

2016-01-01  David Tardon  <dtardon@redhat.com>  [dcb459bbac9553ac07a6fb37c4bbf13527bb6b05]

	drop unneeded include

	Change-Id: I281cc5c07e79316e355b462cadab22fd13e37ea5

2016-01-01  David Tardon  <dtardon@redhat.com>  [f98a2b66f210d5096aa31410093bbf67df89b871]

	fix brain fart

	Change-Id: I714ccf241f1c5a110be3cdc52f924f587f18789a

2015-12-30  David Tardon  <dtardon@redhat.com>  [378ec99e40bab11ebef4ffec74f7182f2f6207a3]

	init. members

	Change-Id: Ieb8ff61d79760c433894f3a1921584b5465dd51f

2015-12-30  David Tardon  <dtardon@redhat.com>  [27ef22b7b8099d0aaf87d3573b30584782bd5a79]

	keynote5: flush opened list levels

	Change-Id: I9c047e2ef38e4d2bde1bee3a0b415791878429d2

2015-12-29  David Tardon  <dtardon@redhat.com>  [126d90c9cf08dc6f2622258ba541426eada43148]

	keynote5: handle lists

	Change-Id: Ie1ecf9298eca61b504c9b4668a212d8806bf6251

2015-12-29  David Tardon  <dtardon@redhat.com>  [8181245a95762496cb9a99b0ba69a7d0e49c91ca]

	list styles are referenceable

	Change-Id: Ic60cdfc993200be5ea3b8ae17f9b876dac1c91e4

2015-12-29  David Tardon  <dtardon@redhat.com>  [ad2459f60aa2736bf1bb2a0984bf299f069439ff]

	recent clang chokes on 'register' keyword

	Change-Id: I853ec9604d66d2c75ccb853c44fcee0b9aa592ed

2015-12-29  David Tardon  <dtardon@redhat.com>  [071ae23930acc5616757ffd1fc7d8bfd3208bc46]

	keynote5: parse image labels

	Change-Id: I6de7e120e77528552d25c128db413123c4d9298f

2015-12-29  David Tardon  <dtardon@redhat.com>  [747a28e2e3eacb740bba61c7c6e7e436d8d489ec]

	keynote5: parse list label type

	Change-Id: I1d7f4fd5bfd081867fe5f217ff22f562427eaeb6

2015-12-29  David Tardon  <dtardon@redhat.com>  [918e640388c18b923f7372c0419813b153bf0e83]

	keynote 5: parse list style props

	Change-Id: I99e0881d48136d008e19c8b292fd7a47bc04e94b

2015-12-29  David Tardon  <dtardon@redhat.com>  [0cf938517917d3ba64f9cb35f12856dcdd506f30]

	generalize collecting of container elements

	Change-Id: Ia69323a75c2c919679a3d773f06ef49b2781abd1

2015-12-28  David Tardon  <dtardon@redhat.com>  [116596c5b4daa86049a5f608b79dc258523b5250]

	keynote 5: start parsing list styles

	Change-Id: I020bee0d4667dc48eb8a5ab8c0015051fe6aaabc

2015-12-28  David Tardon  <dtardon@redhat.com>  [74c2965b71f2909825c57704064c1fbd3230a46e]

	allow to parse props outside of prop. map context

	Change-Id: I9674d80f70c0759ef0a8d8c344a6ea8d80d45b11

2015-12-28  David Tardon  <dtardon@redhat.com>  [4c809065aea31d260aa5f48d665b4ad6bea70b4f]

	allow to handle arrays of refs too

	Change-Id: I9e60a8d2de8691359aa0acb7dd3cf4b961a915fc

2015-12-27  David Tardon  <dtardon@redhat.com>  [722be64f5d62624e12a8282c8f2bc34720445752]

	make --help output more help2man-friendly

	Change-Id: I3a5d8c8089e92986b4e8660640967d8f647e0abb

2015-12-26  David Tardon  <dtardon@redhat.com>  [371ddcdaa6649a3c84fc39f7556a38068c38c07d]

	update AUTHORS

	Change-Id: Id0a7f9533a16f0bb5c1ed2e2d624224bd45088cc

2015-12-26  David Tardon  <dtardon@redhat.com>  [bf72e2351d148cfec088b83ef924a93b67f32d16]

	simplify installation of headers

	Change-Id: I939f231a6ec8e58562a69047acfcf750a287a589

2015-12-26  David Tardon  <dtardon@redhat.com>  [de3fb1a2ad204f03c5d3c7efd73de898d497af52]

	correctly handle lang covering multiple spans

	Change-Id: I9df87155dd650d5550a62c554e5b303e7ea3cc23

2015-12-26  David Tardon  <dtardon@redhat.com>  [2a5832f4bed6dac5f68e7825e58c39bbcbcaeaba]

	mention new dependency

	Change-Id: I1536ce060ca57e68862e8cf774fcb19041107299

2015-12-26  David Tardon  <dtardon@redhat.com>  [e41523e288d30470fbe67a57846725b1380d415d]

	improve handling of text language

	Change-Id: Id437e198bd3e798713254063ac24eb4c181c2076

2015-12-23  David Tardon  <dtardon@redhat.com>  [efa096ef52a445f203456ab32194d38b6f510d7e]

	fix closing paren in list label

	Change-Id: I3a0d41118334906c8a072aa41eec78d837ca5658

2015-12-23  David Tardon  <dtardon@redhat.com>  [f076b5e5511fdf63b1b92508193d8cf37c9c797b]

	update FEATURES

	Change-Id: I96e9cbed373fee476319a641e33992625f1af469

2015-12-22  David Tardon  <dtardon@redhat.com>  [a0a9cdb7ec5616acc487fdb7c8e026f61fadf0bc]

	handle table trafo correctly

	Change-Id: Ie155161c50aa28003eeb72b994232a09506d0a29

2015-12-22  David Tardon  <dtardon@redhat.com>  [7bcaacb3fb3496f25804a0d972556702d255a327]

	group list style props by level

	Change-Id: Icf7e0a47524147b7566fcde0dd59019a7a068e76

2015-12-22  David Tardon  <dtardon@redhat.com>  [103168f3abd6cdf13dee2395e2bbf1ffacba82ef]

	always write the mode

	Change-Id: Ief11ba24f967ca308fd939d5db4c2d674f66bb2f

2015-12-22  David Tardon  <dtardon@redhat.com>  [3287d544723b16aa1ca548ce75d999acf2e9cf45]

	handle list elements with type "none"

	Change-Id: I344a3e2468458e97ceab4e7fa54eaa68c6d6b178

2015-12-21  David Tardon  <dtardon@redhat.com>  [c33fa267913b11c309b4e04d57264bd146161886]

	apply text indent after a bullet

	Change-Id: Iac2284d14feebbedf9f195aedc615b7138a9015a

2015-12-21  David Tardon  <dtardon@redhat.com>  [576d296be341ebf00057e363f4285e097e204dfb]

	list element is used instead of paragraph in lists

	... not wrapping a paragraph as I thought.

	Change-Id: I40f4b9a460244c9271e467e3b6d6d92e587e1906

2015-12-21  David Tardon  <dtardon@redhat.com>  [21e7763707e6fe8f3dc617d5c16315bafe18e5ae]

	handle list level indents

	Change-Id: I2b17235800d09f43345ccc33c8b759af16a94409

2015-12-21  David Tardon  <dtardon@redhat.com>  [696885f4290762d452b059c9cee603db445b4606]

	make sure all opened list levels are closed

	Change-Id: I635469178e47e43b10833be48b8569e6e766f858

2015-12-21  David Tardon  <dtardon@redhat.com>  [b725599f9dc08dd42614927f5147cee0ce47a6aa]

	list levels are 0-based in Keynote 6

	Change-Id: Ibc16aaa01e8b515c08023b6709d9202380877b19

2015-12-21  David Tardon  <dtardon@redhat.com>  [e912bb3635c7b5b3f8026c4b3077d5c45d2d2ae0]

	add debug message

	Change-Id: I98ab3aaba3bd8a6f9f6c41ed7f4070486090f5c0

2015-12-21  David Tardon  <dtardon@redhat.com>  [345ed96c9a1e9a14f1b16e6c6f520200291160bf]

	get props for the right list level

	Change-Id: I6b84664ff4912bbe3bdb0b8754375bd2d8885ec2

2015-12-21  David Tardon  <dtardon@redhat.com>  [2a8e043b64014fc92454e1c7a2b43654b6091cb0]

	fix off-by-1 when accessing list level props

	Change-Id: I2da8fe6be4e293c3e373a58860db7e7bd43524d0

2015-12-19  David Tardon  <dtardon@redhat.com>  [506f1dbe08008ac815304cd02e7c11977e9e05c4]

	parse list levels

	Change-Id: I54975f555c6e01dc27e5e9952b29cd82b713bff7

2015-12-19  David Tardon  <dtardon@redhat.com>  [3b0b416ca1b2362d9d348b3b805e6de59de9d578]

	move comment where it belongs

	Change-Id: Ia04b06326ab81a2fb6b37dd8eb1993c03466f98c

2015-12-19  David Tardon  <dtardon@redhat.com>  [049af39a9bd692154ca7800a9277e04d2d6efb9e]

	parse list style

	Change-Id: I5d2b29ae752c075764f4f5a382c6d36fbdee14bc

2015-12-19  David Tardon  <dtardon@redhat.com>  [0de57c2fe4e211c4b2064d10b348346d30da86a8]

	init members

	Change-Id: Ie722d18a34ed77847183c29a5f99bd7452748073

2015-12-19  David Tardon  <dtardon@redhat.com>  [ec8690b1045d0d2520ec509811fba094726b1781]

	add missing ctor impl.

	Change-Id: I360b72aa0caff7b0db970d173e63b2863ccf211d

2015-12-18  David Tardon  <dtardon@redhat.com>  [dd9451bfabaff331e65f7bc6e1f161139a8bd5cf]

	handle some list props

	Change-Id: I9d3e6547cebf7e252ba3119484142792fdfbd85d

2015-12-18  David Tardon  <dtardon@redhat.com>  [961fc07e4da6349fa87d824cdae441876d920fe0]

	define list types

	Change-Id: Id7f2fe4ee3ae82f3b8645128e241ec0569f09a87

2015-12-18  David Tardon  <dtardon@redhat.com>  [564b6f7182ccae4798055b9096f418577adb9aab]

	start to handle lists

	Change-Id: I8c2862337cda5968c4fe1103f2a256ed26bd3487

2015-12-14  David Tardon  <dtardon@redhat.com>  [6d562b9d08b4cf72b416a91b8d4b2c41e3f74370]

	really parse text language

	Change-Id: I282d13a65d37069c3366394db3e21109e0f73c13

2015-12-13  David Tardon  <dtardon@redhat.com>  [c6e1f7dbe8bf1d326235121b212bdfb42194829e]

	parse links

	Change-Id: Ibb5b81b669bf6e4fa7f0b682a505a5886047cde7

2015-12-13  David Tardon  <dtardon@redhat.com>  [68728102c220750a372619aaaaac3f0669f55f9c]

	use typedef consistently

	Change-Id: I1d63753b4663d0cf09897a34d767f189a304450e

2015-12-13  David Tardon  <dtardon@redhat.com>  [bc27e2355c651990a580b56cfb8e48bec8521a61]

	iwa: refactor handling of text

	Change-Id: Ic68885c3802378442ee9252c17dbb21c6a30f80c

2015-12-12  David Tardon  <dtardon@redhat.com>  [e364b18eb79663be4ebc5ac2bf5e739a7a3acbd6]

	move text parser to a separate source file

	Change-Id: I323adbf760fc1f4292fa9c2a19d9fa3e364f9844

2015-12-12  David Tardon  <dtardon@redhat.com>  [2711034eac33361c57d065489840994475073f5b]

	fix build with boost 1.54/1.55

	Change-Id: I396f7527915447956f5918b331949f2d12fe6453

2015-12-10  David Tardon  <dtardon@redhat.com>  [d6be7d06bfd66eb661b24046234028192bcc8864]

	always reset span style

	Change-Id: Ib0829e57a458fdd10c8ff6f8dda42b12c41f3aba

2015-12-10  David Tardon  <dtardon@redhat.com>  [28ba251446116c1cfddd6e72e7e70e731b3a9720]

	make use of IWORKText simpler

	Change-Id: I1256c214b69a34e648855e6900faa93dfa956d30

2015-12-09  David Tardon  <dtardon@redhat.com>  [1e1b9791270019a284c1cae1e1acc11c8eb95db5]

	add support for inserting additional spaces

	Change-Id: I6c01fc2d29b0af22b4864b7acc70110ec2ae2443

2015-12-05  David Tardon  <dtardon@redhat.com>  [e792a1a4e514737ef139aeb120831b097c4ff9f8]

	add BIPU Numbers 3 parser

	Change-Id: I4838d6a4ec38da28b5c3a7163c1b3df5e1c7b2dd

2015-12-05  David Tardon  <dtardon@redhat.com>  [c87df7e6bfd026ce3d6c93d465e9d182411768d9]

	add BIPU Pages 5 parser

	Change-Id: I4b4248e8065e228160b28563fbebdeb65f5c973f

2015-12-03  David Tardon  <dtardon@redhat.com>  [eee09d8eddbc025b60a37f4de821ebd675d88ef9]

	prepare for a release

	Change-Id: Id58f16ec588704e17491a4a1712b29fa7549c6e9

2015-12-03  David Tardon  <dtardon@redhat.com>  [85a8197a4b7fee1e5b2131c888dbef8a1736707b]

	update REAME etc.

	Change-Id: Ib042c6471067a735becddbf06f4669c8ad0aa7a2

2015-12-03  David Tardon  <dtardon@redhat.com>  [e67c0bcad62559dc8353a06b50c5b9b8c336539c]

	WaE: commas at the end of enumerator lists are a C++11 extension

	Change-Id: I86c71415d60c3eab840eb7a5ec42c3b8b8600f9f

2015-11-30  David Tardon  <dtardon@redhat.com>  [7b9869a43a743fafe117c4c9f7e298dd70e2d918]

	parse table row/column headers

	Change-Id: I8ddd5b0099a93e37741881ed90462025c1df5b64

2015-11-30  David Tardon  <dtardon@redhat.com>  [ba5936ca6d3c9a7f6e7f2b302f96e8786a71b45f]

	parse table style

	Change-Id: I55e4379bbac2b4426acb5f4eb233691f60a76285

2015-11-30  David Tardon  <dtardon@redhat.com>  [e2c5aa3ef426f709cb7f7f2fbf7bae63f98041a1]

	init members

	Change-Id: I0b30015ffc90cb6e58173c18a7a798bb8b7eeb82

2015-11-30  David Tardon  <dtardon@redhat.com>  [c822cc7174068167d13288ab3f8e292ef28f001e]

	drop unused forward decl.

	Change-Id: I3d21968abfca9bc58f84088f5ec9f398a9bf39de

2015-11-30  David Tardon  <dtardon@redhat.com>  [b05c226472a8dcc4b0b2cd33b12e4e873bb02a78]

	drop unneeded include

	Change-Id: I7274deebb918e799ca66fcbc51abff5ff85932f9

2015-11-30  David Tardon  <dtardon@redhat.com>  [9891d2788eb8e1bba4e824a394c0dae93601e4b5]

	remove extraneous whitespace

	Change-Id: I854139ded723dda8e4222427f361b2d4349d3960

2015-11-30  David Tardon  <dtardon@redhat.com>  [e762d787e0ba1399faf437c56652a363949d02ea]

	remove extraneous break

	Change-Id: I8a17ae80c92c2725d4f749b98b42ee473432c106

2015-11-30  David Tardon  <dtardon@redhat.com>  [2515ce7b54e16f535101fd4c66829a4bd178a446]

	keynote 5: parse slide background

	Change-Id: I6dc65be0961f144b95743620652e8507cafd9870

2015-11-30  David Tardon  <dtardon@redhat.com>  [93d846873829192605938ba47a4b1df28e3c9cc5]

	parse more line end types

	Change-Id: I7ba27c48a03838a415ee409bb41df330a66f278e

2015-11-30  David Tardon  <dtardon@redhat.com>  [d9d62c4e44ba5cc682c07b62ec6b17f46cfe2343]

	keynote 6: fix drawing of borders of unfilled shape

	Change-Id: I97bc559a683012d1a152fbbe026d07f19ca3d1c3

2015-11-29  David Tardon  <dtardon@redhat.com>  [5c0ce94b13b7d74d7941b5e2d304714a4523e3e2]

	parse stroke type

	Change-Id: Iafeedaea7bd4af80c669acc139f25943572c4db4

2015-11-29  David Tardon  <dtardon@redhat.com>  [68b0934750a8f34912f2670b84906f48e219d4a9]

	only read pattern if there are any elements

	Change-Id: Ife3fc87a169f2fcf58092fa1193668913a02356f

2015-11-29  David Tardon  <dtardon@redhat.com>  [adef8293fc8138491df91fdbe621cee5a1ba12d1]

	interpret bezier path correctly

	Change-Id: I1a1ede299bb602f3106a5183f87fe4536bee8cf6

2015-11-29  David Tardon  <dtardon@redhat.com>  [cf9142ee2e99821295c5b7741c1c98235602dd5e]

	handle stroke dash

	Change-Id: I66cf228b9042d84ce6ae418e572a9307ddb84c55

2015-11-29  David Tardon  <dtardon@redhat.com>  [d768e030e3892d1ee6267554c9a8f20c17368038]

	parse opacity

	Change-Id: Ifbd8ee16e11161f27b9017030a9de94ec1e0e077

2015-11-29  David Tardon  <dtardon@redhat.com>  [689db51608417462daeb17b658523b773cd372b2]

	keynote 5: parse shadow

	Change-Id: I1562578fd19c878733026f227fd96ae224cbc9f9

2015-11-29  David Tardon  <dtardon@redhat.com>  [2aec5a3aca765004ad12de8775b07bf0d710c75f]

	add a generic parser for single-value elements

	Change-Id: If76beaed31cf19ec93d26e6d7f278dc73877e1e6

2015-11-28  David Tardon  <dtardon@redhat.com>  [c6fc3908f62bbbe2ae9411815b9eff6a248841bf]

	drop some copypasta

	Change-Id: I888aee5b7496ba8df406a63bd58985d352d2aba0

2015-11-28  David Tardon  <dtardon@redhat.com>  [45ad5830de03c4c4ba4ba500233c5c62a4edab04]

	add a generic parser context for containers of elements

	Change-Id: Iab9bbc6df8846b1fde989f9a8c024d7c3fce18ad

2015-11-28  David Tardon  <dtardon@redhat.com>  [59f0298a2545db1c87cd230fad62db9f925dd2b7]

	keynote 5: parse fill bitmap

	Change-Id: I82a2a92811ce761a6d4b57de66abc0fcccbafadb

2015-11-28  David Tardon  <dtardon@redhat.com>  [555e911575ebea30ca687216057ea9e1591fbb62]

	keep token lists lexicographically sorted

	Change-Id: I37ea4fc81dd604b50e8d268ee2f0bf80bbeaa902

2015-11-28  David Tardon  <dtardon@redhat.com>  [ddff65ec633f4dff783ef362b434862371f3f3ff]

	keynote 5: parse gradient

	Change-Id: I6aa3b4fcd836e9d645c830b5e5c24f71a08520b1

2015-11-26  David Tardon  <dtardon@redhat.com>  [23eecd705424545168ada7af452c1c29fa8c8076]

	image size is in points

	Change-Id: Iaa625094852a1ca51b7e77511f61699a749a94fd

2015-11-26  David Tardon  <dtardon@redhat.com>  [631d5d147efd68780d6740a0e84b6604abc3c051]

	the same bitmap can be used repeatedly

	Change-Id: If05af2a9e77c9a7787416930c35b3dd7e78424a4

2015-11-26  David Tardon  <dtardon@redhat.com>  [a6b6b4d3ddc1a5aa09bf17b76c9a12635584bc5d]

	shadow offset is in points

	Change-Id: I8df8a0cd28bc7b2a7422cada585f86162485039d

2015-11-26  David Tardon  <dtardon@redhat.com>  [0569583984c52af16a92fa24029ef2178c5da068]

	no fill is the default

	Change-Id: I9cea7bf9a71458538919dcff32290bf1fb315709

2015-11-26  David Tardon  <dtardon@redhat.com>  [893c4444c358b9627200cc759049e5aa34c6323c]

	handle fill: none correctly

	Change-Id: I3307afa13a0dd773470469af416bc60b9efc7bc4

2015-11-26  David Tardon  <dtardon@redhat.com>  [0fe74e300180ffcc50af73c61fce7deed4225b4e]

	take end iterator from the right sequence

	Change-Id: Ic05d045056158f235194b95aea6d26b54bab74ac

2015-11-26  David Tardon  <dtardon@redhat.com>  [61c822c86a2413f60c3ab038bdd54897f4d7deb4]

	diff. between non-exist. and zero-length field

	Change-Id: I09c0a8a37d73ed994d1b40ef060bba8e3667724f

2015-11-26  David Tardon  <dtardon@redhat.com>  [3db9a78b8eca407ebe44104153f7c68e08832fc1]

	astyle

	Change-Id: Ia4d774a1da385f7de726f9bd80fc072f452c3c39

2015-11-25  David Tardon  <dtardon@redhat.com>  [98dd84843e2714c9615c129038703372d1ba78a6]

	opacity is in percent

	Change-Id: I9cf6e56a540b15291cb16cee72ea9f3a10f74818

2015-11-25  David Tardon  <dtardon@redhat.com>  [2d9391e8394d1dd1754992169c53ef338b83b18e]

	parse graphic style of shapes

	Change-Id: Ifce6380cb9cbf18a2cc40a9a88402d88e945408e

2015-11-25  David Tardon  <dtardon@redhat.com>  [86ab25f05131c115f8986dfdd0ede9842c855256]

	define center of radial gradient

	Change-Id: I04c1e07df7e82d0835e78ac48f39aab667518c5b

2015-11-25  David Tardon  <dtardon@redhat.com>  [af0ecb37648903befbfaea63709f81b51eba795b]

	correctly compute gradient angle

	Change-Id: I5f648f5f6a54d7f9d803b6c2629168a63464968e

2015-11-25  David Tardon  <dtardon@redhat.com>  [792d8d6c20ab113a0ca74a2b125b80d76466e8e1]

	angle is expected in degrees

	Change-Id: I71b00efa195e0cfdb125802ce543a79c3a840d11

2015-11-25  David Tardon  <dtardon@redhat.com>  [12ac0ea00e9f67695be8a45bf1b585703d32228e]

	mime-type must be set

	Change-Id: I3786f0bbe519654371ce1c01ac99c3547ac7104a

2015-11-25  David Tardon  <dtardon@redhat.com>  [f3c8032be35a08ffb5eb8043fc72348123bf59fe]

	intensity is in percents

	Change-Id: I145247e352d36bd6c7190889e6e7cd6659d1f37e

2015-11-25  David Tardon  <dtardon@redhat.com>  [2bbbf3b778e071fc3b55ff2c70f5a3972230daf1]

	fix property name

	Change-Id: I16c903b09aff80cd44c155ca0968c5e19bf139d5

2015-11-22  David Tardon  <dtardon@redhat.com>  [c38d8f5baa85710337787bd1db3e0a3701515a7e]

	really use fill bitmap

	Change-Id: Ie96af1e669c507408acccf8967077f0bece16a80

2015-11-22  David Tardon  <dtardon@redhat.com>  [be6eef0f307eeefd8005b16636cefd451a12d7a4]

	later releases add another way to specify internal file name

	Change-Id: Ib2ee0f6b5fdc66d35729d9a966fe56ab135b3a07

2015-11-22  David Tardon  <dtardon@redhat.com>  [0d301f8b31857c0351a0e59558613c2bf1ea9e35]

	there can be multiple slide lists in the presentation

	Change-Id: I743e75621e16416d90fe9e97d02c1674d5650595

2015-11-22  David Tardon  <dtardon@redhat.com>  [5311dd1702c37638cb52f44e0d810e3e340a619a]

	oops, actually use the just parsed gradient stop

	Change-Id: I3cf132190eea771686e4037c28f80808abf1ab4e

2015-11-22  David Tardon  <dtardon@redhat.com>  [fe67a3f586d434ef100a66a201802b8c5bab5755]

	handle slide background

	Change-Id: I29f264395d2907b9f15cd562caabe6b89dffa739

2015-11-22  David Tardon  <dtardon@redhat.com>  [290c73feda6d367be2c1ea825c7f5c43f3d505e0]

	fix typo

	Change-Id: I1182125568bc60aa50e42ec1ebc16655ece62143

2015-11-22  David Tardon  <dtardon@redhat.com>  [7ae70a40b8c6dea62b5cee0c9ec7ca54b8192fc8]

	fix copypasta

	Change-Id: I3f1bbe2e1f9e67f9404eb551187685bb3393a38b

2015-11-18  David Tardon  <dtardon@redhat.com>  [5907f9c316ca68f12628817b157154397d92d4b8]

	BUILD_EXTRA_DIST does not exist

	Change-Id: I13410ff3ff49ee422b88712f8b6d1b07510a8942

2015-11-18  David Tardon  <dtardon@redhat.com>  [aeac56a8cda7376fa0b9e18e3624f18dab3f5f7d]

	warning C4018: '>=' : signed/unsigned mismatch

	Change-Id: Ia1a1fecf75bcb1be7754b0de373e9957fb44ed52

2015-11-18  David Tardon  <dtardon@redhat.com>  [f6d6c88cb3251cc06c1308f22f7ee9aa3bd690d3]

	fix test on i386

	Change-Id: I7fcf0f54ffca63fd0d9c545e255dfc2f42ab6bcb

2015-11-18  David Tardon  <dtardon@redhat.com>  [e10e50b1bf37a275757de6b4c3f9791c5ef64742]

	fix build on OS X

	Change-Id: If979903fd6877f1b2f562695399e4cbe97efea2c

2015-11-18  David Tardon  <dtardon@redhat.com>  [0beaf8ae8d9fc9049ac684ca169295357275eb85]

	std containers of incomplete types are not allowed

	Change-Id: Icd916b4b0e2e2ae87014b6b53dbba5e56aa43846

2015-11-18  David Tardon  <dtardon@redhat.com>  [f48bd16df9c0a99ba5480d918ecb6d6e48e6f383]

	fix compilation on i386

	Change-Id: Ia8b63e6aeb07f4f697211f4d8ede6f840773a9f2

2015-11-17  David Tardon  <dtardon@redhat.com>  [590ec149d2a6bfbbd2b1b2c37ff85bde8b48c944]

	coverity#1339811 read cannot fail here

	Change-Id: I777a177cc1f775d8b7715f10b3217996e7300916

2015-11-17  David Tardon  <dtardon@redhat.com>  [8a7eafe54d9774f2e2c095882a18ab02f8239bfa]

	coverity#1325214 missing break

	Change-Id: Ic2618dabb5b20d2dfa14622976503f10a022ade8

2015-11-17  David Tardon  <dtardon@redhat.com>  [de2d94586684818fb98e75d2febded11cc704f07]

	improve detection & handling of trailing path elements

	Change-Id: I05f7eb5c065f0b0a98d80b756b6f9a1ec6d7f51c

2015-11-17  David Tardon  <dtardon@redhat.com>  [953a95cb9130b2e0d68e09d513f495117e66d2be]

	missing space

	Change-Id: I1853ac95b84dced443c6458a759bd274bfcdb41a

2015-11-17  David Tardon  <dtardon@redhat.com>  [5ef52ad2231c815f040825cae8fc133b57d4a343]

	coverity#1339812 arguments in wrong order

	Change-Id: Iefcc67c40c1dc17a16d74470b72e90ad0e06863e

2015-11-17  David Tardon  <dtardon@redhat.com>  [02f11779b508b226bb5c43b16b0d2eb3a7059429]

	WaE: comma at end of enumerator list

	Change-Id: I3de54006368d4ed88cc68111987e198ceda6ef8e

2015-11-17  David Tardon  <dtardon@redhat.com>  [568f445607415b74aa812f149afe89e0e07d9607]

	WaE: comma at end of enumerator list

	Change-Id: Idb2c7a1269f65d304b215fd08d7835fc6a9c1d8b

2015-11-17  David Tardon  <dtardon@redhat.com>  [a81cd46b998e7cf6d48e3d461f4254d2cc8cb819]

	use the right variable

	Change-Id: I4c017cf991450ad24decc5be623d20006675d90e

2015-11-17  David Tardon  <dtardon@redhat.com>  [8d2e4278aa2d85e6664ddd83d75d2fa034cf49ca]

	fix extension

	Change-Id: I3decdf127d3fcaf5f64abf5599a58eee0eb7a81a

2015-11-17  David Tardon  <dtardon@redhat.com>  [8a9d8c3958329f60de2fa771dff212d73cb1768f]

	prepare for a release

	Change-Id: I1911e98dc5fb9c815f4d43182cad4a5b6774578b

2015-11-17  David Tardon  <dtardon@redhat.com>  [6435704c577f8821b7ef8f35ad5af0260bcbea31]

	really parse cell properties

	Change-Id: I8da05029af576bad1a86aec72b7291d01ad97a9a

2015-11-17  David Tardon  <dtardon@redhat.com>  [0e9a49384898e57da35f462fcde0a939778f7e07]

	parse cell padding

	Change-Id: I0bcaed90daaae898d251bf9bc771c752c8602786

2015-11-17  David Tardon  <dtardon@redhat.com>  [1ac9c461aeb24d03901471d6194acba28ee505fa]

	add another way to find slide list ref

	Change-Id: Ie946dc62a85ea03c1ea5aa838a4d84eb3545db60

2015-11-16  David Tardon  <dtardon@redhat.com>  [c64ea804c3932f9ee1adae13a0a47b6a372ffa69]

	parse table style

	Change-Id: Id6d73f8873ea3d5e783bbb83d6180506b00f0055

2015-11-16  David Tardon  <dtardon@redhat.com>  [34985343ff2f0bb99a5a75a4a2efee3e90a61330]

	set other table properties

	Change-Id: I6e6db5e3cb83b242af6c562ac791890e27cdaa76

2015-11-16  David Tardon  <dtardon@redhat.com>  [c1887a9fd71a6537f17e4a236df8360eaf1e3f3a]

	handle cell style

	Change-Id: Id09c60584454c167016787edade04b4f8050f701

2015-11-16  David Tardon  <dtardon@redhat.com>  [274107dd53fc6fe0091c9f4b9499f695f63e2e9e]

	narrow scope of try block to reading column data

	Change-Id: I108e963f9223b0f271c4a50e26157b4cb5d81db7

2015-11-16  David Tardon  <dtardon@redhat.com>  [8a9c4d1ae0dcf6a129fdb86b71b1f71cd3d13ed5]

	simplify calls with empty style

	Change-Id: I83b0ff9cd267727c21dc554757a31d463241357e

2015-11-15  David Tardon  <dtardon@redhat.com>  [c42bdee9811e25d819358534cc746231b8a1a8f6]

	shuffle a bit

	Change-Id: Iac312b2db7d832d2d3991004a432ef1331c06ca5

2015-11-15  David Tardon  <dtardon@redhat.com>  [e9276520fd72815599dec410dc2c80f61a988eb9]

	prepare for better handling of cell content formatting

	Change-Id: I1eee1859ee6c02e8cca5a75ee63979c10ef3769a

2015-11-15  David Tardon  <dtardon@redhat.com>  [d768fad82c3e2a8d6e765428a3f1f8121f4c3f81]

	prepare for better handling of cell formatting

	Change-Id: Ia9c71079fb373685aea995b4cf637934b16060a4

2015-11-15  David Tardon  <dtardon@redhat.com>  [9b21342c6bcf882cd9080cfd44836129df9dbd9c]

	split handling of tables out of collector

	Change-Id: I226b237a9e8afd4adba0c5a71cb34ab92c232545

2015-11-15  David Tardon  <dtardon@redhat.com>  [7dc0b8a298a968c53cd93e57a7c0462664148674]

	make createText const

	Change-Id: Id15b3526775b1ecc7f3d778e338d93bb4110460a

2015-11-15  David Tardon  <dtardon@redhat.com>  [1f720e37d880468ed6524117bd0f2ecc82da61f2]

	split handling of text out of collector

	Change-Id: Id4d6a746f5b480bfb8cbe7c9060a19111cbe5080

2015-11-12  David Tardon  <dtardon@redhat.com>  [e0f27f62ba2df793b941264b45df3384e6c7d286]

	collect table style

	Change-Id: Id4d6a746f5b480bfb8cbe7c9060a19111cbe5080

2015-11-12  David Tardon  <dtardon@redhat.com>  [4f065e4831dbc9f33b04cb91a36532d3c9a25d64]

	use default para style for cells

	Change-Id: I01e92f45aeb0c70c52679667cf3f1a96841a4844

2015-11-12  David Tardon  <dtardon@redhat.com>  [69d5bde1dd7e6fc192f114c3d8b683ad9bb2da78]

	prepare to handle more table cell formatting

	Change-Id: I34f0d457a7cd9574607c8b6659c271bd5d632778

2015-11-12  David Tardon  <dtardon@redhat.com>  [fd95582fb02ca826b93f65c8d5ee7ed49f99efe9]

	split writing cell style into a separate function

	Change-Id: I10688991b4462686ba91c9d0eea73b2655d057e7

2015-11-10  David Tardon  <dtardon@redhat.com>  [161aeff52c567de2090ed7f0e75858e40274208a]

	parse cell style

	Change-Id: Ib49e2d944ecb97b0cd3b0133162659f45dab0a1a

2015-11-10  David Tardon  <dtardon@redhat.com>  [8849f84a1dbab9cc6fe86903af686669c54fb3e5]

	output cell text

	Change-Id: I24faade03ab5752ab13986d0260a5fbc859ee0e8

2015-11-10  David Tardon  <dtardon@redhat.com>  [2c10a679dc8172e165b115af2465b5cb5d4c574c]

	automatic bool conversion strikes again

	Change-Id: Ic0a41b846cb2c285583d8c1a69c724a20d9c1268

2015-11-10  David Tardon  <dtardon@redhat.com>  [040962012091df9eca86fe9ba4cd34da8c46372b]

	test for number of elements too

	Change-Id: If55e06bb69fd557156e2fcf85e1365495110b0e7

2015-11-10  David Tardon  <dtardon@redhat.com>  [0d02cd4bd5c4cbc952189101964436b4de8f8599]

	fix copypasta

	Change-Id: I27e75af70377adfeed121b30c7f46dd32235cd25

2015-11-09  David Tardon  <dtardon@redhat.com>  [c9ee230db80fe4cb3e6458d12b82a1da93d99fde]

	parse tables (BIPU)

	Change-Id: I3bf5eb40e57f1cc1cc286b099d04b3ca3351da6b

2015-11-09  David Tardon  <dtardon@redhat.com>  [a0a856ea61fc95d51ed92312cbc438603e0fd3b8]

	add support for bytes field type

	Change-Id: Id0ab21e3b539bbd367964ac13b86e11e2ec48f0f

2015-11-08  David Tardon  <dtardon@redhat.com>  [f7a89ccff446831a215f4fdb15c7b67cfd735a30]

	really parse shape fill and opacity

	Change-Id: I103f09cfd35e048f337d25495736cac99acdd282

2015-11-08  David Tardon  <dtardon@redhat.com>  [a79ee28bd59b5100c4050e085fd7e02f72022f6f]

	fix nesting

	Change-Id: I308c10fd914bf786e69d35d5b20c32a18720eb4a

2015-11-08  David Tardon  <dtardon@redhat.com>  [392003e4c28158ab5b69b0482143565c56c28b49]

	parse shadow

	Change-Id: I20bc7045d5d7cb51d1aafd038645a164997b7af7

2015-11-06  David Tardon  <dtardon@redhat.com>  [eb6b1c5118ac1bdf36bdfd3b78abbc6b6d1240ff]

	parse bitmap fill

	Change-Id: I71ea05576d0d6d10ae013f48287019b5df5e69d7

2015-11-06  David Tardon  <dtardon@redhat.com>  [edbd327271903073c3ffe0a79576234b65c6169f]

	parse gradients

	Change-Id: I25c0d45d5b885c82e604c4a7cbfad7a6757838cb

2015-11-06  David Tardon  <dtardon@redhat.com>  [45386c7c962b521054cd7be6a9651ae93c9fb4cf]

	prepare to handle gradient and bitmap fills

	Change-Id: Ia4fdc1ca2f2f39c4ac13f9afc401825e678f1ca7

2015-11-06  David Tardon  <dtardon@redhat.com>  [45151376d9bfdbc7e84636d3f22e21b313b0c048]

	handle linecap: round

	Change-Id: I902a02022abf3b08687a1f11474c393db1a703a0

2015-11-06  David Tardon  <dtardon@redhat.com>  [63ad5cadb8e3b64dce94a035731cab872a828f70]

	fix after-free memory access in formula output

	Change-Id: I82cbefbe761d45605727c12f6153b505392c1f7b

2015-11-05  David Tardon  <dtardon@redhat.com>  [e1f3856ef8a84ec487059df99b35bf4f60e3c004]

	impl. missing symbols

	Change-Id: I279f14ba8405a7d4a739d3c1daebf333db08b2ac

2015-11-05  David Tardon  <dtardon@redhat.com>  [4a5acfffec1d0027f54b0fc672a587dc1e71ecfe]

	parse shadow

	Change-Id: I2a73566005d1c514c967663a9db15893a810b88f

2015-11-05  David Tardon  <dtardon@redhat.com>  [7846fde1c55d861e762f7ef76779d7bd8f416d42]

	start parsing graphic style

	Change-Id: I4440e2f5b1e4221bdbbdedb78d057851db4e27bd

2015-11-05  David Tardon  <dtardon@redhat.com>  [f18ca8f85494f0c108f2ab2bf788914503d368dd]

	fix copypasta

	Change-Id: Ib4a6505c92ec42291c6811d95b4e6891d01086e9

2015-11-03  David Tardon  <dtardon@redhat.com>  [94cd986303e118c5ac253c6292df0a55bb48750d]

	parse more paragraph props

	Change-Id: I3410682fb095d482ba11c8c15b8683b8f1b9251f

2015-11-03  David Tardon  <dtardon@redhat.com>  [fad742a3ea8ef1b3f4de6a5f939cda8ffccb2f68]

	astyle

	Change-Id: Id479823605bc0f2f4619c36ed2e531f03cd30bc4

2015-11-03  David Tardon  <dtardon@redhat.com>  [ae97f0a498410caf9e508e3383df38accef51dd1]

	fix typo

	Change-Id: Icfdf77948430813a6aa6c270707aede854a344b4

2015-10-22  David Tardon  <dtardon@redhat.com>  [9b9de1cea3de3f20a536750f4dc33bbe3face183]

	fix more automatic conversion bugs

	Change-Id: I03dfc8c1535c493aefcfa53a0935f52d4e40ffb5

2015-10-22  David Tardon  <dtardon@redhat.com>  [67a91b1e13cdfdfac5d1f7820129e6d0a3e45f5b]

	workaround c++11 compile error

	Change-Id: If8d238764c90fc8297e2e0042db0492b9bc5193d

2015-10-22  David Tardon  <dtardon@redhat.com>  [a337fe5e07f912112512e1d91c10de2d632ca3f5]

	fix automatic conversion bug

	This worked in c++98 mode, but it did something else that what was
	expected.

	Change-Id: Ibaf265fb530e643e10d812e0fe19e97f77e0bd9e

2015-10-22  David Tardon  <dtardon@redhat.com>  [eb4839135782b4ae28f0d8fef4466f7d5340e814]

	workaround c++11 compile error

	    error: call of overloaded ‘make_shared(libetonyek::IWORKPropertyMap&, boost::optional<std::__cxx11::basic_string<char> >&, libetonyek::IWORKStylePtr_t&)’ is ambiguous

	Change-Id: If129deba0fae4f123eff5b6a2f65bd6916c39635

2015-10-22  David Tardon  <dtardon@redhat.com>  [2d6ca4dbf645c097c3c17f4f50217bb6356b20eb]

	remove a stray comma

	Change-Id: I88516d684f3283dbdd556d04b1be26234a893ad3

2015-10-22  David Tardon  <dtardon@redhat.com>  [dad57630d1261c3621eb30e8072743747b155f1c]

	add missing MDDS_CFLAGS

	Change-Id: I5cf5404548afcd9bc5864b8455996499571aba59

2015-10-22  David Tardon  <dtardon@redhat.com>  [db4cd3e296f0773e07b3d7bbf549b983cde7c810]

	still allow to use mdds 0.x

	Change-Id: Ib65810b17719f7fd5546fa9506dabaee0d988b83

2015-10-20  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [754955be40e04ec3f446821e87e6fba96fd44c5c]

	update to mdds-1.0 and c++11

	Change-Id: Ifa2611bc65dc4037f3cae6e68cc967e1f5ab1d58

2015-10-16  David Tardon  <dtardon@redhat.com>  [83c758ef318aea8fb0fe6ca51302cad0ba3b7991]

	parse sticky notes

	Change-Id: I0dcaf21994567d052cd3d0be70f034db08654b73

2015-10-15  David Tardon  <dtardon@redhat.com>  [1b34c5541b940c6e852fba6975cefd4ad06926ee]

	continue with the same para style by default

	Change-Id: I417b24e32c44f1e11c629ee76fd6d9b05252735f

2015-10-15  David Tardon  <dtardon@redhat.com>  [e4a91dd3125a40823f552542ff1a85b48f790288]

	parse notes

	Change-Id: I5ce013c849c2d1fa7806fa6052e25febf5133f16

2015-10-14  David Tardon  <dtardon@redhat.com>  [a052eec91a82df5e9f8e19931d36a672a3166e06]

	parse images

	Change-Id: I07f5bc4ad015f75187cd5dc98ae27bd0bb51d4f6

2015-10-14  David Tardon  <dtardon@redhat.com>  [56c5beb6058624f77164acece84b80ac9d8c6e63]

	save whole file path

	Change-Id: I9b42ab28a717cf802936a5e3c13ab2b7516afad7

2015-10-13  David Tardon  <dtardon@redhat.com>  [fd9815027094f322583747dcf5d5749a93a2617f]

	fix parsing of color

	Change-Id: I8f592d4101fcb948947af0ffd31b1c2641496c9d

2015-10-13  David Tardon  <dtardon@redhat.com>  [9b9a955269cc5f4aaabba08024354291a009e827]

	return const ref

	Change-Id: I578aefe87de5af83085fabdb31bb9eae3de0069c

2015-10-13  David Tardon  <dtardon@redhat.com>  [e5d22da3a6bd4bf9cc68c38c34b14bcd7b46714a]

	do not handle text placeholders as shapes

	Change-Id: I9f68b6eee57a1e38e1fedc26f4267d4e3cecfec7

2015-10-13  David Tardon  <dtardon@redhat.com>  [292083cc8da929eebbdd91deb113f14c04262a76]

	fix copypasta

	Change-Id: I19a1070f0154b1490d0b9abc4ee745f35538020a

2015-10-13  David Tardon  <dtardon@redhat.com>  [1d08c766ce1082f2bd5449c4af4a2bcf61701908]

	fix decompression of a file with multiple blocks

	Change-Id: I6171483456c1e33ebf1d2d1335710e1cec809c9f

2015-10-13  David Tardon  <dtardon@redhat.com>  [733f15d8402e553a25a07ab523872a3983ef3f3f]

	parse para properties

	Change-Id: Ib444a080893bf827a4fe03fe41ee236bd1d66ae5

2015-10-13  David Tardon  <dtardon@redhat.com>  [102d34409107cfcc1ff520a7e4cfbb20ede386df]

	parse char properties

	Change-Id: I3a44ee011e18a97b24eb853929b5946f5c45bd42

2015-10-13  David Tardon  <dtardon@redhat.com>  [ca74c53ff6f2be8f3025324cb91b0aa925eda9d2]

	nitpick: rename member

	Change-Id: Icbaa86588bcae9e1fcaa8e9b8ab026e1a03c5fa5

2015-10-12  David Tardon  <dtardon@redhat.com>  [6ae0acb02e99a227ad97d2d6077381578d288c50]

	parse char and para styles

	Change-Id: I52e1011414f3d3ac585b61caad904fdaf8f1d7db

2015-10-12  David Tardon  <dtardon@redhat.com>  [097ba45c6570d5c261f849aa94e2a25de79d110c]

	parse text

	Change-Id: Ie61fa51a5b39642cf06f6610612625dea1312ec4

2015-10-10  David Tardon  <dtardon@redhat.com>  [3943d634ea31e68e3b68aef68e8927719e4e0280]

	handle editable path

	Change-Id: Ia1e0ee96258ccece34a0114aa63f9bffff5c559f

2015-10-10  David Tardon  <dtardon@redhat.com>  [c0d7558aa36cfcd5280c6278aac7d51f63dbabbc]

	parse shape groups

	Change-Id: I60ca85b037783ec3030d7941b4977c934081e6ae

2015-10-09  David Tardon  <dtardon@redhat.com>  [fbfb76807a33a6790263616592a4c189b845619b]

	allow to query object type

	Change-Id: I4c86b2877d16dc0e4b232a16673c3523caeb1e9a

2015-10-09  David Tardon  <dtardon@redhat.com>  [b8cdb55db37c9e06498128b7911ad6fd3393a869]

	angle is in degrees

	Change-Id: I1589dc1359e0fde228855143c7616138d553dc0f

2015-10-09  David Tardon  <dtardon@redhat.com>  [75b7341e66d6f79b5ff7945c8d8499fdfde4ec30]

	handle transformation

	Change-Id: I5308b624f0f80f279759c91dc80f5db2b792c47d

2015-10-08  David Tardon  <dtardon@redhat.com>  [63e69b623f7cf526a666d639e688256475c6db2b]

	fix clang error

	  error: 'Impl' is a private member of 'libetonyek::IWORKPath'

	Change-Id: Ib68898f9e3a3fc0f7e659b55f6ed4050abad80fa

2015-10-08  David Tardon  <dtardon@redhat.com>  [4ba3497a6c2495fa5ffeff20c83bf601f673f524]

	make the field conversions explicit

	Change-Id: I936b963e4f239ba2063c2dd9ce01dac28109400c

2015-10-08  David Tardon  <dtardon@redhat.com>  [d55e49c492de08bbfb92cc753aec4135eb261b14]

	extend optional interface of IWAField too

	Change-Id: I9be3222cff092f632017e86c0cc0fa87763a6b54

2015-10-08  David Tardon  <dtardon@redhat.com>  [69d98f53b49f785753fd453b8d861030cbb20109]

	allow iteration over fields directly

	Change-Id: I6146c92c2987c8f52ff8d9d4b80fe206bc64ea7a

2015-10-08  David Tardon  <dtardon@redhat.com>  [aa4d4b7330718a571230296fbb89c5a79c1e6ca1]

	allow widening conversions

	Change-Id: I7f4cd5caca554ce654e8ed5cbaba8a46b8b126b5

2015-10-08  David Tardon  <dtardon@redhat.com>  [6cc9d9606a80a46f96ff89e6b46dde4d2d9e64e0]

	fix parsing of right arrow shape

	Change-Id: Ia4e66193257af3ce097ebd486efb0a6e2d31e706

2015-10-08  David Tardon  <dtardon@redhat.com>  [078d076b2b12768ae8a48d2fe76cadc407c0262f]

	print debug messages to stderr

	Change-Id: I3692988df112ee0323bd59d1833fd420abde3d32

2015-10-08  David Tardon  <dtardon@redhat.com>  [c307c931e02bbe64572bc20ca53bfefc88fbaf78]

	parse curves

	Change-Id: Iaeac7b13711d8c83dbe488999b9423e31826db55

2015-10-08  David Tardon  <dtardon@redhat.com>  [a72abebaf2b48f6afb887ba090f634ec90d46da5]

	parse shapes

	Change-Id: I290e4be5507a4ea097e42b9f7b1d69844b6d01d8

2015-10-06  David Tardon  <dtardon@redhat.com>  [ac009b115366bddbb64fa0edae4fdf3b4f40b307]

	avoid possible recursion

	Change-Id: I790c988c28a51361383230c74b316396d14dcb4b

2015-10-05  David Tardon  <dtardon@redhat.com>  [6323be6196ca635faa0a3fe64078d652e149ab06]

	parse slides

	Change-Id: I63d39fb40fe120a875b99c0bdea636386f76c549

2015-10-02  David Tardon  <dtardon@redhat.com>  [5b2372b9a8f674a1a665195ebc1a9de0c3780240]

	save all objects from scanned fragment

	Objects from the same fragment are not referenced in index.

	Change-Id: I6fe422bb2f054bc1b4b5a63cc4c39b14f51b6b62

2015-10-02  David Tardon  <dtardon@redhat.com>  [60156a18ee6c64f6cee4e41aaf8b9fe2e8eaba68]

	add debug messages

	Change-Id: I831e71b512fd92a258d6dd4788348874d4e270c6

2015-10-02  David Tardon  <dtardon@redhat.com>  [f7fcf34702078731d5b6d7ed295c599edae05a24]

	fix parsing of nested messages

	Change-Id: Ibe7625ef1feb151324ddbb3436087611de40fb17

2015-10-02  David Tardon  <dtardon@redhat.com>  [2c8c2891b04f9b24730e195b455225350cd2a422]

	also check the expr. results

	Change-Id: I47b03c360b0a93e63e0ccb1024381ebdc87e2e88

2015-10-02  David Tardon  <dtardon@redhat.com>  [5a0f14b3f0a081e5232c00ccddc615ce25d765f9]

	zero-length message does not make any sense

	Change-Id: I0bc81458c5e5a6913fca1fd520ef9f6282aca748

2015-10-01  David Tardon  <dtardon@redhat.com>  [b93ba3ddf18c092ac22b10cc7a533f77f372fe8f]

	actually parse object index

	Change-Id: I4c91532087e3e20af899d89c0e8e98ebd8bc2a71

2015-10-01  David Tardon  <dtardon@redhat.com>  [5ef411ef6625d8c54b2a86b9d9e3b8809a728b3f]

	avoid null ptr deref.

	Change-Id: If9f78b12defa64fe27f0f6b33e75408e5b7b591d

2015-10-01  David Tardon  <dtardon@redhat.com>  [d9ada5b4b66ad2f84de3ecbc2e0f0a1e68873aa9]

	pass input fragments to the parser correctly

	Change-Id: I6b9a57197dd48aed56b6aca0b9b2a1204f0a96ed

2015-10-01  David Tardon  <dtardon@redhat.com>  [d5f27d3d583f6b7d2c85860ed08ec93abc1b715b]

	lift all fragment scanning code into a separate func.

	Change-Id: I12f7bb1e650e4c1a7b9ccdaa300b59b83e4e5d07

2015-09-30  David Tardon  <dtardon@redhat.com>  [0e4c9bcf8158b747950a23cfd281b1c3b2f61df9]

	start parsing presentation

	Change-Id: Ib43561db9699cd4520a0042bae5559792fbcc97b

2015-09-30  David Tardon  <dtardon@redhat.com>  [eea200fd38cb312b1057246adeca59fbb534abb9]

	add skel. keynote 6 parser

	Change-Id: Ia08bf68c6b58e37ec4773f34fb8dc9a7e19943c2

2015-09-30  David Tardon  <dtardon@redhat.com>  [0ced22cba3a92e0e7c2f6c34a54e67c7cc3d00a7]

	fix a few packaging warts

	Change-Id: I3846f4562ccd1e0dffe7cb8b42a1c3e587a41e5e

2015-09-30  David Tardon  <dtardon@redhat.com>  [bb674410917422d23ce558ed0240c51a0a1fa726]

	add generic binary format parser

	Change-Id: I7f274dce3daac5dbee39dc2112c0f4149e9200bb

2015-09-30  David Tardon  <dtardon@redhat.com>  [54855c31b4c50d735a1f5ff0bbff38da0a5bf06b]

	add convenience conversions to deque and optional

	Change-Id: I9cb9c54ef9386c72fe7a69b409236666e7760fbc

2015-09-30  David Tardon  <dtardon@redhat.com>  [49d79227614aceac2ef6c042246366759407b152]

	simplify construction of a message from obj. record

	Change-Id: I0e964047498f9fdbdb8bf48c98e7ee040f8bf1a5

2015-09-28  David Tardon  <dtardon@redhat.com>  [2044f5f78fec7b5763d928d78598326ea86f1e09]

	reimpl. format detection using message parser

	Change-Id: I311d05dfb0a09ec15ff201371fe9583d61245a77

2015-09-28  David Tardon  <dtardon@redhat.com>  [32c6d2a2d4b0648bd2b54bc21f6bfe55b6798c7f]

	simplify access to nested messages

	Change-Id: I86dbce55c47fc1b3e330d43c662ee0c7730eff55

2015-09-28  David Tardon  <dtardon@redhat.com>  [095cdce7ab7c89ae210554f9328ad4be0385476c]

	add test for nested messages

	Change-Id: Ic69eaa82d91d25a70fe2ca54c6ea5db104fdacb1

2015-09-28  David Tardon  <dtardon@redhat.com>  [af13bbfad963fefd16018091bf5a8d5f2bb3894d]

	fix parsing of messages

	Change-Id: I97a37d2879b51c3ce1eeffcccf0329eb3dc227e9

2015-09-25  David Tardon  <dtardon@redhat.com>  [3fe69a1be8b87d97e2855e8866f278f3a3f5a600]

	add unit tests for message parser

	Change-Id: Ia12d118c0555bd82193c7e52a7c5f19cacb5ddf5

2015-09-25  David Tardon  <dtardon@redhat.com>  [d75d3d0a619bcc8387846e3ce0a3790aef4d0bdd]

	impl. lazy protobuf parser

	Change-Id: I2333cf508604f535dc8ffff087fed01ccb7568c8

2015-09-24  David Tardon  <dtardon@redhat.com>  [804747acd7eb316209a70bf15ac5d17f77e301d4]

	astyle

	Change-Id: Iaa91869900407cc6d31250b3e95243cb76442a03

2015-09-22  David Tardon  <dtardon@redhat.com>  [705156141b0a044a5809af96b5d17e1a9ba1d497]

	dictionaries are specific to the XML2 format

	Change-Id: Ie94d9ec09672dd011f878aa58b0ead47d7ada6e2

2015-09-15  David Tardon  <dtardon@redhat.com>  [c6a15cf59166a2e48b1a6ed0ccfc0d3e8275891c]

	add a test for format detection

	Change-Id: I7ffbcd71d46423ac5a0d5e28bdbcc1ae1109dc61

2015-09-15  David Tardon  <dtardon@redhat.com>  [1ca2e97367860a7c6f099a4b73184269b5feead0]

	differentiate between Keynote and Numbers docs

	Change-Id: I2c0539b6c07888f766fcbd09b5c9842b686b5757

2015-09-14  David Tardon  <dtardon@redhat.com>  [b963dd3aafa5ff9ed44e3f39de2dcdd3a15b29af]

	nitpicking, for consistency

	Change-Id: Ibd07b6a44cefc03be261b079f00707889bf5dd5b

2015-09-14  David Tardon  <dtardon@redhat.com>  [bf3ff610085a22d136e57452097dc24b997d3d93]

	check for the binary format first

	Change-Id: Ia71aef62940ffad9735811d2825d8159acdde6d3

2015-09-14  David Tardon  <dtardon@redhat.com>  [7698fbd7793027985f7d05101e8c033dd46d351e]

	avoid some redundancy

	Change-Id: I930167cd8aede73061b544caac8fe965b39be234

2015-09-14  David Tardon  <dtardon@redhat.com>  [b8dcf0b6b79915d889f5a0c655edcfaac48b1e72]

	fix detection of simple binary files

	Change-Id: I44bd1bcafea80daf2978fabfbe26400a616ff8ee

2015-09-14  David Tardon  <dtardon@redhat.com>  [5615d83ef0fb1b56a65e5762ae683cf5f68fbfed]

	add test for decompression of a complete input

	Change-Id: Ib0d0cf5110c145207586e55fb0572870f5e4ab57

2015-09-14  David Tardon  <dtardon@redhat.com>  [699cb3b1151abb259c724afa33302721f5be395f]

	remove duplicate function

	Change-Id: I342f44d8a14a4b9b2a8d558444b4dedea33d9d4c

2015-09-14  David Tardon  <dtardon@redhat.com>  [3f1cf90923eae252986d2acd80d48bf5bcd9c802]

	block length is not a varint

	Change-Id: I1dd3d044b45ffaf1dd38c47d1a68e9cbedb622de

2015-09-14  David Tardon  <dtardon@redhat.com>  [f5e0be96a5f16a5db880db231ecc7859a90818aa]

	simplify testing of snappy decompression

	Change-Id: I7d06451a73a56ae8f8ce1cf67de712a2ec2047d1

2015-09-14  David Tardon  <dtardon@redhat.com>  [b3266e99fd07ba2e6d614629a9cc6ce1ba16e7c1]

	make ctor explicit

	Change-Id: Id49d7a39cdd96faf846ca8c797c17fefe3038948

2015-09-14  David Tardon  <dtardon@redhat.com>  [97029d9ba323088e479d89731c90a82ec8bb6b42]

	implement binary format detection

	Change-Id: I2f423436c9172002356824b2be798ad159e7258a

2015-09-11  David Tardon  <dtardon@redhat.com>  [1bbc9de001547b78797ec1faac0f37a6c147664e]

	add dummy detection of the binary format

	Change-Id: I4c3968633ca44df0fa0050df4e8a6c6d9f7f927c

2015-09-11  David Tardon  <dtardon@redhat.com>  [86130cb3f4a817ae97cdd812fd8a88210fb17e3a]

	check for package too

	Change-Id: I74058b859df0c1fa086dc610d02beab2f882fe91

2015-09-11  David Tardon  <dtardon@redhat.com>  [c41d7ad3731462d5f8424e3960eaeb442e7ad148]

	reduce copypasta

	Change-Id: Ic246dfb878b96aee9a7451f4eaf1a803cbc6713b

2015-09-11  David Tardon  <dtardon@redhat.com>  [385cc9d4e3a3dce0647f96c00a42560dec6ecfe4]

	refactor file format detection

	Change-Id: I5c1ef21ed829e66ede81b5100dda8299471c907d

2015-09-11  David Tardon  <dtardon@redhat.com>  [747ec340b58c4ae4dc73bced7cf88d8d755d6b9e]

	fix copypasta

	Change-Id: I4f6cf86a8730e84423d1d481c8f26ef9f9776fe5

2015-09-10  David Tardon  <dtardon@redhat.com>  [55bee910d206d7e2815c8728ee473058e053e0ac]

	only detect the format kind

	Change-Id: I7eecaba2cf36dc8b36f432cc0ce6420ddf22c634

2015-09-10  David Tardon  <dtardon@redhat.com>  [5e93b1d613067329c597c9e8282455fb6b26a9b1]

	add m_ prefix to struct members

	Change-Id: I38f0d2b209b2b576803c3e27777fb7ad6bd5b270

2015-09-10  David Tardon  <dtardon@redhat.com>  [30ad10e89f3d0b63235ed176553d95d026ad7fa2]

	add unit test for Snappy decompression

	Change-Id: I7f844c423bb23d2dd5c448d45ff241de9e9f44c5

2015-09-10  David Tardon  <dtardon@redhat.com>  [a34b415d91dcce78ac6a2fb379dddcd6f52191f0]

	fix decompression

	Change-Id: Ib4e18a898dbb51a9e60cfa48871d11c265586be0

2015-09-10  David Tardon  <dtardon@redhat.com>  [9e9725f76f6bfc13ab4a04c54274e1d1d2141b35]

	astyle

	Change-Id: Ie274da542f4f92af7f1e085ad8fc8e34ddd5a064

2015-09-10  David Tardon  <dtardon@redhat.com>  [7b1fa9d54b3c53a5ca45f3ef41f776e5f32ef482]

	add missing function impl.

	Change-Id: Iafc28bb2b65342c9adcbe5ed3dca9468e3b22bca

2015-09-09  David Tardon  <dtardon@redhat.com>  [181667ff7487b976db7fa676ccd6e3708082d38e]

	add skeleton test for Snappy decompression

	Change-Id: I0fa8f10135f87fd05393651800ada3c352df29c1

2015-09-09  David Tardon  <dtardon@redhat.com>  [17c1150d19f3cd8160463acb99804d6feb3c5189]

	impl. Snappy decompression

	Change-Id: I5e1b8c7f7bac4aa6e4ef970dd93a12804fc795c6

2015-09-09  David Tardon  <dtardon@redhat.com>  [b5e9bd722b27cfea4d4116b337789c20dc985e9f]

	add unit test for varints

	Change-Id: If043c9de9cf1faeba1b658482e6a301b3b7fb1b1

2015-09-09  David Tardon  <dtardon@redhat.com>  [268cf797e7cf9246981929df649adf5a79ec6286]

	iwa: impl. reading of var. length numbers

	Change-Id: Ib3e65811885f1ddeb79a75c1e441104b53d6db0a

2015-08-13  Anurag Kanungo  <anuragkanungo@gmail.com>  [0ab599aeba4c87318a3bf894b00162f9370e3ba7]

	output date as standard dd/mm/yyyy format

	Change-Id: Ic86123e76813a7f9c492f1b7794d71ed267fe4dd

2015-08-13  Anurag Kanungo  <anuragkanungo@gmail.com>  [171d0b8a8bedad97b1cb7c7b80a75aa08ac619cb]

	output duration as standard time format

	Change-Id: Iff3a37b1b7f05afaedeebb9bda5a5d5352283259

2015-08-13  Anurag Kanungo  <anuragkanungo@gmail.com>  [9545772a92170be5cb99bdc5d47d3237924ae722]

	reset style after cell is collected

	Change-Id: I6e2fbd1ca9c2b68974a60f966b814231e44ecc00

2015-08-13  Anurag Kanungo  <anuragkanungo@gmail.com>  [022554c1df483c2dae4e468509877bcd568d3510]

	parse pop-up menu cell type element

	Change-Id: Ia3b27bf106fe2fbedf6291e254b52ae0c2a80f85

2015-08-06  David Tardon  <dtardon@redhat.com>  [d81c87323c1d73384240473feac9deda9220c272]

	afl: handle nested stylesheets in broken docs

	Change-Id: Ic80e14baa8716fb966c5ed1347de686498fc4e0a

2015-08-06  David Tardon  <dtardon@redhat.com>  [74a8535b6566169bd43b15462c57226bf055171c]

	afl: avoid null ptr deref.

	It is possible that there is no stylesheet if this is called from
	the discard context.

	Change-Id: I3052693b1e38af0e1315c87e88fa20ee17045b52

2015-07-31  Anurag Kanungo  <anuragkanungo@gmail.com>  [08d256acdd8da4f8abe9ce1f54ebf977e28468a5]

	set type to number format in rn cell element

	Change-Id: I744e1ddd606e27e50320718e6e38bc1478da4263

2015-07-31  Anurag Kanungo  <anuragkanungo@gmail.com>  [04585a28316eb914139bef87df2fabc80200c94a]

	parse rt cell element

	Change-Id: I5a4d59b67af8f0c01a8f1d0e58e00330a1dc8f91

2015-07-30  Anurag Kanungo  <anuragkanungo@gmail.com>  [d1336887d085f067e087192da9acbf26f4909030]

	slider and stepper contain number format cell types

	Change-Id: Ia781e1f02d522fd5804a39db2691e37138014451

2015-07-30  Anurag Kanungo  <anuragkanungo@gmail.com>  [391ef69864f988a163d5ecf0415a1bd26011f2e1]

	handle checkbox cell type as bool format

	Change-Id: I3b69346449ae1d3113af9e8cd46198ca9f1c43d1

2015-07-30  Anurag Kanungo  <anuragkanungo@gmail.com>  [d7d7980cfd810aedb2713cc5edcd0debd88f3978]

	parse stepper cell type

	Change-Id: I06751f2e18c7d7ad113c310e29ff347f8ef90fe3

2015-07-30  Anurag Kanungo  <anuragkanungo@gmail.com>  [fa934c8385b4fa19bae859797ae990d17a5257f2]

	parse slider cell type

	Change-Id: I7e882c095c867a240f623f1a79a95467c2cacd9c

2015-07-30  Anurag Kanungo  <anuragkanungo@gmail.com>  [1b669ba2400dcb4faa59ff639c78d3d415326995]

	insert duration cell type

	Change-Id: Iec394f6b6b6d109f4cfa863e75b5070f87cdbbb1

2015-07-30  David Tardon  <dtardon@redhat.com>  [28570843d282942676ba344c62e7cd360b8bfa3a]

	these quantities are very unlikely to be double

	Change-Id: Icfb4377e1f50822c61557762e3b1c2ae6a14bbcc

2015-07-29  Anurag Kanungo  <anuragkanungo@gmail.com>  [ee7a6b4814c48149a7d73d415477dbaf9de67a5c]

	output cell value in table cell

	Change-Id: Ida0dc1af8a27c7758d239d858ddde7b4cc30f18e

2015-07-29  Anurag Kanungo  <anuragkanungo@gmail.com>  [aed0bbce626393789eca5b8ec1ad36a9ea3f2e23]

	insert formula into cell

	Change-Id: I4b0119225d3137085390f9763199a54c0ac65005

2015-07-29  Anurag Kanungo  <anuragkanungo@gmail.com>  [bd9f7f8ac5d5af18e19f583e5b3b1fd27140f2cc]

	reset formula after a cell is parsed

	Change-Id: Ifaa586c6c92b5c144db5f82ae663438b914f0645

2015-07-29  Anurag Kanungo  <anuragkanungo@gmail.com>  [56a18f1fabb371b71489ab819ae968540ce289b9]

	parse checkBox table cell type

	Change-Id: Idb638bc1e155b44e2abf648f844e8693f2eaf9f1

2015-07-27  Anurag Kanungo  <anuragkanungo@gmail.com>  [4a234c31d55d290ddae3c17970b05e3973f8118f]

	fix bug with parsing of dateTime element

	Change-Id: Icb65475b850083a2c9d4c91f06a2253d27271699

2015-07-26  Anurag Kanungo  <anuragkanungo@gmail.com>  [487655d4434c30c19ed9714fc5d19fe92dd3962e]

	enum cell number format types

	Change-Id: I44d9c3b828e96a9575a7a4023d331fdd7e1a53d1

2015-07-26  Anurag Kanungo  <anuragkanungo@gmail.com>  [2f67f21b4c8c993a30afda1edca17619c7d286c2]

	refactor group element to enable group parsing in apple numbers format

	Change-Id: If4c882dd0049496d354d4dec44f64fa4212b51e5

2015-07-26  Anurag Kanungo  <anuragkanungo@gmail.com>  [ab627c9c65a3b6ff983b7bfc4368d9e3411d60db]

	enable shape parsin of apple number format

	Change-Id: Iaab9d303be6d0687bc742852a397947dcabc3eea

2015-07-26  Anurag Kanungo  <anuragkanungo@gmail.com>  [3f43c062c9a947a115c49e1d9dc310ac88acecab]

	fix bug in formula initialization check

	Change-Id: Ia47dd5d01b936fec6f83f94ec927fbf69d8bb020

2015-07-20  Anurag Kanungo  <anuragkanungo@gmail.com>  [209cc6437e22f5544ce394ec716662fe5eb26580]

	enable media parsing of apple numbers

	Change-Id: I50265ccd468f1b766a0048c2f42c3f60f7d611cb

2015-07-20  Anurag Kanungo  <anuragkanungo@gmail.com>  [c5b450cbf0849f52f200b870bb02966f3c981209]

	parse cell DateTime

	Change-Id: I5c2f7fbf8366ed82baeb237cb7440e3a44f17e51

2015-07-17  Anurag Kanungo  <anuragkanungo@gmail.com>  [7cd919c5ffce538e4a393d7845b6ff6b8332dac0]

	write cell format

	Change-Id: I737a1b6f5afc8d41e93cc2c0d3dc4ccd61f942f1

2015-07-16  Anurag Kanungo  <anuragkanungo@gmail.com>  [63feefce1d3b39e765f8ba095b616294d1c92090]

	parse numerical base number format

	Change-Id: Iea2e493ef4afa52e972ee580cb88c33199ebbab5

2015-07-15  Anurag Kanungo  <anuragkanungo@gmail.com>  [f6b0f4ea34979461efcb32341ca46dbc09859e4b]

	collect cell style

	Change-Id: Iab72836f71894c9c468274be64c87ff598ec02a6

2015-07-14  Anurag Kanungo  <anuragkanungo@gmail.com>  [a83010179796d0d5c7522db21ebc01b69a5b9c0d]

	parse cell styles

	Change-Id: Ib7fef5090bb1c14a4f56d5dd67f7298c7fcf1b40

2015-07-13  Anurag Kanungo  <anuragkanungo@gmail.com>  [6f7f066bf44f07b607bbb2811c0e1a911a898314]

	parse cell dateTime-format

	Change-Id: Icb31125119fd88c7f3dfa25e344ec66b912edc4d

2015-07-13  Anurag Kanungo  <anuragkanungo@gmail.com>  [aa90e23a7da816db9b7fa39ad2f9cdd45793ccec]

	parsing cell number-format

	Change-Id: Ia041b8de7e36f80064f0b388db7822a409c6d0b1

2015-07-10  David Tardon  <dtardon@redhat.com>  [6f616065f799aac7a6e45270980c5d1eb7413a92]

	capitalize class names for consistency

	Change-Id: Idc2f0a609fbef6748c0d6465fe7eddc7f3e8da00

2015-07-10  Anurag Kanungo  <anuragkanungo@gmail.com>  [acb655104d9b9cd16e91987df2cb5ae0c2d218b2]

	output tableName instead of tableId in formula cells

	Change-Id: Ic8102bc096ed8ed616bfff0e8fd927617f5287ba

2015-07-04  Anurag Kanungo  <anuragkanungo@gmail.com>  [48f597b0c0068558e672b18725dd78bb2d9cfd71]

	add basic chart parsing contexts

	Change-Id: I04b4d66369459ce5f76be75eadece2f7a2b26d99

2015-07-04  Anurag Kanungo  <anuragkanungo@gmail.com>  [d9f765a2162b2eda3066bece14e5b102e915cd6e]

	add IWORKChart class

	Change-Id: I84960ab3fa451f46528ec4f7278568bf85615231

2015-07-04  David Tardon  <dtardon@redhat.com>  [71d8e4190d507418c2a7393d8008d0ecbfb5b2db]

	rename string-formatting function

	Change-Id: Ifba2bbf65839b1e0460d5566fd7ba82b551f184e

2015-07-04  David Tardon  <dtardon@redhat.com>  [f255ab9c317bf857f4bfab9c4add0828f5a1257b]

	libetonyek_utils.h is internal header

	Change-Id: I383df94b82a1dcac32130c681a0f8f3bff76846e

2015-07-04  Anurag Kanungo  <anuragkanungo@gmail.com>  [2e5dc3356a97c671514617a8adf3551f2353a199]

	add openFormulaCell output element for delayed writing of cells with formula

	Change-Id: I11a7358e0f9360515a9fb67675a0df2edd23bdc6

2015-07-02  David Tardon  <dtardon@redhat.com>  [ca6db155afa6cc1b338929bbf3fb94b476861a99]

	astyle

	It seems that different versions of astyle format this in a different
	way...

	Change-Id: Ic4c72805ed40310fbcd1d3f0a6d6d4932c13e843

2015-07-02  Anurag Kanungo  <anuragkanungo@gmail.com>  [b1db6c5acd4211544f884861381d3280c0ea5f21]

	parse table name,id and store in a map

	Change-Id: I94e59798ae03eb1947b1b5959286f99fd4c37efc

2015-07-01  Anurag Kanungo  <anuragkanungo@gmail.com>  [5bcaee5935f6ad1baa44d6a6c734c9ad9fda564f]

	refactor formula element context

	Change-Id: I155456e6e233d7b108fa39e9c3ddaa71765d42f6

2015-06-30  Anurag Kanungo  <anuragkanungo@gmail.com>  [077b5b787af0f20c9a81583ab93a3ad236c5d696]

	add function argument seperator in string method of formula and enable tests

	Change-Id: Ic551904eb3f1d73efadf44e95d6aec14545c00d7

2015-06-30  Anurag Kanungo  <anuragkanungo@gmail.com>  [e9a80c42659da6323ab9135cf16d7d43104bf68d]

	handle special address and range in formula parser

	Change-Id: Ic5206280f86d701a6016523392b36fafbf24c5c9

2015-06-29  Anurag Kanungo  <anuragkanungo@gmail.com>  [1250f038104b3667e63f496f3d485bf6e80679af]

	fix address range not allowed in arbitrary context in formula parser

	Change-Id: Ic29adc7e8bcdf5726a0fd94fb1918c22617c1069

2015-06-28  Anurag Kanungo  <anuragkanungo@gmail.com>  [4d88d4e44df3de8a1b5187d180e99a69008a2b74]

	add unit test to check invalid formula parsing

	Change-Id: Ia9f9515e88e96f41decda344d8c37ff45e6fa870

2015-06-28  David Tardon  <dtardon@redhat.com>  [d84e2aaec65f7f660c96166f9df4bf84f86926c8]

	split too long line

	Change-Id: I11fc01c4540d16aeee4f2e978f68cd083ad45d74

2015-06-28  David Tardon  <dtardon@redhat.com>  [f7e82261de396d49787ad552d8a23018e6bb246e]

	use temp. variable

	Change-Id: I65aada544c8fd813348eda86475a2080ebe62bd3

2015-06-28  Anurag Kanungo  <anuragkanungo@gmail.com>  [b17cc7c46e2444c036db55fbf17421a8280cd323]

	derive from correct class for non-cell context element

	Change-Id: I905a825a712da87f934f8353c41dc7d2eef72a8a

2015-06-27  David Tardon  <dtardon@redhat.com>  [2e8f7dbef493f19be760fd01c5e40f19488274b3]

	add conversion of IWORKPath to SVG

	Change-Id: I87aea4851a878eabe19436008522654b834b8a2f

2015-06-27  David Tardon  <dtardon@redhat.com>  [921b8cb968d571df8081c7ebdae9c485b1c10919]

	rewrite path parser

	Change-Id: I578174268533dc2eb5b3a1d8f9f6e184296a665b

2015-06-27  David Tardon  <dtardon@redhat.com>  [54649fbeb72e87888688ba5f2886188ea18cf000]

	name the grammar as well

	Change-Id: I3579eb0fba3f39607a238ddfbc7cf9a4af20f9ab

2015-06-27  David Tardon  <dtardon@redhat.com>  [7422ade9d470fccd3e818ae56a6eb3720ebb7f41]

	match rule name and var. name

	Change-Id: Ib64e9146be32756ca8f7ada6fa48a2e25d63a8e6

2015-06-27  Anurag Kanungo  <anuragkanungo@gmail.com>  [170b3e39eda579bc335a119467d0730ca7c89d86]

	fix postfix operator parse order in formula parser and add test

	Change-Id: Ie4beb4357ad6a0d6950bfedfd6cfc94245787c38

2015-06-27  Anurag Kanungo  <anuragkanungo@gmail.com>  [bf1d4ba4f4fcdee730f9c43f4c91a096d68dac98]

	add support for comparision operators in formula parsing

	Change-Id: I003ed1ffeaeaee97ff8ca554385de88958218581

2015-06-26  David Tardon  <dtardon@redhat.com>  [e446ecb3813d3e3929811c1588e811ef7e2da681]

	astyle

	Change-Id: I9ebaaaa82ebcb4d25d542cc1a5f298361cf65c91

2015-06-27  Anurag Kanungo  <anuragkanungo@gmail.com>  [561edc5cff2c45bf720c43a6bcefd0e76c985efc]

	handle alphanumeric function name in formula parser

	Change-Id: I18b692e97076cf5cd788cd808ac39d9d679f37fd

2015-06-26  Anurag Kanungo  <anuragkanungo@gmail.com>  [b3824c390ea1cc7350e9a1daf3096d85a03b42df]

	remove worksheet parsing and correct table seperator in formula parser

	Change-Id: Ibbba15739dc248f51f9f49dfc58c5cea0abea876

2015-06-26  Anurag Kanungo  <anuragkanungo@gmail.com>  [7cf00895845c2de5c14011bbb00176ca41b4c569]

	fix string literal in formula parser and unit test

	Change-Id: Iae8ce9343891934c92a531f3e20d8e87461b227f

2015-06-26  Anurag Kanungo  <anuragkanungo@gmail.com>  [7070aeb883db7bb0d311ffa21ab9ff2c21f327db]

	add support for parenthesis in formula parsing

	Change-Id: Id61b0e506c7e2ce335c71095101774baf36c566e

2015-06-26  Anurag Kanungo  <anuragkanungo@gmail.com>  [5e001c266b51c14e0d496ba9fb5d3edc1a8baea5]

	fix formula string formatter for cell address range

	Change-Id: I35f3cf9e958b2ee1752e6444e00d7f3c4b5d6ed9

2015-06-26  Anurag Kanungo  <anuragkanungo@gmail.com>  [5091a3d6f5c880994107109b4f096325107d4d99]

	fix function argument seperator in formula parser

	Change-Id: If0e84109b59c8d0b7fb6c6b666497ebefc7f19b3

2015-06-26  Anurag Kanungo  <anuragkanungo@gmail.com>  [26c4aa784b0ad3943c638187ffacdf53c9d1e8be]

	fix address range and binary operator order in formula parsing

	Change-Id: Ia90cec4a87265dbab20f25e2058eed9e26a4829f

2015-06-25  Anurag Kanungo  <anuragkanungo@gmail.com>  [f0920a140a3a4242c8e52b95048ad03b598e19e7]

	add support for postfix operator in formula parsing

	Change-Id: I96ae61a8b0cf541cf100d8cecb8297ff5647e9f1

2015-06-25  David Tardon  <dtardon@redhat.com>  [f7ca931e581f2d63f73bcd324da50f5ee3ae1f59]

	try to fix build on Windows

	Change-Id: Iff2aa943aef9c23c60e400f092f884fc00de4ccf

2015-06-25  David Tardon  <dtardon@redhat.com>  [00f7e36ce2a3996ebef672561014ab101eee7f3a]

	add missing include

	Change-Id: I8bfcacb064b3d0f9d7d5db9d2f32108b0ceea792

2015-06-24  Anurag Kanungo  <anuragkanungo@gmail.com>  [83f6ca75dcf49b5a53e3224daa7ebff8c93084a7]

	Implementing cell formulas

	Change-Id: Ib8082d05deed87e40b6f0a9103a4ebea129911c7

2015-06-24  David Tardon  <dtardon@redhat.com>  [3389a3d8fcf30a0aec781f48f1b2bb05ae564303]

	save some vertical space by avoiding extra var.

	Change-Id: I4d92769020222442d6d3d1e7cb580cacef1393dc

2015-06-24  David Tardon  <dtardon@redhat.com>  [2fc9630e819d74205bfb6de8dd4af5277b2c75ba]

	use ODF Formula syntax for testing

	Change-Id: I33e5dd7a66fb5e63155e872464c35526bbd53c4c

2015-06-24  David Tardon  <dtardon@redhat.com>  [33f0db22794274129b1ad8ee0f04cd49fa645565]

	avoid temporaries when formatting formula

	Change-Id: Ieae16a089f1c23f3009e052b3f290274b18b0eac

2015-06-24  Anurag Kanungo  <anuragkanungo@gmail.com>  [59a0ef145ddad0dcbb07b1419aa682cf3ab172e8]

	Unit test for formula parser

	Change-Id: Icf84f091caa06ceeb9592269fefbde08820e983e

2015-06-24  Anurag Kanungo  <anuragkanungo@gmail.com>  [acd6fb7ebb8ba685326c1b736e540f862614a4ba]

	Column name to number implementaton

	Change-Id: I6253da8f69aa190b029b0575afdc3942051f7d33

2015-06-24  David Tardon  <dtardon@redhat.com>  [9bab021aa972c94237115f47ee14ba42e941b8ca]

	update news

	Change-Id: I6722ce9e01fdff2127b64ea194012d7c4a785a60

2015-06-24  David Tardon  <dtardon@redhat.com>  [7b1d3354e2ccdacb60cfbe74210e5e22a304aeef]

	accept documents of any version

	Change-Id: Ib83a1ef52467064883a75a7a53be7a751ef240bd

2015-06-24  David Tardon  <dtardon@redhat.com>  [cffd62315df894678fa7e00de29dac32b5e52c98]

	accept documents of any version

	Change-Id: I3fa93548af08716a4b3c950bef86569dc8effdf4

2015-06-24  David Tardon  <dtardon@redhat.com>  [8df2b23a47b82aab37d9b0aa220b41b411736d71]

	column width and spacing are relative

	Change-Id: Icfcc8a003f2d15f10d43f3f0695ad7bc9125de0d

2015-06-24  David Tardon  <dtardon@redhat.com>  [bb9b8c52893a6ed3c1564fc02e9d8dab122cc158]

	parse more multi-column properties

	Change-Id: I021c3ad1504d12783e7c424d2e1b0bad4ec5e242

2015-06-23  David Tardon  <dtardon@redhat.com>  [70600daede06a215634f0f5f089c86060c4f9562]

	prepare for a release

	Change-Id: Ifad1b644d6e4a2bd2bd3bffef8366473bd4ed16c

2015-06-23  David Tardon  <dtardon@redhat.com>  [7f38c6447b5374e52fb6e9cef3e56c416d902848]

	do not require gperf for build

	Change-Id: Ia1d69bc6dbf2f83262de5865b19beaa26c2dead4

2015-06-23  David Tardon  <dtardon@redhat.com>  [183a228449b073976e9f206237c4822f32181442]

	parse multi-column text

	Change-Id: Ieacac84cd14981a7900715220be5d9d44b051997

2015-06-23  David Tardon  <dtardon@redhat.com>  [6f72df0acf95fe47bfa33d07fc4ad260a2009eda]

	parse line stroke

	Change-Id: I3933ec3ac023c6fa3d2d979ee61447920655c1c6

2015-06-23  David Tardon  <dtardon@redhat.com>  [8f18bd9c38d4b08132afcca1c8a4f0026c998eb4]

	really parse shape fill color

	Change-Id: Iba08e33e2f9d028c953e45cfc62e00f318c70b89

2015-06-23  David Tardon  <dtardon@redhat.com>  [2067a23575d0f48976deacc7ba877c35c298f5a4]

	reformat

	Change-Id: I3eff10cddbc2a1165256a791ee2bd16302632cba

2015-06-23  David Tardon  <dtardon@redhat.com>  [39df81b2b5ce3225089a0489bad478c8812cf281]

	fix parsing of operators

	Change-Id: I045d5cca026ca1acb2afea58221290c68fa4f196

2015-06-23  David Tardon  <dtardon@redhat.com>  [618c7b1c256e69599fc677e2cdb21ef29b297513]

	parse shape fill color

	Change-Id: Id1ac60e3c83d6e881a9736e10deba36cf0eceba6

2015-06-23  David Tardon  <dtardon@redhat.com>  [d29ebbcd3fa1e118ce674fc77081db67e702591b]

	get rid of last mentions of libwpg

	Change-Id: Ie627b3b53e70d7689c6ecdf751c674ccb1c510b1

2015-06-23  David Tardon  <dtardon@redhat.com>  [9a1587010f8f836c030a32396867310a97537406]

	nitpick

	Change-Id: I3bcacc02421848595dc1623c695bf5c4f46de5b5

2015-06-23  David Tardon  <dtardon@redhat.com>  [cea938f953b48ea6ed558dc00b6c72a8640d5621]

	rename

	Change-Id: I8ab79fd27ecdcfbeb53bbfe731eb66cbad57d091

2015-06-23  David Tardon  <dtardon@redhat.com>  [907e5a1613617b041b9a7e1197d1400843f02f6f]

	do not duplicate type info

	Change-Id: I1b428f6d3dea21590dd5cc9e84a6e121afc823de

2015-06-23  David Tardon  <dtardon@redhat.com>  [8b00c07f0eec388813acb8b619eb8df4bf0179d8]

	nitpick

	Change-Id: I3de80bfd187bc7fd0327fa3ec09336b2c0d2403c

2015-06-23  David Tardon  <dtardon@redhat.com>  [cc33f8f209e9d691e69f8ae888ebe509236982d2]

	simplify defining of property parser contexts

	Change-Id: I97a5b2fc47b3607d99487b9950c8d9763d9e7008

2015-06-23  David Tardon  <dtardon@redhat.com>  [c4667a25426320e873f8d2756fdb59f9dfccb6ec]

	create BIPU formula parser

	Change-Id: I204b8697c734e07e56127f9fb6feb81d53de1221

2015-06-22  David Tardon  <dtardon@redhat.com>  [6c79a354e1b1e5673c63a17b357f8f9c6dafa484]

	pages: parse shapes

	Change-Id: I629549a68ab5ef1104d087e7a99eab0462aa4cfd

2015-06-22  David Tardon  <dtardon@redhat.com>  [59db94eec8b57ae44efd0d4ea7224cd98ac17c25]

	allow format-specific drawing of shapes

	Change-Id: I36132676007d60deaedc22a3f9b7f42350618dc6

2015-06-22  David Tardon  <dtardon@redhat.com>  [5e96c167e85ab3b6299f8bded7da1790d3e8d667]

	prepare shape parser context to be used from pages parser

	Change-Id: I3b9b7e77c717aaee63b065a1561dbb933ff97e99

2015-06-22  David Tardon  <dtardon@redhat.com>  [fcefa83c1f74f61f54b092e2e408b088873eaac4]

	parse character-anchored images

	Change-Id: If822a4c5226ef0d5dfe3bbe7b823a7e7c8c08a7f

2015-06-22  David Tardon  <dtardon@redhat.com>  [92281e1b1db7361caf60cd9ab0d982afa2f5429a]

	parse page-anchored images

	Change-Id: I82f0bba5c940d5f1ceac727b9231e57912fe3dc8

2015-06-21  David Tardon  <dtardon@redhat.com>  [8c87e6804dff98aea096d7d79d8df8c04f384334]

	allow format-specific drawing of images

	Change-Id: Ie94f44431b998492ca45fc6c975c2f74a4d1f5b7

2015-06-21  David Tardon  <dtardon@redhat.com>  [cd7237d50b75d5f01a3c1b12364061c0bb96d0ea]

	use original footnote label

	Change-Id: Ida66581efc3afe9dd950b6ecaaab639a45457eec

2015-06-21  David Tardon  <dtardon@redhat.com>  [2b098c26f7665623e1514e526d0b31282c656923]

	move current footnote state into parser state

	Change-Id: I1b3ad990f7b58023731ab7f98e16866591dbc0fa

2015-06-21  David Tardon  <dtardon@redhat.com>  [c34f3a7cb399c69162573858ce8ebcb4951c6f4c]

	handle endnotes

	Change-Id: Iebf73c291744af58998f2d2bcd1c16499cf810b6

2015-06-21  David Tardon  <dtardon@redhat.com>  [d46e6dc9753ebcdd6bf20f3d18ab7505b00d8ae8]

	parse footnote settings

	Change-Id: Icf7809c131fd949eb1d44727975eed6cda8c173c

2015-06-20  David Tardon  <dtardon@redhat.com>  [3aef76fd9c731ea8519c8d43d5ac19e99865d303]

	parse footnotes

	Change-Id: I38a647f976e5f34548587b11ae5108879bfb6408

2015-06-20  David Tardon  <dtardon@redhat.com>  [0f00c8cdbdc414c997d70e4c2f3d15200a820ee7]

	we need to stack text scopes

	Change-Id: I00342278d7be5a0a352ce5cf6e62eb6c5045388c

2015-06-19  David Tardon  <dtardon@redhat.com>  [ea86633da2c48f9a29d853e69fee980943de98ae]

	do not crash when there are multiple sections

	Change-Id: I9dbab7f5710f568d52479137d1fed0372f0c1cfa

2015-06-19  David Tardon  <dtardon@redhat.com>  [d305b80095d4dd3b17faa52e0ade03557ff0e8b9]

	ignore headers/footers without content

	Change-Id: Id541740893d625848a3f3d9bfc7700ac788a5acc

2015-06-18  David Tardon  <dtardon@redhat.com>  [8f703790be0fcd14e36806500372739e53c69fac]

	handle separate first page master

	Change-Id: I9efc5f61d57f579edb4f708d02639c816f4549c9

2015-06-18  David Tardon  <dtardon@redhat.com>  [c54eb8a7cde57fe7b5a8eebef1f876e83c18c259]

	fix typo

	Change-Id: I2fd7d1aeb301edab23f4f231250ec0f563300e05

2015-06-18  David Tardon  <dtardon@redhat.com>  [16b88ec13be9ca36b8a07b1351508f0a27884e70]

	attempt to handle section props. set in default style

	Change-Id: I7d2f99738cdc10b9af2b71a79b5cd1787ec2c645

2015-06-18  David Tardon  <dtardon@redhat.com>  [dc8c84aea3272b8134b288264672634bdc437d29]

	do not produce value if no attrs. were parsed

	Change-Id: I9c041b1d44d7fd6254043e197b132b77106ffdcd

2015-06-18  David Tardon  <dtardon@redhat.com>  [20fc6eac5c00d31ff6fd42f08c3b07ea3c4d8b60]

	do not write header block if there is no header

	Change-Id: If1ca7543562de6fdcc8297a75123706c705f5fc0

2015-06-18  David Tardon  <dtardon@redhat.com>  [dffdff9acce31409786c70539f6d787a833e95e6]

	enable lookup of section styles

	Change-Id: I574dbb416851b8eafbbdccd41fe87132c5e56e7c

2015-06-18  David Tardon  <dtardon@redhat.com>  [a94ac8aa4f4c72bfc8daf5fae85a21e058177f32]

	rework handling of stylesheets

	Some elements refer to a style by ident, not ID, which requires the
	currently applied stylesheet.

	Change-Id: I338ed4c8006a5f3313e3fefd5ae3991a1b91a643

2015-06-16  David Tardon  <dtardon@redhat.com>  [1c381565dcfe067dafe0d992681dd533e58f5dd1]

	init member var.

	Change-Id: Id41201a96696c8b9e4bd994d310af3b659cb3023

2015-06-16  Anurag Kanungo  <anuragkanungo@gmail.com>  [2767679b3f11cf6f479c810b0b5d7f6ab418ea5c]

	Fix table-cell border lookup

	Change-Id: I7e7ddb3199830908bba008966ef87e0d3af5c4dd

2015-06-15  David Tardon  <dtardon@redhat.com>  [b3ff5bf2e0b121d6e464d49a0e6d1e81ba327209]

	fix build

	Change-Id: I20eee809bd0afb957340926b0b78fb26bb7f0e8b

2015-06-15  David Tardon  <dtardon@redhat.com>  [e02b51c2e370fa8e33bd40945b2be24922e6db73]

	add mdds to the list of requirements

	Change-Id: I4cd49fa7f13fde21eb0be9e8d6ae7d612e763777

2015-06-15  David Tardon  <dtardon@redhat.com>  [4f0c331d7dc93d8a777ff4de87a2636c4ea2a142]

	include lists are getting too long

	Change-Id: Ie4f7b4ab8e6fca75fe15b964b0172fff0abf38f2

2015-06-15  Anurag Kanungo  <anuragkanungo@gmail.com>  [78065fb2fd1cf2e359003359a04044467990dacd]

	border implementation for table cell

	Change-Id: I6bb54807debb60e4a6d98eb069ac49da051bed6d

2015-06-14  David Tardon  <dtardon@redhat.com>  [c82021654c4e9809b75502ec6899232ed1c07168]

	move handling of stylesheet into parser

	Change-Id: I8579e537612dbf4c8b6fff0006ab00ab5ad65343

2015-06-14  David Tardon  <dtardon@redhat.com>  [e7747ff61e479650ad024a731d2f9b1e1bd9babd]

	numbers: parse stylesheet

	Change-Id: Ibe28cbb6f6b8e6bc0ad1436aeeae19847035217b

2015-06-14  David Tardon  <dtardon@redhat.com>  [4b32a3ece4c82ff70bc72b040c08e1219ecf026b]

	fix typo

	Change-Id: Icf403b67f2daeda9b667092df96341403e704ded

2015-06-14  David Tardon  <dtardon@redhat.com>  [de48d002c40cd59a55e4e309344020a496ebc51d]

	reorder private and public data

	Change-Id: I26e5003358ca9e21e6a0f03e63b5b8bb81e19c45

2015-06-14  David Tardon  <dtardon@redhat.com>  [48f23a088bc335f39b4c35b2f0de6a8a4e62e1a8]

	define the type globally

	Change-Id: Ic8ca9517dff8899b2a9d4bcabdf91c27cfd2ed6e

2015-06-14  David Tardon  <dtardon@redhat.com>  [bde3d24e103defb855f5cdffa875b1a9d7efb822]

	keep the list sorted

	Change-Id: I8acb24e59830cbf747eb50d66627f907fd9a3fdc

2015-06-14  David Tardon  <dtardon@redhat.com>  [0e8cc3b877665c5610fb33cd6a0d391144d9515c]

	sf:style is style ident, not ID

	Change-Id: I6b0af7f491072347325bb8be87f1f167495bd828

2015-06-14  David Tardon  <dtardon@redhat.com>  [7f66a0e21d7e1e754f9b80de04f2a3c0508c2cae]

	fix debug msg

	Change-Id: Ic53a856cb44af135409790151dff975001ce4634

2015-06-14  David Tardon  <dtardon@redhat.com>  [72ec2bff7dbbb28a93f40557ec91ab72a5461b3b]

	parse section prototypes' stylesheets

	Change-Id: Id37e0db288b2256619b37f01b4e686f6b02ad2bd

2015-06-14  David Tardon  <dtardon@redhat.com>  [0e818cfb6d253673f6c36db5bd6d31ce21cda306]

	handle headers and footers

	Change-Id: Ie0b3831fe5a864fb0f287e4bc3584a6ad13aa68a

2015-06-14  David Tardon  <dtardon@redhat.com>  [12ec41f8e255ccbbe521db65ce39865fda89af15]

	fix copypasta

	Change-Id: I04abfec6644395952272f61fcf4667340256ea59

2015-06-13  David Tardon  <dtardon@redhat.com>  [2a8e51b1ef1e2f3fca838a44c7029c80b6077343]

	make the base property context classes global

	Change-Id: Ia73a4bf33db80819de9a0394db02d9670a82af9d

2015-06-13  David Tardon  <dtardon@redhat.com>  [a2c2bb5965d43c4b9c58a45126424b253eed0674]

	parse headers and footers

	Change-Id: Ie9ef036e6837a201bae3259d359c1e3c7e6c5f15

2015-06-12  David Tardon  <dtardon@redhat.com>  [38a5fdf1cb946257d0dd2eb7361a8f3bb3101086]

	get rid of last remains of libwpg

	This fixes output of shapes and images.

	Change-Id: I85302c72005cbb5a5a378fa8ac15666d2918c3b6

2015-06-12  David Tardon  <dtardon@redhat.com>  [b7583e2c0ecc3d4b05812ce6425e1e03a35c9582]

	ignore invalid path

	Change-Id: Ifabb11a8af46f9f84895a29086266744faf6bc64

2015-06-12  David Tardon  <dtardon@redhat.com>  [9b66e5a707e5932595987053c1cd929ef75af4dc]

	drop unneeded include

	Change-Id: I31627259a9316267a8bdae205f475a1eecd90f64

2015-06-12  David Tardon  <dtardon@redhat.com>  [f181c1512e307106938e90195345fee1a46ab6ee]

	init. all members

	Change-Id: I4936ffba757fc15bcee22bdfcd5c3c6d91235383

2015-06-12  David Tardon  <dtardon@redhat.com>  [db232ac9062fb330565dcce5cc1187c1988520ba]

	handle media type in parser already

	Change-Id: Ibf351079bfc00baebce4a41f69dcb6bc1d32d2c4

2015-06-12  David Tardon  <dtardon@redhat.com>  [a5a16569de7ef7de207203e3044eb4e9dca8cd27]

	parse ID

	Change-Id: I78957eb839137b490163a7f3017d3427eb3f6fce

2015-06-12  David Tardon  <dtardon@redhat.com>  [bdaf4f373e12e014b5d992e36efffce0deb98864]

	ignore invalid type

	Change-Id: Id9afb664cb700f5f4b0db45dcf38592a3d696bc6

2015-06-12  David Tardon  <dtardon@redhat.com>  [7f460a64f37875337231243d73d01a08f1f95051]

	ignore invalid values

	Change-Id: I3faec462de54fe5d0b97956540f950de40a40ee9

2015-06-12  David Tardon  <dtardon@redhat.com>  [5439eeb645041ee1aa51fbc6d8076a504c1d3181]

	ignore bad color values

	Change-Id: Ifb28a054122e3bb88784b6ad09f05b7aae0d7691

2015-06-12  David Tardon  <dtardon@redhat.com>  [fa908a74b9e91c52412be43eb3619fea3ee6a616]

	avoid use of empty optional

	Change-Id: I57e23f5722d584dddec35b9bd3dd91f21a60ab35

2015-06-11  David Tardon  <dtardon@redhat.com>  [ddd2409279cdd76eddd6c28b32dcde3fe8c78bad]

	afl: finish parsing in case of broken XML

	Change-Id: Ia31c88d04f5f2596821a3be0ae81728be835557a

2015-06-11  David Tardon  <dtardon@redhat.com>  [3658b7561a05cc6b5c48d4a985f6c9acf99665ed]

	remove space

	Change-Id: I559e96fa85cf83f288f317e41eb07502ce215b08

2015-06-06  David Tardon  <dtardon@redhat.com>  [1bedb3b14256476db260ae4c7580bbfba6405f39]

	reduce copy-pasta

	Change-Id: I4115125d6b7f6db46b98a798a310412c55db6f4e

2015-06-06  David Tardon  <dtardon@redhat.com>  [40c146c3acbaa21681e76d5c6a50b1c28ac1af09]

	keynote: parse metadata

	Change-Id: Idc8de9eed2915ff147e52e1948d45318affa9490

2015-06-06  David Tardon  <dtardon@redhat.com>  [6c22d8dff931f7d2d5915d64b9f35c8565650dcb]

	remove useless function

	Change-Id: Ia4a99ce8e6b955f5970206f6262e7219483d1b65

2015-06-06  David Tardon  <dtardon@redhat.com>  [9f98189c0df2bc3d4b1a3f7b1cad9e70de267318]

	defer writing slides to the end of doc

	... in preparation for parsing metadata, which are placed at the end of
	the document, after slides.

	Change-Id: Ieb4ce3049b5a04e1bcad5744b68a6f7d1ae6e41d

2015-06-06  David Tardon  <dtardon@redhat.com>  [04d4b67f3ebb5840f9e3d155e9e46ac612dfc748]

	drop unneeded functions

	Change-Id: I652063ce6abf2485d7afa926ef20394567f6a9f6

2015-06-06  David Tardon  <dtardon@redhat.com>  [dc3a811ff85b67792a7173a1c808642eb23f7289]

	just call parent class functions

	Change-Id: Icbd824494e14d2b6c430767b48153374db3f9051

2015-06-06  David Tardon  <dtardon@redhat.com>  [67dcf8e4f783818d489baa28e87bd7bd99a9e9ac]

	remove unneeded functions

	Change-Id: Id4a91036862d35cb41349ade99516d3fe90e4d4e

2015-06-06  David Tardon  <dtardon@redhat.com>  [f811eabc55442b216965523215faca18927ae538]

	drop unused function

	Change-Id: I582ffd31536e66e80a87f1151e1ebfafc63813c1

2015-06-06  David Tardon  <dtardon@redhat.com>  [8667a41591b86c092e96936af49736d5b3c25ef8]

	remove empty line

	Change-Id: Id64647418258f5f4cbf9cac2e51f86e8f542c47b

2015-06-06  David Tardon  <dtardon@redhat.com>  [ae5f266b3f7e504f7d36e9acc559fc0fc8623924]

	numbers: parse metadata

	Change-Id: I3de0e972d4579ca7d6e4c927734e321d4d671d62

2015-06-06  David Tardon  <dtardon@redhat.com>  [c26e130cc3dab3c62467752da088592a238d4767]

	move handling of metadata to common code

	Change-Id: Ied6f86758a81764530a63431d05e797fa7be8d83

2015-06-04  David Tardon  <dtardon@redhat.com>  [b2caae2d48cb2499a2a0dc01e99fecf9045cbe81]

	move (most of) metadata parser to common code

	Change-Id: I1747feb456b35932eb3fb7c345d35ffad9bfac33

2015-06-04  David Tardon  <dtardon@redhat.com>  [a7225fa669907162ea14404f7f7149302eeb74eb]

	parse real document metadata

	The sf:array elements are only present in empty entries. Filled entry
	contains a sf:string.

	Change-Id: I0e76b28a6d2974512e7224559443256a90904198

2015-06-03  David Tardon  <dtardon@redhat.com>  [3f5a0f84ce7d754b39eb2139ef774372c34036ad]

	move path-related parser contexts to a separate source

	Change-Id: Ib99b8d978e0c251f84e8df06771b167fbf96bb4d

2015-06-03  David Tardon  <dtardon@redhat.com>  [8b61373e23f94f6360bead99fff967492d127276]

	parse ref-able elements in skipped parts - Keynote

	Change-Id: I52cef002a905cf64d3911a96df8198a3efdfc04b

2015-06-03  David Tardon  <dtardon@redhat.com>  [a53a5ee5e47266704b7aca08983e8d192948f27f]

	parse ref-able elements in skipped parts

	Change-Id: I33c543edf09f68f992d7cf3ae9ddb2e2dc42df2b

2015-06-03  David Tardon  <dtardon@redhat.com>  [6be35a1a3dfbfd7eff3e0a43442dfb988c9c79c9]

	fix brain fart

	Change-Id: I92d3c0d6d75b6d120f2ebca51e6ce6ff3a65e2af

2015-06-01  David Tardon  <dtardon@redhat.com>  [c2abae5fc45a09915299660427c7541defaaa154]

	create parser-specific discard context

	Change-Id: Ia146cb393239b36f5b44b5f3a5771b0177b341d5

2015-06-01  David Tardon  <dtardon@redhat.com>  [d484bc30c112d3b947accb6448296737b24b388e]

	add a mode for gathering ref. sources

	Change-Id: I64ea0788b47c2fffb02546ff13c18302de9f4c4d

2015-06-01  David Tardon  <dtardon@redhat.com>  [a69b3bd40a00ce51c37da4c3124ecff0d646dfb4]

	pass collector by ref

	Change-Id: I3745de9aed97b548951b8e1a287caff934c083c5

2015-06-01  David Tardon  <dtardon@redhat.com>  [154c67bcc603f46af62deb03fb611baf66527c04]

	this is not needed anymore

	Change-Id: I798cd313d1281956d47cf6bcf0f4c55d7cf2e1f9

2015-06-01  Anurag Kanungo  <anuragkanungo@gmail.com>  [9c1bf2b01e2857730675271b3d1f61a19f3b0be5]

	Simplify Implementation of StyleRefContext

	Change-Id: I6cbfc8aebbfe21531faf1d49c2e7b62575bfd21a

2015-06-01  Anurag Kanungo  <anuragkanungo@gmail.com>  [425da1b7f1916e8132aafe0e3b70d22debd27fe1]

	simplify implementation of StyleContext

	Change-Id: I8d54b8ee2b1937480cdedad7498bae4d51ac556f

2015-05-31  David Tardon  <dtardon@redhat.com>  [662bce6962833f3a892ddbde0995efad0ffc831b]

	parse metadata

	Change-Id: I6e2148e98b5b9e244852321702de15774069f04e

2015-05-31  David Tardon  <dtardon@redhat.com>  [528a6513114c421e75487ff2656e690edd2ebb04]

	move start/endDocument to document context

	Change-Id: I3333935a45a1c2e4f82f97501e262eba53697bf1

2015-05-31  David Tardon  <dtardon@redhat.com>  [f2cff187bbb031b5cb5bf03b0c7bd82e39809713]

	add tags to .gitignore

	Change-Id: I7fe86f6b3ed12217a6c6d189259366a766d86d3e

2015-05-31  David Tardon  <dtardon@redhat.com>  [c2fc9fcc3b23aff26b8be9a59de08fe41006a36b]

	parse paragraph borders

	Change-Id: I32f35e2de05df95a4cf7fc481a04ff5193eb754e

2015-05-31  David Tardon  <dtardon@redhat.com>  [e76f48d6e70f6f08e294c27a0f365a6fa39bd58a]

	parse page break before paragraph

	Change-Id: Ifb4fe2532483e65f6ebec67d743d24e30ec87514

2015-05-31  David Tardon  <dtardon@redhat.com>  [7deed374dde13f3c6f0cf5cdc75f624045027f84]

	handle properties reset to default

	Change-Id: Ic0bdf1e9f555e6f5f82ab85e8a26e7b8f4e37c90

2015-05-31  David Tardon  <dtardon@redhat.com>  [174c3ea11e80928e6815d17ff5fbfec9c0ec3f21]

	add TODO

	Change-Id: I6561553cec9f906d4d0f482cc34d144a69049291

2015-05-31  David Tardon  <dtardon@redhat.com>  [bf8a1d1c5448d4535e95fbbc22f7c341be62224d]

	simplify handling of numeric properties

	Change-Id: I7dc1f0a8195a439bd604618e6c5cfaf753df3f64

2015-05-31  David Tardon  <dtardon@redhat.com>  [63241f4019ae263505a3dd43b9eb45e2a0ff1033]

	add support for cleared properties

	At least Pages uses empty property tag to reset a property to its
	default value.

	Change-Id: I740c9a098c75e1bd8975889044b5127f3b117f31

2015-05-31  David Tardon  <dtardon@redhat.com>  [7dd42422b307b336b819658815248d3bee96cc95]

	handle text position

	Change-Id: I837165060896c6f13a8d79e6da7e761ceceaba91

2015-05-31  David Tardon  <dtardon@redhat.com>  [0901322a5320a3bd4b659a6cdfe4b5729d53402f]

	parse letter spacing

	Change-Id: I31864bce1ae4b193ca7baec8b91e63696328c518

2015-05-30  David Tardon  <dtardon@redhat.com>  [d0fe2c15e41ae1945228d9e4be985df407eb2bb1]

	use app-specific table props

	Change-Id: Ibd913626cb4af26f5a95777f980030ed127280f0

2015-05-30  David Tardon  <dtardon@redhat.com>  [d41474161c5cb644ca625d1581718fad89d3747e]

	ignore props with unknown numeric value

	Change-Id: If719de76461beb3e378aa2944bbedb5c4192d0b7

2015-05-30  David Tardon  <dtardon@redhat.com>  [60c22fc853d7db4ff3ffc1661202fb3db537dbd7]

	avoid use of uninitialized value

	Change-Id: I61c695ca8366ac366d3d450ef8e45cd4eba33fda

2015-05-30  David Tardon  <dtardon@redhat.com>  [db072f0c7ac7b9c108d635c1499b3491b9df95d2]

	drop unused includes

	Change-Id: I4d42281f56a350ecc3da55f367e95927510bc21d

2015-05-30  David Tardon  <dtardon@redhat.com>  [a45a7bb83bc866ab9d03cc40d547127c802a9049]

	use Spirit V2

	Change-Id: Iae75b116c0d618b0b18f09836e8ba47eeef8dcdb

2015-05-27  Anurag Kanungo  <anuragkanungo@gmail.com>  [3fadbf4bc5161f6818339f33c74aa9ca041886a7]

	move current table data into parser state

	Change-Id: If5e39e1bf77747d739992d3673880de23ed60ead

2015-05-26  David Tardon  <dtardon@redhat.com>  [91d39222d9f120211c0189f69299898702a65d3d]

	remove surplus breaks

	Change-Id: Ib98a4a5bcd7d9f9eb03874f0715b45bb141ef12d

2015-05-26  David Tardon  <dtardon@redhat.com>  [54c63c653deb070c49621bea8acbc18f76118238]

	add missing breaks

	Change-Id: I6a6afd517e61aff89319348de5af3aa97093bd1d

2015-05-25  Anurag Kanungo  <anuragkanungo@gmail.com>  [16d185d8514fd63dd4587cf598bd717008ab415e]

	Removed clone method from IWORKOutputElements

	Change-Id: I1fb8d57ab63c9e1ecc91759d5cb7b1faccfa05c6
	Reviewed-on: https://gerrit.libreoffice.org/15894
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-05-25  David Tardon  <dtardon@redhat.com>  [6af2a34df824e75e4698004d5a26600746515caf]

	we don't need separate functions for this

	Change-Id: Ied408710a6547174e02196ab63231db4b298e799

2015-05-25  Anurag Kanungo  <anuragkanungo@gmail.com>  [800df8c2f0f26ecb331b60a8e56192e8e64a5805]

	draw sticky notes immediately

	Change-Id: I56f672b73725cd09c0df74d2b3e40671ffe75cc3

2015-05-25  Anurag Kanungo  <anuragkanungo@gmail.com>  [50b7570c461077e75c7b09d5bfaffce7a7e65a5a]

	Renamed IWORKZoneManager to IWORKOutputManager to make association visible

	Change-Id: I38987fb4298a14f738fc5e16d36ae4e848552063
	Reviewed-on: https://gerrit.libreoffice.org/15889
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-05-24  David Tardon  <dtardon@redhat.com>  [a4f9eb15bb0d9d2e9b127be0d371b25d0fe39892]

	add some hacking notes

	Change-Id: Ib0fd2ae0eae1e83ec9f4de961148ab0506c96cb5

2015-05-24  David Tardon  <dtardon@redhat.com>  [4d9c13619fedc122a390b4a48d76b5087e3c9968]

	add some notes on coding style

	Change-Id: If4801e3f2202a2ad89d9dd5c66e2b2ad6fdf999a

2015-05-20  David Tardon  <dtardon@redhat.com>  [5bb538c7c9984d2f68b81eb182ca9bf4c12593a9]

	fix test on i386

	Change-Id: I54379bec41f724d5c3ff8bf9e559c5bda7a9c57d

2015-05-19  David Tardon  <dtardon@redhat.com>  [3663b7b44646e1ed1218598aeb0bdf7326934029]

	missing include

	Change-Id: Ie7a733b49a5b9a056671f4274b5194c3891569ae

2015-05-19  David Tardon  <dtardon@redhat.com>  [111afd56a8fe028a9b353bfb9a190ce62c059dd6]

	add include for assert()

	Change-Id: I24d1d7f15e41f94f5f9f5c99a8053e088f9a2df6

2015-05-19  David Tardon  <dtardon@redhat.com>  [aaa35710f741d09e86c347a8e80436e30c13cae2]

	blind fix for windows build error

	error C2593: 'operator ||' is ambiguous
	...
	while trying to match the argument list '(boost::logic::tribool, int)'

	Change-Id: I8c380018c3d0143e4fa4b0ef469195d404e024b0

2015-05-19  David Tardon  <dtardon@redhat.com>  [c7d2c4a00c5c32189b2f9c551a0a6942e2240229]

	fix copypasta

	Change-Id: Idb16cf04ff64046223e35daf362c6d9f334064ab

2015-05-19  David Tardon  <dtardon@redhat.com>  [3a41faf9227bb946d002a4f100636fb8b946fd3e]

	prepare for a release

	Change-Id: I27286d535fa0dfba414ff48c79f8f58bf23f7fa0

2015-05-19  David Tardon  <dtardon@redhat.com>  [17b3e3235e2bc9309d5d679d5ebd8d0407eb090d]

	fix inc. path for make distcheck

	Change-Id: I86917a72f705b6698d98fc2add62484cc12a2a75

2015-05-19  David Tardon  <dtardon@redhat.com>  [2437ff55a415171b786bee085edbebd042d47500]

	add missing headers to tarball

	Change-Id: Ice54a9b82c6ca0ca6a4fd818829911bc8d89a9dd

2015-05-19  David Tardon  <dtardon@redhat.com>  [7a21a50c7c43c8a20d1baa716d1a3c52a097e1d8]

	drop obsolete sources

	Change-Id: Ib4aec816880922f427fa02e9f1d13a67f8ac632b

2015-05-19  Anurag Kanungo  <anuragkanungo@gmail.com>  [d3c20c35fccd85437d5de46653a1579751d4c826]

	Corrected parsing on sf:ct element in tabular info

	Change-Id: I5f6ddb41fdb00a9980b94574d16d98178140c383
	Reviewed-on: https://gerrit.libreoffice.org/15796
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-05-19  Anurag Kanungo  <anuragkanungo@gmail.com>  [706c8304e8115cf3777a730340cd5686c8162ed6]

	Added Numbers Parser Context upto IWORKTabularInfo

	Change-Id: I23577b84139a97a0a8971b839f64b23847ad4f4d
	Reviewed-on: https://gerrit.libreoffice.org/15789
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-05-18  David Tardon  <dtardon@redhat.com>  [99392a266c86deca7216c04544e0a6ae96c68f58]

	this is not needed anymore

	Change-Id: Id9d9fdc89a8936593ff1bfc955047988dfb0c3fe

2015-05-18  David Tardon  <dtardon@redhat.com>  [a8bc8cb37ea23fc4c6f8251524a7ad6f3ccf6a1d]

	workaround build problem with clang

	error: default initialization of an object of const type 'const
	test::(anonymous namespace)::TokenizerA' requires a user-provided
	default constructor

	Change-Id: I4f01d4de630ef5ebd21c5eaca476e6defda30d3e

2015-05-18  David Tardon  <dtardon@redhat.com>  [562b488ac40fc749a79f3d4900f5ea98a1613a12]

	WaE: private field 'm_version' is not used

	Change-Id: I847b99353c94b3a04239b3d8fb683e3dfd1385fd

2015-05-18  David Tardon  <dtardon@redhat.com>  [baa14922b347d88956495a49b85507476d703529]

	WaE: class <-> struct mismatch

	Change-Id: I6e94350a261e1e7a7bb3d8f9e8fefc6fdf629fe5

2015-05-17  David Tardon  <dtardon@redhat.com>  [479373071c390d0255d2e720108940389b1cd1fe]

	parse page dimensions

	Change-Id: I166e7f7a713b8017e0231d00048eb50af993220d

2015-05-17  David Tardon  <dtardon@redhat.com>  [4bb67fd30181e972f709608617f3730b5d9406bb]

	never insert a table into a paragraph

	Change-Id: Icbb7bea7ee4671fd42539bb76a19a8483d878458

2015-05-10  David Tardon  <dtardon@redhat.com>  [e37426e428f6b06ce3aaca3012213b00e70fd121]

	pages: add support for tables

	Change-Id: I7ea04af9841b33a2c18c96c9544f48be553d84c3

2015-05-09  Anurag Kanungo  <anuragkanungo@gmail.com>  [c721170ffd4956a1da088bc8cfefdee33dfc4ed6]

	tdf#89949 Use of glm

	Change-Id: Ib99b6a952cce11a037078f643ab581fe1def590d

2015-05-03  David Tardon  <dtardon@redhat.com>  [0954b38d230a544a588a888bc48197fa2054f070]

	parse links

	Change-Id: Ia7ebc43c07bf570bf5b9fe2be9e474baf497ef1f

2015-05-02  David Tardon  <dtardon@redhat.com>  [bba7df36d883759666546db204c2b2164e51db2d]

	parse text language

	Change-Id: Ib72b6fc88b768d254c3877f90145b7d2cf208bbb

2015-05-02  David Tardon  <dtardon@redhat.com>  [03028de3f95a6bb64649ed28190c617a0516d608]

	points -> inches

	Change-Id: I40930b48fd2fc86adfd834fbe8e1ce21f04ed411

2015-05-02  David Tardon  <dtardon@redhat.com>  [208ba801d351c495f94a2e73fe14a777244988a2]

	BIPU parsing of paragraph borders

	Change-Id: Ie126775dab6ecdbf6d4b5422d14fa1671eef1ffa

2015-05-02  David Tardon  <dtardon@redhat.com>  [ddd7406cf92d7ac9654bd83cc553a938aaa715e3]

	simplify adding new properties

	Change-Id: If00ae82c09f2ea8f0f0cdb838a53f3c2c6ccab6e

2015-05-02  David Tardon  <dtardon@redhat.com>  [2705ba5d10a80a972dcfe88a5204bf709084fa13]

	fix parsing of tab stops

	Change-Id: If8595d6b11e2d7961e346834548306370e1e3e54

2015-05-02  David Tardon  <dtardon@redhat.com>  [8152e19894a2d8c09da6f85ca20302a7aacdca89]

	parse para attrs directing behavior at page break

	Change-Id: Ic550e28fbba787c48c0099c55c7efe55c99cabab

2015-05-02  David Tardon  <dtardon@redhat.com>  [d87d2ba2dc8f904750ceca64965d6c9d2ab109bb]

	simplify definition of numeric properties

	Change-Id: Ia4b0bdb2e8cfc4d0431bdc2a56e717f71f94b9e3

2015-05-02  David Tardon  <dtardon@redhat.com>  [4e58f47aa0e38d20b38372a2cd4190249b56b004]

	parse paragraph indentation

	Change-Id: I29b293edaf49c3ee72abc51b752d918b917a1f26

2015-05-02  David Tardon  <dtardon@redhat.com>  [b9ef4efbad8eef7ff654d250f30a1821374da53e]

	parse space before/after paragraph

	Change-Id: I2033b297a980ae6be7fb0619b616f19e519a2dd7

2015-05-02  David Tardon  <dtardon@redhat.com>  [a2ab7284ceedd2ad26f53ef51bdc3ad32be46282]

	parse paragraph background color

	Change-Id: I858005e0d2d9d8676a9f18a3cc19d1a4b431758a

2015-05-02  David Tardon  <dtardon@redhat.com>  [7b5daef0c76608673583f72517bbb37958435837]

	parse line spacing

	Change-Id: I098241ad5f80add24da057f9ae597464dbd98bf3

2015-05-02  David Tardon  <dtardon@redhat.com>  [7b00ed3c308b6af2817d7f5225add30602be9a95]

	handle more text formatting attributes

	Change-Id: Ic1ec7880df5d26ecf8ed37e9b2252ca94d1d18e1

2015-05-02  David Tardon  <dtardon@redhat.com>  [6472cf994ee763430975db4e8c6bcb0214282ee9]

	allow derivation of contexts

	Change-Id: I66efe911625c9797df1bb805f50366ac9b638e59

2015-05-01  David Tardon  <dtardon@redhat.com>  [4f3edd3f7aa209c10859ba3c9a874344c0b0208e]

	pages: parse stylesheet

	Change-Id: I9183829003161095c4b244ebbb1d73401fc5ce2a

2015-05-01  David Tardon  <dtardon@redhat.com>  [7e56f40c5efd43beff8a7f65d270d182a924153f]

	ignore the line break that ends a paragraph

	Change-Id: I03c3db184b9682e894dfc35e573d3415574792d4

2015-04-13  David Tardon  <dtardon@redhat.com>  [5b1af0c22d02a90d40c4536d728b10a27a67d952]

	add BIPU support for Pages text

	Change-Id: I1c7834b5ac1d30fed6bc3b771d0ec3c5255f63a7

2015-04-13  David Tardon  <dtardon@redhat.com>  [eba871a9f75a5a17b2e2bb38ce429b1f41c01c8e]

	generalize sf:text-storage parser context

	Change-Id: I4d48a040861e28689b10ceab797b076c688e7a61

2015-04-13  David Tardon  <dtardon@redhat.com>  [850ae7166861b0c6f50500763c00a56e8a35adca]

	cosmetic change

	Change-Id: I8447ddbd3585fdaba8e1dc58477888e8dac4084d

2015-04-12  David Tardon  <dtardon@redhat.com>  [38edcdd590f96e72f21cf76d0ad43e75356031bf]

	add direct support for spans

	Change-Id: I80fa27ac62a54cef63ad71958462c89348ac315b

2015-04-11  Anurag Kanungo  <anuragkanungo@gmail.com>  [604be406c956b89c28e65052432549ca7fc3f470]

	Implementation of IWORKTextRedirector

	Change-Id: I439d559ae145c0a1ef9d3845621ed96b9454af10
	Reviewed-on: https://gerrit.libreoffice.org/15246
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-04-11  Anurag Kanungo  <anuragkanungo@gmail.com>  [df6858a52da2234e17554bb5339777068e178cff]

	Implementation of IWORKSpreadsheetRedirector

	Change-Id: I088ad4e8b22689016e0d48b12dcf5abf6c030e9b
	Reviewed-on: https://gerrit.libreoffice.org/15243
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-04-11  David Tardon  <dtardon@redhat.com>  [33b0fa7e9aeb2ef02ad0b08759ff142e13e8d840]

	remove unused function

	Change-Id: I96065d63f6f2b7a4a3d8a0282842df882bfc3086

2015-04-06  David Tardon  <dtardon@redhat.com>  [97666bb8e6867cd2e87fcfb867cc54b8b00e0e70]

	remove unused function

	Change-Id: Iafe8c26bd5c558d0f46c144d9468e5b565e0324b

2015-04-06  David Tardon  <dtardon@redhat.com>  [57ba057243ef05a06618748055e9bc957b8d7aad]

	use member function

	Change-Id: I29993c2eae9869ec31580403b1a4695815440891

2015-04-06  David Tardon  <dtardon@redhat.com>  [5f9348174e3203601e7d95a06a933d36ed3f1a3c]

	drop unneeded functions

	Change-Id: I7fa468943981f6f8469d5eab6206d78221fc5ab0

2015-04-06  David Tardon  <dtardon@redhat.com>  [6e4a0fc347ff5c5ede4ea95afac6f80157632eff]

	simplify management of zones

	Change-Id: I0be911f212847f32df949655853a6e66a777a353

2015-04-06  David Tardon  <dtardon@redhat.com>  [3a8bb92eface7d621b9439d594f471964ccf3fb4]

	simplify discr. of simple text and text object

	Change-Id: I4a029f4a05d6cecde1f0f90494ada9f8efd974da

2015-04-06  David Tardon  <dtardon@redhat.com>  [9591649216654644fe49056c2c16819a5d54d6e0]

	make IWORKPropertyMap type-safe

	Change-Id: I399be385d52461c1ca749b5bd50320347c918c6e

2015-04-04  David Tardon  <dtardon@redhat.com>  [ba46850ceb650efdbb89457920dfbe4a9e97c3a6]

	return early if attr. is found

	Change-Id: I6aaa535af0909db227339aec25094a729ed3da3c

2015-04-04  David Tardon  <dtardon@redhat.com>  [055b56c0734e658b47083556477fb53e108d5f60]

	tokenize name & ns together

	Change-Id: If825ecefef908d0f9d5b58ca53383b54bbd5480f

2015-04-04  David Tardon  <dtardon@redhat.com>  [15eb6d3d2f36ec70adfc7cfb5939f96dc7850405]

	improve unit tests for tokenizer

	Change-Id: I38eb1df317aa7bf8919ef32a77ac231a36bc05f4

2015-04-04  David Tardon  <dtardon@redhat.com>  [2500360c5750223ed70f32b8c281b72b7f46a5cc]

	shorten casting from xmlChar

	Change-Id: I6365693d78611a481cacb62c84294c949ca4205c

2015-04-04  David Tardon  <dtardon@redhat.com>  [c5bc8e51c28c24332ab692312ee422bb78f408ef]

	refactor tokenizer

	Change-Id: I105c9eb3fc76c43957468ddfa32ab9babb1551f1

2015-04-01  David Tardon  <dtardon@redhat.com>  [491c3ea44ef437e7c54a99b5b46281ea7196d6d7]

	ignore line break at the end of paragraph

	Change-Id: I506b0bb018863a224355d1453fe93096a3777ae6

2015-04-01  Anurag Kanungo  <anuragkanungo@gmail.com>  [2a5df6c9e8c260b53b16e9021de51c68eb9b3dbb]

	Added LineBreak in IWORKText

	Change-Id: I3a6615cd39181a2dad9bf6fb4ca08fdd71b2e10b

2015-03-29  Anurag Kanungo  <anuragkanungo@gmail.com>  [1ee4bd8aa3eb2ac2600a5b48ac32c6fdcf7124f3]

	Removed IWORKObject completely

	Change-Id: I85b976c89b401bcc09697d15a8bcd0722941ba87
	Reviewed-on: https://gerrit.libreoffice.org/15031
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-03-27  Anurag Kanungo  <anuragkanungo@gmail.com>  [4eca10926d345946473ff491bb6c4b37e846a744]

	remove IWORKText from IWORKObject

	Change-Id: Ie0732b21e155b9f82ce267c03c8a0177beb03493
	Reviewed-on: https://gerrit.libreoffice.org/14969
	Reviewed-by: David Tardon <dtardon@redhat.com>
	Tested-by: David Tardon <dtardon@redhat.com>

2015-03-27  David Tardon  <dtardon@redhat.com>  [55beaa6fbd62af56239d80566dfe1421fa83e0c0]

	use the same order of includes as elsewhere

	Change-Id: I18fb968e1b917282d3a0b60927de5d0674db2a5c

2015-03-23  David Tardon  <dtardon@redhat.com>  [7e378a2e058f039c4278f83d989ce31ab625a9f1]

	ignore .dirstamp

	Change-Id: I7dc66347937ebe56fe60df810fef7d00c4f1c9a6

2015-03-23  David Tardon  <dtardon@redhat.com>  [c7121dc6989456ccae72eff36625b546f8c11699]

	always place objfile in dir next to the source

	Change-Id: I2f495b10477103887aa9280146f352f3708620e3

2015-03-22  David Tardon  <dtardon@redhat.com>  [6f079f28643bfb71ba80b02a2cfac5ea0db6daf5]

	simplify sending of styles to the collector

	Change-Id: I615e69abf510081d20bd1aeb30779a00689ee491

2015-03-22  David Tardon  <dtardon@redhat.com>  [cad0e3ca90bf5b29dfac260ca573b4b702d9a4ee]

	save one useless virtual call

	Change-Id: Ie9faa15d05020f39f96c726156d6b288227f68c8

2015-03-22  David Tardon  <dtardon@redhat.com>  [4b95b978b1ce50d8cf8f8de7dfc03bee5cb7ed6e]

	move XML context classes to a subdir

	Change-Id: I6f35eb407d959fe1b2a6c239a9a34f2090c10088

2015-03-22  David Tardon  <dtardon@redhat.com>  [e57430bf92f78f215c1b545cb218d654bbc990eb]

	rename XML context classes

	FooContext is common for several elements, FooElement is for a single
	element, FooBase is a base class adding a common functionality.

	Change-Id: I5978480e06d1b0075d515ce177bc657312941056

2015-03-22  David Tardon  <dtardon@redhat.com>  [cd151f44e74ac195f2f7d709e71ddde1886290a2]

	move move contexts out of KEY2Parser

	Change-Id: I9a0338e80173438bf24efa37ad4e8e33cac7af17

2015-03-22  David Tardon  <dtardon@redhat.com>  [46e064555967d736dcfad8a13fc7e7ad7a9a9853]

	make the interface actually usable

	Change-Id: I2a5bee6b49fd285d3390cc4f8fc4b5f70e17a65f

2015-03-22  David Tardon  <dtardon@redhat.com>  [951dc8d5bb67c3b8acff1245917c62a191c9797e]

	only call if there is a value

	Change-Id: I8a489feb0ebdc1292f4ba8b62f2017c4917408cd

2015-03-22  David Tardon  <dtardon@redhat.com>  [5e8683845e94d9966af7bf78c02988fe1d66f505]

	rename function

	Change-Id: I7cfed3cbac0efe2c27baecf2994f245d80f184f6

2015-03-21  David Tardon  <dtardon@redhat.com>  [a5ccc480fb10815a428d46d3afb87cfb79fb7ef6]

	factor some common code out

	Change-Id: Ic0d49844d415055ca409900226b54f02cddb5fd7

2015-03-21  David Tardon  <dtardon@redhat.com>  [8f3309c81f86f6b606597ee09768542db5a3320f]

	extract output zone management to a class

	Change-Id: Ifdaa930d0eabc3451d838d27b1077ce2f1646a41

2015-03-21  David Tardon  <dtardon@redhat.com>  [0326a424853e6d4c51bcf3dd0c4ccaf180ca4cd4]

	shorten names

	Change-Id: Iea6106181be1879a726ca885a1397fde1d9a9519

2015-03-21  David Tardon  <dtardon@redhat.com>  [eae0ab5214b5cddf00256a4afaf59ff51c058009]

	split style parser

	Change-Id: I2b1a823c85d2ee22995e676568e3a4e4f2b9a852

2015-03-21  David Tardon  <dtardon@redhat.com>  [02cc820da2692943b66465138858772e173a6523]

	drop unneded include

	Change-Id: If5a32b4354a4cef0b6f8b243bbba10fd7de83ba9

2015-03-21  David Tardon  <dtardon@redhat.com>  [0102172b7e6f9ed4a42fffbcee812ae6324d338e]

	rename include guard to match file name

	Change-Id: Ifa730f4c096f8a3a3a38d9988851997b2a7be3cf

2015-03-21  David Tardon  <dtardon@redhat.com>  [4da42701f6853550fa94daad7108f1e919e5a2d0]

	keep collector in parser state

	Change-Id: Iaaee06cbc08a6461e87d806e6576245d7cbad6cb

2015-03-21  David Tardon  <dtardon@redhat.com>  [60e5527cdf7b40a2981515b699f3bb91cbb5f3c3]

	rewrite NUMCollector

	Change-Id: I2b1aa80a1e2af7e05fe47f2e6d050876b3617612

2015-03-21  David Tardon  <dtardon@redhat.com>  [870a2f871582f4cc7cfc320574359f7974e67ffe]

	rewrite PAGCollector

	Change-Id: If1abcbd4284ea80be6b8cefb81a0949c2cfee18c

2015-03-21  David Tardon  <dtardon@redhat.com>  [6c511f9edc4e49bd5265ad5703df192583024abc]

	use the right collector type in contexts

	Change-Id: I2ac7c4a8284dc4454e6ac627020b19afe229ffe6

2015-03-21  David Tardon  <dtardon@redhat.com>  [4eb21ea9347e887103cbfe7db7cebd2aae026bd8]

	move most of media handling to parser

	Change-Id: I6df0c104941cecd94fafdbc1e8e36e208f5b24b0

2015-03-21  David Tardon  <dtardon@redhat.com>  [51eb3698f2b91ac7122dfa52f6b7ea2eb295b492]

	ensure proper pairing of push/pop

	Change-Id: Iee5efd911d8e68797f86a124fda318079012b02f

2015-03-21  David Tardon  <dtardon@redhat.com>  [2e0225edb14081ed348324e14f6b91c02306e00e]

	initial split of collector

	Change-Id: I46092135cba8b06cf1198be6a9837571cbec2550

2015-03-21  Anurag Kanungo  <anuragkanungo@gmail.com>  [27489ffe906dac593230c099abada744feabc7bf]

	tdf#90105 draw table using IWORKOutputElements

	Change-Id: I074c55a6922fc08d7d6d73d68a4a9a9d4f86d72f

2015-03-21  Anurag Kanungo  <anuragkanungo@gmail.com>  [6cdce2e1456317213155521214aa596e8327e043]

	tdf#90105 removed ShapeObject from IWorkObject and added to KeyCollector

	Change-Id: I309800d258e052fa8ff873b4af7b1a5df80fbc56

2015-03-20  Anurag Kanungo  <anuragkanungo@gmail.com>  [0a9dcd4a8f3fd5c3a6167b3dd10d4b11b859c306]

	tdf#90105 removed Line Object from IWORKObject and moved to KeyCollector

	Change-Id: Ibe1956aef7ce28fdfed3c16cdd864a4c28d336ad
	Reviewed-on: https://gerrit.libreoffice.org/14929
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-03-20  Anurag Kanungo  <anuragkanungo@gmail.com>  [74a473fe4f853a54af4d151c427202f7f0090a87]

	tdf#90105 simplyfying drawing of presentation objects

	Change-Id: I705a832d2f8c9b65ffabe16fddaa476ef1f4a30f
	Reviewed-on: https://gerrit.libreoffice.org/14924
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-03-20  Anurag Kanungo  <anuragkanungo@gmail.com>  [7a7ae20b4fd232540e078bc17f88b664adf91aa7]

	Added Context for NUM1Parser

	Change-Id: Iebb6e0585665b4f379e58c25cf9b2a4235ae2ba6
	Reviewed-on: https://gerrit.libreoffice.org/14915
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-03-19  Anurag Kanungo  <anuragkanungo@gmail.com>  [73058c24b8f8fbf777f3643bb0b7404b8ce57ae3]

	renamed NUMParser and realted to NUM1Parser

	Change-Id: I4d3cfdfa18f7fd667cbc262a8c628fa6bbc5fc45
	Reviewed-on: https://gerrit.libreoffice.org/14911
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-03-19  Anurag Kanungo  <anuragkanungo@gmail.com>  [210bef82010ea778c50846dd855d92ff79ab97f9]

	Renamed PAGParser and related to PAG1Parser

	Change-Id: I9137f76314f8487d1a2757572063d1dd158beb49
	Reviewed-on: https://gerrit.libreoffice.org/14910
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-03-19  Anurag Kanungo  <anuragkanungo@gmail.com>  [c1bd0f9d1526ee1d83636eef8bd5cae876454a23]

	Added XMLDocumentContext for PAGParser and renamed for KEY2Parser

	Change-Id: Ic9ed398fd6936915fbe4aa98cd04dd380d2e4da4
	Reviewed-on: https://gerrit.libreoffice.org/14905
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-03-19  Anurag Kanungo  <anuragkanungo@gmail.com>  [f0562781adcf6d999f5b758ea57b6ef1ee9e3ea2]

	tdf#89948 remove IWORKXMLReader

	Change-Id: I458d80a4401e63e5c156685f632142fe40eef67a

2015-03-19  David Tardon  <dtardon@redhat.com>  [feb8de14807dbee1862fa0e6a330ccfbc3968d4d]

	update

	Change-Id: Ic85aecbce8c24d2f3b43cf95045761412a586dd1

2015-03-19  David Tardon  <dtardon@redhat.com>  [15bed3fa53d34cb3f06f8019e87f572ee2be5631]

	fix debug build

	Change-Id: I3784d8fe45f2848a463c708648cf93a329d923f2

2015-03-19  David Tardon  <dtardon@redhat.com>  [f9093a86579832cab55ad7357d4d3b35bb0e276d]

	drop TODO macros

	Change-Id: I1c78d06857a465da36cbe70313f2865431ee0572

2015-03-19  David Tardon  <dtardon@redhat.com>  [61ff1b06c9c6f861314a731eeafb6f7d13126637]

	Revert "temporarily disable debug msgs."

	This was never supposed to be pushed...

	This reverts commit 6b6262f3b616aa901f05c576ae748cc32d565d41.

2015-03-16  David Tardon  <dtardon@redhat.com>  [f6ed303b2e6cdad4319042b9f91d2218325f8e50]

	drop unused code

	Change-Id: I6cb2e1930d923ca0200a0559035cfef1e951b45a

2015-03-16  David Tardon  <dtardon@redhat.com>  [8fd72d3a5a063b8ed505abe87e894279f980e1b3]

	use IWORKOutputElements to collect output

	Change-Id: Iaaed0de5aaf31c5f4d2423a550fbfd7be2f09ad1

2015-03-15  David Tardon  <dtardon@redhat.com>  [b42f848f77727c678bbb67da9d4b1c3ba98d6f57]

	move drawing of media objects to collector

	Change-Id: I90f378a193d6f53594fe8fa824c09f1694a621f6

2015-03-15  David Tardon  <dtardon@redhat.com>  [a89ace7a9f0887ad298377f0c485c7aac2915a7b]

	allow to pass element list as output object

	This will allow us to move generation of output from IWORKObject impls
	to collector one-by-one.

	Change-Id: Ic0fcb132126fab8a2abdf4cb3836b4fe630fd2d5

2015-03-15  David Tardon  <dtardon@redhat.com>  [70539703f0bc872fd4a5c8f48e64ca1d8aa33b07]

	allow copying of element lists

	Change-Id: Ia5f09ccc30628c9bd756f28a6c2fb60c05904eff

2015-03-15  David Tardon  <dtardon@redhat.com>  [923b6ae5fcb3e7f895559a631406a080cdb03f3d]

	add redirector to output elements list

	Change-Id: I7716afdaf8194748fe5806158393e917526f2234

2015-03-15  David Tardon  <dtardon@redhat.com>  [f29a233849dfb22e308254b2507a3bfe25b44472]

	fix modeline

	Change-Id: Icc5657c9f368d1d22359075fe9f820f068b99b1c

2015-03-15  David Tardon  <dtardon@redhat.com>  [8ba939e33fa93ab67c4143479b4b501d9f0cc06a]

	paint through internal document interface

	Change-Id: I41edddc0febb8e2439043e6778e921bafa7649f9

2015-03-15  David Tardon  <dtardon@redhat.com>  [505c7404097ba4670c2c647676fe67d97070a964]

	rename Page->Slide

	Change-Id: Id24ce97269b9610dc6fb9e7ccc5cae1be4b54170

2015-03-15  David Tardon  <dtardon@redhat.com>  [3b75a2764c6aebf3c0b0abd17312db8b699a70d6]

	impl. presentation interface redirector

	Change-Id: I1e601fe8f987797d04ae9af957ff404d3cf4e441

2015-03-14  David Tardon  <dtardon@redhat.com>  [72424e1403242dcb1591c484b34c0fdd23844db9]

	remove unneeded functions

	Change-Id: Ie0d7aa2c54236e18b3a07b1b5782e98511c4e3f1

2015-03-14  David Tardon  <dtardon@redhat.com>  [4d6c241b738bd4619b23e5c333c6925adff97179]

	simplify code for single-pass parser

	Change-Id: Id47848f4593a64ec200f81ca861785c2aba1f607

2015-03-14  David Tardon  <dtardon@redhat.com>  [ca34893c29e9b90eb8679b8aac3fa05976519787]

	simplify code for single-pass parser

	Change-Id: I5c92a4d98d8abf43c65265d2717b65dd5fd79274

2015-03-14  David Tardon  <dtardon@redhat.com>  [477c2332f650d701f0548379df9bbbd22341ed1c]

	use one-pass parser

	Change-Id: I409fca9f14d3ef8b4fe8a07a40a6da2d2a7f9d6b

2015-03-14  David Tardon  <dtardon@redhat.com>  [d5c634a1bf69410f7991e2dd3847c0081dc7dbeb]

	define functions

	Change-Id: Ic72072cfa6a3784b2cc653f80e558bffae2051c7

2015-03-13  Anurag Kanungo  <anuragkanungo@gmail.com>  [adc78408a3f6d8e21fb616d97a2926ff8bb3467e]

	tdf#89946 Rewrite Pages Parser using context classes

	Change-Id: I7f26480f98325e0c1b08fb03526a070847e300bf

2015-03-09  Anurag Kanungo  <anuragkanungo@gmail.com>  [c9f66219fcb8684d38059ec80a7a3a067f452a9a]

	add Pages detection code

	Change-Id: I3a9782755a0fbd6637498a71c57023fed322349b

2015-03-09  Anurag Kanungo  <anuragkanungo@gmail.com>  [f779969b5be2d7482d1946468f884b8d0d6af1d6]

	Added ProbeNumbersXML detection code

	Updated Version Number
	Added version token

	Change-Id: I0d9d571bdc255f04425d2d486a1360ad0da50ae8

2015-03-09  David Tardon  <dtardon@redhat.com>  [c1fd879770e8dd941578af5dbb437e07ac0b4d04]

	astyle

	Change-Id: Ia113d62f89294db8b3108e4ee57e5664e846fd42

2015-03-09  David Tardon  <dtardon@redhat.com>  [accb5d67396c046e1de4e068a281c430a6ccfb53]

	add astyle target to make

	Change-Id: I0c7aea94d2f72cd013575005c022b3328df77a5b
	Reviewed-on: https://gerrit.libreoffice.org/14804
	Tested-by: David Tardon <dtardon@redhat.com>
	Reviewed-by: David Tardon <dtardon@redhat.com>

2015-03-08  David Tardon  <dtardon@redhat.com>  [690c7d0f1b2acbe2dcc7e7c46decce39573f3553]

	drop unused var

	Change-Id: I797ccd7bf8613c8ab364bd9e09fc3bff5f0359ab

2015-03-08  David Tardon  <dtardon@redhat.com>  [868b824884c5f16f2ec806ff233f210d1ca7f15d]

	move dictionary to parser

	Change-Id: I8f726256efe11874430ab76bead1997a8f7676ee

2015-03-08  David Tardon  <dtardon@redhat.com>  [8d83138190ce1c23245d2180762b5b8edff565a0]

	fix format detection in debug build

	Change-Id: I3338e441ff79a87d0964cf676b015075af655ead

2015-03-08  David Tardon  <dtardon@redhat.com>  [a84c183e62c36314dee3710cbf4213a27746a438]

	fix debug build

	Change-Id: Ic690e08a4baf85b3a495330486ccb19ba8a8d44c

2015-03-01  David Tardon  <dtardon@redhat.com>  [eaede5b1d9c99259d8731157a25686b2cfa1add0]

	KEYDefaults is gone

	Change-Id: I97553911b54d760b16f96e689ea61f847a44b39b

2015-03-01  David Tardon  <dtardon@redhat.com>  [cac834da2080c23dc9f89973cc47fcae14834854]

	prepare for handling format-specific parser state

	Change-Id: I5a4344998d3181fcbe9b3107e68d7c460f328dda

2015-03-01  David Tardon  <dtardon@redhat.com>  [4a84b8d4f5a5263087f75899d4ef70eb9d1d615c]

	ensure all headers are self-contained

	Change-Id: I09481d9481135ad790580964e59a2fcc66366f0f

2015-03-01  David Tardon  <dtardon@redhat.com>  [455586a9a098c6f494b608d711dada95aa026f52]

	add m_ prefix for members

	Change-Id: If7f659e3f2dea9bee833224602b150198318ae5a

2015-03-01  David Tardon  <dtardon@redhat.com>  [22a80b326b5f85794b56f13cbd28cdbda0006f82]

	define a base parser class for all doc types

	Change-Id: Ic6ef9398ea3ac03e479a5763cf1f83cfe000b247

2015-03-01  David Tardon  <dtardon@redhat.com>  [6dfe19af39bd76c3e7087ead8c2e75b6de391c7b]

	drop the whole "defaults" concept

	Change-Id: I54346801b2a2d60bb7c8566dcef7252de403e2c5

2015-03-01  David Tardon  <dtardon@redhat.com>  [fe10260064d799908ddaf8b5bc349ed63c41faab]

	split dictionary into common and app-specific parts

	Change-Id: Ied026b89af01fbdf926064dd5ae98333667e0148

2015-03-01  David Tardon  <dtardon@redhat.com>  [ff0d3081075f397e3bd7ee46002e1000e8054150]

	astyle

	Change-Id: I32a10d38025113e32510ef9df958da822f564358

2015-02-28  David Tardon  <dtardon@redhat.com>  [115ca959e01db2de9465290173665ce11c5c39d7]

	drop unused macros

	Change-Id: Ie5f8ddec69b54eeaa66d1b9914cf5d9b33997c94

2015-02-28  David Tardon  <dtardon@redhat.com>  [7b97e6266e9dee4e524b259f42aa926b47714de6]

	move remaining functions to more suitable headers

	Change-Id: I086944b64da677ed1aa1541240013c51ed141f1e

2015-02-28  David Tardon  <dtardon@redhat.com>  [08d9c71c413697d4db08424d227ca3a40149cbc9]

	drop unused functions

	Change-Id: I94199c8980ad047cc9de6a02928d6c7d44deb443

2015-02-28  David Tardon  <dtardon@redhat.com>  [fb8cf62bf0216880639dff5eed228bb849a2aebe]

	rename to avoid a concept clash

	'Context' classes are used in the XML parser.

	Change-Id: I346515952d58eb675c46eb08f28617652c53418b

2015-02-28  David Tardon  <dtardon@redhat.com>  [8866ce4c8d5b444464af8dd8c7657e6b77392b98]

	these headers do not belong to tests

	Change-Id: Ia3cb24caab3ae2724e13a3e0b690bb3f2cb2eb2e

2015-02-28  David Tardon  <dtardon@redhat.com>  [57183211846817d7bccc167e0db7b9ea82546c33]

	do not define header files for test fixtures

	Change-Id: I8e00649116b5e10f294ec9c11e6c4a4476fc1575

2015-02-28  David Tardon  <dtardon@redhat.com>  [6c0d24dace5495d80b9f005ccdaad308c7275f28]

	move more common types to IWORK namespace

	Change-Id: I8c3d26316dc42052b971c0525f28493df6ed1a0c

2015-02-28  David Tardon  <dtardon@redhat.com>  [e179f5f0594983a3d8907f6baef80cab8bf21686]

	move shapes to IWORK namespace

	Change-Id: I49580ec65c189333062b851560b13546b8c9af58

2015-02-28  David Tardon  <dtardon@redhat.com>  [c7f4429e812041fee853dc9521c8f99d403e5205]

	update include guard

	Change-Id: I2cee02e9d30f55b1f0b643ee9d49aa10fa6bd73c

2015-02-28  David Tardon  <dtardon@redhat.com>  [fb40eaf12d74008a6f4f06dda86d9ed24b061e37]

	move table to IWORK namespace

	Change-Id: Ic617822402594e8b502451d7e911d9fd9fad5315

2015-02-28  David Tardon  <dtardon@redhat.com>  [a5363dc3f76d9f5a76d39a73c9af9acab15a8882]

	move text to IWORK namespace

	Change-Id: Ie0bbcc2d3246cd596dc6107781e352a90cb0c71f

2015-02-28  David Tardon  <dtardon@redhat.com>  [8556aad1f9de67ed0c7a86d95efba7c8e7a68c4e]

	simplify handling of placeholder style

	Change-Id: I4891266c5a4fe2ce87f5462809f3e6b168653082

2015-02-28  David Tardon  <dtardon@redhat.com>  [fe40879d86850a49d408e2de7c236e50a039a5d8]

	move common style types to IWORK namespace


2015-02-28  David Tardon  <dtardon@redhat.com>  [24c4d651d20b3ff849b31f0d82f70ed74cf8e521]

	de-virtualize styles


2015-02-28  David Tardon  <dtardon@redhat.com>  [4ae2cad9f60dc611d9711ea4a4a5d65c09c76eb5]

	move object to IWORK namespace


2015-02-28  David Tardon  <dtardon@redhat.com>  [6c58ccd541f93d761a4f23e33d8185da0e1179c9]

	move style context to IWORK namespace


2015-02-28  David Tardon  <dtardon@redhat.com>  [7674ce9b336ec9af6826806bc7810800831f40c5]

	move styles to IWORK namespace


2015-02-28  David Tardon  <dtardon@redhat.com>  [41bc36671fe24a95d73d33921abaf90ed7fe636d]

	drop KEYOutput


2015-02-28  David Tardon  <dtardon@redhat.com>  [0f0488d3d5d98a38641a9dfcdb36915d64eb0537]

	move style context to collector


2015-02-24  David Tardon  <dtardon@redhat.com>  [19bd169fc246e347ac0c78b781bf278c89522838]

	fix position of media objects

	Change-Id: I1054c3d44a33126d3072d27ca4633b62c3f77a11

2015-02-24  David Tardon  <dtardon@redhat.com>  [1b350019660fe5bfba4f058e833a454d7b95bca0]

	start new level for all objects with a geometry

	Change-Id: Ic5cb6f62b59e4732e39ff507a97d2ee1e0419984

2015-02-24  David Tardon  <dtardon@redhat.com>  [22cc49d810a7e90ff9f34905898bc8a8aa7fa2e2]

	handle current transformation in collector

	Change-Id: I6c7a36d19fc146d6540f2ff4feedbd944974aa20

2015-02-24  David Tardon  <dtardon@redhat.com>  [bdf3e697cf730f376c9a9b6ea5886dbbbe600f26]

	cell content is not a text object

	Change-Id: I6d3d3c9542a1dacbf44dff682a75be871f128b4a

2015-02-22  David Tardon  <dtardon@redhat.com>  [598d1de4a9852042ba80d7656ca6d6f666515c1f]

	add skel. doc. interface impls.

	Change-Id: Ib988e6fe214e75977e63a3f1b3f393d06788b1ef

2015-02-22  David Tardon  <dtardon@redhat.com>  [c741e1aadd85aa9c469818577c1112964953c7f2]

	add initial output elements class

	Change-Id: Ic52f41a86d2f6f24958bf28041cacdbe54b4ad8a

2015-02-22  David Tardon  <dtardon@redhat.com>  [6ac7fdebb4bd1bd5081a4f61d409ebfee32c6aff]

	fix project name

	Change-Id: I981dc6e41074ad9b6e61b85b88dd0f219e6a6142

2015-02-22  David Tardon  <dtardon@redhat.com>  [52e1cbd72aff6e5fd905b3ba993d04d2f9a5cf86]

	astyle

	Change-Id: I878fc606bd8d7fc233db709837fde4b5358e9d2e

2015-02-22  David Tardon  <dtardon@redhat.com>  [80eee25f00dd1bdb969045def9c4be8b37acb2be]

	define a common document interface

	Change-Id: I82db985e068f5f107fceb4b99f64d49809a126da

2015-02-21  David Tardon  <dtardon@redhat.com>  [41ab6eac5ec08b508680017b628ee6e4e27e7f91]

	refactor XML parser

	Change-Id: I7fc9308b09e62afbfc872b3da5ae1593b1f42b07

2015-02-14  David Tardon  <dtardon@redhat.com>  [b2616037dc1f1015216eb4b6d45eba0ec5c32288]

	pass id by const ref

	Change-Id: Ic4d91900a5cb76210a96c319e1737999f9d1052c

2015-02-07  David Tardon  <dtardon@redhat.com>  [f5239b6195d3797ea66934c0773efd2fc7a54805]

	avoid separate handling of namespace in tokens

	Change-Id: I9aee83f30457e64d020facf431ca3920eb4e9d66

2015-02-07  David Tardon  <dtardon@redhat.com>  [a726d0bfbec040992026486a77aa4451b5d4e253]

	avoid separate getNamespaceId calls

	This avoids some explicit skipElement calls. It is also a preparation
	for later large-scale refactoring of the parser.

	Change-Id: I412d60506776085440d5689c133467d2a8fa6473

2015-02-07  David Tardon  <dtardon@redhat.com>  [7bb7cb9f3b8e2fd739a7959b11a3742bb956e7b0]

	fix parsing of key:size

	Change-Id: Iec5f5eabc2544f87e85ad4e672f3f68747f8c5f2

2015-02-02  David Tardon  <dtardon@redhat.com>  [c9af2a2b5d4f22e78ea73a9fa25603c5ea6464f4]

	fix parsing of sticky notes

	Change-Id: I8a8bc42395a6876266066bd0085001c15e87032c

2015-02-02  David Tardon  <dtardon@redhat.com>  [90310cc94c93a524877d2b5f9b5eb1903f7e9174]

	placeholder refs are in sf namespace

	Change-Id: Ib9c88d8fdf1b0be0a27d17bf33dd8c302fd35104

2015-02-02  David Tardon  <dtardon@redhat.com>  [e287f139fc65dba48d33bfb4bfa28b2ffb1ddccd]

	remove bashism

	Change-Id: I5bb0ee7ff257040856d1148f897cffddbeef6c45

2015-02-01  David Tardon  <dtardon@redhat.com>  [bc8c5fe9f894563dfb0d6cacf97a8bf9c9d72566]

	sf:sticky-note apparently exists too

	Change-Id: Iee7ace43f2f4d07af321306492931b375e04d120

2015-02-01  David Tardon  <dtardon@redhat.com>  [dfd7dd2483c83bfec25ae6afb17b07edab039d92]

	add test for chained tokenizer

	Change-Id: I9120c3ad463e75a4d346831a32f80fa8cb12e4a7

2015-02-01  David Tardon  <dtardon@redhat.com>  [16156910244f5aa411560edc27a73ba4f05bb480]

	fix token names

	Change-Id: Ia4c2cff2e6770a24c7b23f73841d341f71c28caa

2015-02-01  David Tardon  <dtardon@redhat.com>  [7b9e85d2c836d20568819adceebb8ea51ce30036]

	separate common tokens

	This is a preparation for splitting the parser to common and
	application-specific parts.

	Change-Id: I67aae89928cc805d93422164a45e361a3795a63a

2015-01-25  David Tardon  <dtardon@redhat.com>  [5bdd73cc6d28759ceccd9fb526d2bfb87c23f9fe]

	fix namespace for span content

	Change-Id: Id4f179f4a9ed5c299eabe69f01a4295fad937500

2015-01-25  David Tardon  <dtardon@redhat.com>  [c0d479d3772185f42f91b3cce886498d2b5daec9]

	fix namespace for placeholder refs

	Change-Id: I35a0aa002b8c7b67b7f3f33e7b06f6df1bfcf56b

2015-01-24  David Tardon  <dtardon@redhat.com>  [69da6118211748c78b55825a9b8375f03f6fe543]

	drop unused tokens

	Change-Id: Idf6c1ca59a14148d9f9f3e1af8510bade3e116b1

2015-01-24  David Tardon  <dtardon@redhat.com>  [55a2037775339b6faa946b46845ef209fc60431a]

	drop unused tokens

	Change-Id: I6dc39e214bad32d9ebf6f8cecb997e7bdee254e6

2015-01-22  David Tardon  <dtardon@redhat.com>  [ffc076bf388ae74717386c83d536bd6e98b7fdef]

	drop unneeded libwpg reference

	Change-Id: I350da4cb7cc191e7f9e1e4a1097caab1a3c966a2

2015-01-22  David Tardon  <dtardon@redhat.com>  [aca912f6ad877f25fa6c297fc90709329e13b2aa]

	start refactoring common code for all types

	Change-Id: I73a596dd4c798de3c60ffbb7aff2494bc44f8ac4

2014-11-24  David Tardon  <dtardon@redhat.com>  [3207ef81a613eb4ad5e18b9102571aad7524dc36]

	add compile to .gitignore

	Change-Id: I0df710c50a107166d85b0f7f4705f730638bf141

2014-11-24  David Tardon  <dtardon@redhat.com>  [f384381ef1ddf7c8fdfd28dcf6b4e23e34abfae0]

	only export public symbols

	Change-Id: I16331b4f7b9fd997e8fd81fcc4c8f3ea99b7a613

2014-07-29  David Tardon  <dtardon@redhat.com>  [cae245b77e1d2957be4ac23ff0be84a199e748a3]

	check arguments

	Change-Id: If4d62f6fc6dc7fa20ab4292d64414ad111bc53ef

2014-07-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [26e7262646fa221c0aebfd47881ec34f063980e6]

	Ditch boost/math/constants/constants.hpp altogether

	Change-Id: I952cbda48786cdcb49120ee714f49c0652895fe5

2014-06-29  David Tardon  <dtardon@redhat.com>  [0ceb5a3d6c67ad99d7030d4def024ee9b3284dd7]

	fix order of emitting metadata


2014-06-02  David Tardon  <dtardon@redhat.com>  [a764e853a99fa364cf36a0125d077283045d777b]

	prepare for a release

	Change-Id: Ide72bff968db530ca31b1e03c998497c5ea2307e

2014-06-01  David Tardon  <dtardon@redhat.com>  [ef5a76515fe96b8164b9053c48badf0f3c714160]

	coverity#1165312 unreachable code

	Change-Id: Icd98618b5214e69fbeb83a7d26087d880ca7378e

2014-05-29  David Tardon  <dtardon@redhat.com>  [16b7bf009a06ac48c69f94b778a09151aa20fa53]

	fix v.3 version string

	Change-Id: I689fd53bedeccb8d1cda5275832f36333fe1d108

2014-05-23  David Tardon  <dtardon@redhat.com>  [9871cfc52321fdced66b79ee2979aee15cfaaa1f]

	prepare for a release

	Change-Id: I9594ef93758f80255635aad73f0ccb6e9be74e84

2014-04-16  David Tardon  <dtardon@redhat.com>  [3c9bad53765640659dd73646a81e8ae30ac27591]

	streams are used in API

	Change-Id: Iaa532a60f48b31d16dc5c7d410a340be204a5611

2014-04-16  David Tardon  <dtardon@redhat.com>  [95059378e20de7e46cdc6c516b1f1bc27710fb85]

	add more deps to .pc file

	Change-Id: Ief0fabd3957cd5d94e6a48169f8de93600247abf

2014-04-15  David Tardon  <dtardon@redhat.com>  [0a7f58b0d6a6b268f1633f65279a611ca0a714ef]

	fdo#72030 scale images correctly

	Change-Id: I277d0e8b58588a6b1281d7a8fd5e26486806e872

2014-04-15  David Tardon  <dtardon@redhat.com>  [aa4614be86be70757c98af8bf6d33aa10ff61902]

	skip color profile data when parsing color

	This fixes data loss, as the XML parser is left in inconsistent state
	otherwise.

	Change-Id: Idf58afaade36ec4ef7b9037a2a7c7d94eaad5ad2

2014-01-21  David Tardon  <dtardon@redhat.com>  [0df53bc2a8fee831f415e78e8f16a20466d89027]

	3 letters are enough


2014-01-21  David Tardon  <dtardon@redhat.com>  [53669f0facbd6ce97f607252b5c0b9bc212e941a]

	one import class to rule them all


2013-12-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f491055d0b4f18d10925432f313b68fac5a627be]

	Implement the RVNGInputStream::existsSubStream

	Change-Id: I378ecf037eca954ed16ac5f0b765cfea0ab5702d

2013-12-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [52de2ad8d5cd745ffc3f48cf4f10479f39d0e5b4]

	control reaches end of non-void function

	Change-Id: I437125c14cd7c08705db42fb76fc94f4930517c4

2013-12-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [49323967e6dcd494e858ab9c6b38b6029eae6ab2]

	Export only needed stuff on Windows

	Change-Id: I622147bf50994c6abdd03512845885bade4af861

2013-12-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fecc5c5630970d3e9d643a3adab82334b9987c60]

	Fix Windows (mingw) build

	Change-Id: Ifcd9cba682d68b64fecd6784ab631133c7d33c56

2013-12-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c7a03ecaf70add079c01f4fc1508abfc8699ba75]

	This file does not exist anymore

	Change-Id: Icd81122920d1da2df4ef543ca0298d15b8b2fc9e

2013-12-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cf9fbd058ac0745844782499979350882fceba23]

	Adapt to recent librevenge

	Change-Id: I558758dfa785cf00e6a9308e12aff0a4dd830251

2013-12-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4798f50c01864f02b67629ee717bb379ade3eafd]

	Some versions of boost don't manage to take an address of template

	Change-Id: Ida12034d189d2c789d7ecb71a58b7e1e94249139

2013-12-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [22b916ccbbd9446d484106435b04d774337b2f05]

	Re-astyle

	Change-Id: Ida52fedeadd18aea5e04fc52ea08734d7a9fc507

2013-12-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [374d38732d11b678ed0ababe5a31f6acb89f2eef]

	Allow equal identing of functions


2013-12-10  David Tardon  <dtardon@redhat.com>  [5baaf5d9d58a81986a9da8d642f4090f45a7d5ee]

	adapt to librevenge changes

	Change-Id: I956e724bf2f6311c74f221404bf13b984a0d7c76

2013-12-09  David Tardon  <dtardon@redhat.com>  [ae23dfcbe6df5dd48554c4dd88404e282fa96b58]

	CID#1135330 check return values

	Change-Id: I21e9621160e72f45d0b1ab39e58216cdd8a743bb

2013-12-09  David Tardon  <dtardon@redhat.com>  [55968d72d1571ac34fae2a2842f5577b1300d51b]

	CID#1130378 rearrange a bit

	Change-Id: I2e8470ca67b8ee43f843bdd1cdc1ce949e9df05a

2013-12-09  David Tardon  <dtardon@redhat.com>  [8053d231c79919ae9911685f0f2e69bd7ac18e72]

	make sure this is never called with 0 length

	Change-Id: Ic7726c1fbfd58ae2e0a78c203e426deedc2c461b

2013-12-08  David Tardon  <dtardon@redhat.com>  [592c754107a8c9d021c1a4429d5a507c919a85c1]

	add skeleton Apple Numbers parser

	Change-Id: I02e43a0d84d84a313ffff06e05b712b628c02db6

2013-12-08  David Tardon  <dtardon@redhat.com>  [09f7dc9cc57384766f97df57564fe467e84cae58]

	build pages2html too

	Change-Id: I7e7de42d127fe2e3fc2bacd3830f08732b4dd9fa

2013-12-08  David Tardon  <dtardon@redhat.com>  [41bd4be5639e5e3f6eb30845726878d6cbb083b8]

	librevenge-stream is only needed for headers

	Change-Id: I1f65cd4cee5040a612f0c6cd38db406fc1035768

2013-12-08  David Tardon  <dtardon@redhat.com>  [239368b5f87bfc0b9b2fec3965607fe5717369d0]

	merge Apple Pages parser

	Change-Id: I279267777ca145fcb19dfbcc185931f3a9809ae7

2013-12-07  David Tardon  <dtardon@redhat.com>  [a9ba44fbaa5e973ae519f0e5c0381503fdd10807]

	add key2raw --callgraph

	Change-Id: I31da1d05a70ea550ce94c9ae522899d4c1f3d8fb

2013-12-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ba0ed3f184db6913e9f9950542306df8d3e4b225]

	Comma at the end of emum list

	Change-Id: I1370488e5bf682e23a923f37c09e76081aee7493

2013-12-06  David Tardon  <dtardon@redhat.com>  [eee30849f67ed23057cf8dbf259f34580502b24d]

	do not pretend success when parsing failed

	Change-Id: I6e389cf8a198dde2ffcec62a439d767cd77ff89f

2013-12-06  David Tardon  <dtardon@redhat.com>  [28f9d55a5d1f30a981775e61c7046206e5bec60e]

	switch to librevenge

	Change-Id: I51f47b9177565de01a0e8eefa20925166e147757

2013-12-06  David Tardon  <dtardon@redhat.com>  [4302e5efd0ade9ea39f3363cf6242d5c9e1b9679]

	prepare for a release

	Change-Id: I13e0e1fe1eaf0cf00bb9fd768cf36b67c53dfd2a

2013-12-06  David Tardon  <dtardon@redhat.com>  [528dc17941e544244e75a1e727644aea8f3f5d21]

	connectors do not have any text

	Change-Id: I9350126163a97b2b7f679b205f2730bcf3ff87dd

2013-12-06  David Tardon  <dtardon@redhat.com>  [d6ae75d9d95f56b6bbc677f7cf592901e2c1436f]

	approximate callouts

	Change-Id: I9d823a749350a62a0fe972034b82210399a15c7f

2013-12-06  David Tardon  <dtardon@redhat.com>  [ccdd11201440ccc3615996f0607a1271ac134abf]

	draw rounded rect. as a simple rect.

	This is not to lose data. Should be fixed later.

	Change-Id: Ic763db278f55fbc14a1c358430375ca9ba67ed09

2013-12-06  David Tardon  <dtardon@redhat.com>  [71b87a3cd46a8de0d18621a342b91321a0cda7ca]

	parse paragraph attributes

	Change-Id: Iefa77e4ebe12968de75b49cf76d1c2aa66ced260

2013-12-06  David Tardon  <dtardon@redhat.com>  [7aeb9058e2608a25058b5ab554f499a0090881b0]

	add to TODO list

	Change-Id: I59d5aca17d79ad9d417092a96ecf6b61a8505535

2013-12-06  David Tardon  <dtardon@redhat.com>  [1c7d11b5e609a85a2e596ecaffd2daf9337e4f5d]

	all outgoing dims must be in inches

	Change-Id: I81864ff8d774dcda134e473d2bd72d0d9434e7b6

2013-12-06  David Tardon  <dtardon@redhat.com>  [1853bbaaded5d0ae6314053c9c3443c456643f90]

	fix namespace prefix

	Change-Id: Idbe0f5fd39bf07990502715c56d21ccb08e778d8

2013-12-06  David Tardon  <dtardon@redhat.com>  [723d3edad97980d2950aa938b814add5a34e0e8f]

	do not crash if there is no style for a level

	Change-Id: Iff1aabbb137153521464003376e67d9e20a077c4

2013-12-05  David Tardon  <dtardon@redhat.com>  [480218b88a402ff4ef2833bdf8eaebf310106ef0]

	parse character properties

	Change-Id: I71d13b559e44e6d679a8837a802e5d9374e2ba00

2013-12-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [34cabb0bb23707ce4a94d79d25f7a2dc8439baae]

	Disable werror by default for now

	Let us enable it when the gcc bug does not haunt us
	in boost::optional anymore

	Change-Id: I4de702bad1a89bdd42a86faf5bbd8ac87d17ac25

2013-12-03  David Tardon  <dtardon@redhat.com>  [a3e3a1e218e17b0c67137ce86e15d8bdbca25cea]

	bump version

	Change-Id: I7ad031aca061b851d420425148e2c2a913096fba

2013-12-03  David Tardon  <dtardon@redhat.com>  [f394e1da5e317ea5ee2c27e43d30df1b414be5fa]

	add a note about Keynote 6 to README

	Change-Id: Ifd11bc6e90ee0c299826e17b0ef872d5d8631dd0

2013-12-03  David Tardon  <dtardon@redhat.com>  [923e9d4192d6aa350c9e7344dfc94eb3d88b4662]

	update NEWS

	Change-Id: I97640e3d266baecdac700230de1a7209282d0078

2013-12-03  David Tardon  <dtardon@redhat.com>  [0543363bd6a43c6bdd116e412e8a272fa597be0a]

	update FEATURES

	Change-Id: I9342b518a63fc61343f2406a536acaf5684e1ed4

2013-12-03  David Tardon  <dtardon@redhat.com>  [cd2af4a4eb7a0d3bf1f14413eecad9167a9ae4d5]

	add support for comments (sticky notes)

	Change-Id: I326fa87ea6e552cd96f9911b7bf1ec6f23817792

2013-12-03  David Tardon  <dtardon@redhat.com>  [c15c823d44e16e5d3d187acbcf66f47240d3636b]

	add support for presentation notes

	Change-Id: I5981972aa766dcabf4f4ac5ff31fb04443f1ba16

2013-12-02  David Tardon  <dtardon@redhat.com>  [9ccf379e2b0464a44269ddf6b5fac71cd4b81ed9]

	specify cell alignment

	Change-Id: I1cd22f6fbdebd6df3e1c54cfd7e00a04ee271e6d

2013-12-02  David Tardon  <dtardon@redhat.com>  [ebf298af14b51657df004c08a237afc9237f70cc]

	place table with correct size and position

	Change-Id: I8a09b0a1dfc97f3f8ab1b9368cd94b69f1829d27

2013-12-01  David Tardon  <dtardon@redhat.com>  [d8f16d68f2c571a1d68e13edbb57924b858ac5ff]

	this is _graphic_ style; don't use for text

	Change-Id: I38370e920f3bd82e164428cdd29adfa9344eb3a8

2013-12-01  David Tardon  <dtardon@redhat.com>  [761dbf979741db51d45f6101b1ac18bdd529784a]

	parse tables

	Change-Id: I57d58493058a560e9505f8368c2c8124d7f9c85b

2013-11-28  David Tardon  <dtardon@redhat.com>  [17342eaf4e60f6dd7e4ae909c30b3c12de859b65]

	add options file for astyle

	Change-Id: Ifa12207d6d3bde25af615b293ca1f18c839a3a2f

2013-11-26  David Tardon  <dtardon@redhat.com>  [88bdbc481348b66329b3f747ef5a40b2d2c5c56a]

	change astyle opts. to avoid problems with newest astyle


2013-11-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d5472926097efe7e7b4cdefff076d5d984b439db]

	And these ones are not there either


2013-11-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a8dcfc38cbaa88263c4f87d63365c63425b7d61a]

	somehow this constant is not there in older boost


2013-11-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [357df9c28ec31d980fe19313d962cb48750fa924]

	Trying to fix builds with older boost

	Change-Id: Ic270319ef9b7bcee33e6c443072308a3c63bc3af

2013-11-06  Miklos Vajna  <vmiklos@collabora.co.uk>  [cce52b0fd27e9bec0aa8fec07fe05429cf0fd149]

	configure: fail on missing gperf

	Previously GPERF was set to 'libetonyek/missing --run gperf', which
	doesn't make too much sense. Better to fail during configure instead of
	during make if gperf is missing.

	Change-Id: I144820f6202d27e5e4d6a45247a0c48b9611a041
	Reviewed-on: https://gerrit.libreoffice.org/6596
	Reviewed-by: David Tardon <dtardon@redhat.com>
	Tested-by: David Tardon <dtardon@redhat.com>

2013-11-04  David Tardon  <dtardon@redhat.com>  [5814950bbc7b9c0f189ee2fd0369e92c1636987f]

	prepare for a release


2013-11-01  David Tardon  <dtardon@redhat.com>  [5adfcbd9584564e3babbde6718dc10d88c87da60]

	fix build with clang


2013-11-01  David Tardon  <dtardon@redhat.com>  [28a3b93cc8b0050582c54722df5ac372530ff0a4]

	impl. XML format detection


2013-11-01  David Tardon  <dtardon@redhat.com>  [779bf4e19595ba5bd8f4163ca489bf55193fd616]

	coverity: uncaught exception


2013-11-01  David Tardon  <dtardon@redhat.com>  [03d04df97e9ca9637ecefbe31b02b5355ee5006c]

	coverity: fix memory leak


2013-10-31  David Tardon  <dtardon@redhat.com>  [dae7fe77e4172cbcf5d041d8e2e001b0c180fc34]

	rethrow caught exception


2013-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bf1ef59d354a49c842f1864b532f74fc90f71251]

	If test fails, change test!

	Change-Id: Ib31f65b7ef8c6a79bdc198be0bfab922ff1edebf

2013-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [21d81a6ba15984af32a81f6575b5627972524caa]

	Minor fixup in configure output

	Change-Id: If6abd45e3ef425fc63d3580a6e3fdf24fe2c7325
	Reviewed-on: https://gerrit.libreoffice.org/6501
	Reviewed-by: Fridrich Strba <fridrich@documentfoundation.org>
	Tested-by: Fridrich Strba <fridrich@documentfoundation.org>

2013-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4a85ea714d9dfc8295732a023fa4dd58ca7569a3]

	Executable bit!!!

	Change-Id: I8d715bd62c3c62b3c96448ad10dc43357a569d91

2013-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2bfafe50d7373f66219e3abde04c07d57afaccad]

	simplify use of git-review for libetonyek

	Change-Id: Ie8910cdec6ea0867d09b5de731c32577fb83907d

2013-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6fcc05adad479d9fd367e3336c1f6c8581d537aa]

	add automatic git hook setting in autogen.sh


2013-10-30  David Tardon  <dtardon@redhat.com>  [487a852b57073477ebae13bfd84bddbb50cf2505]

	clean up forgotten refs to libwpg


2013-10-30  David Tardon  <dtardon@redhat.com>  [ede79b36e822fdfd2baf570a38d58ab97017c499]

	distribute FEATURES


2013-10-30  David Tardon  <dtardon@redhat.com>  [abde3dc1e9c56f7bf68c91279d80a350beb58784]

	fix windows build


2013-10-30  David Tardon  <dtardon@redhat.com>  [034fb069ea71db0affefb86cf7842613d9354260]

	update NEWS


2013-10-30  David Tardon  <dtardon@redhat.com>  [5138b6e351e6c5151047de577b088f620a3d5413]

	unzip stream


2013-10-24  David Tardon  <dtardon@redhat.com>  [92038e56d36aef95f411489ccc05acbfac0035d6]

	fix typo


2013-10-24  David Tardon  <dtardon@redhat.com>  [1492b7566123384ac3b7471a95794df3fda26b1c]

	emit image dimensions too


2013-10-24  David Tardon  <dtardon@redhat.com>  [bc11421f340c1e606519ba7a7bf6eaef67e1d309]

	detect mimetype if hfs-type is not specified


2013-10-24  David Tardon  <dtardon@redhat.com>  [77c14558805d7a17a3ae238f30af80e4ba02a2ca]

	emit mimetype for binary objects


2013-10-24  David Tardon  <dtardon@redhat.com>  [c7e85f21c02dba575995030bc6d9576698836255]

	WaE: ... should be initialized in the member init. list


2013-10-24  David Tardon  <dtardon@redhat.com>  [97b2402ab359cf2686bff85b2ae9f356441944cf]

	Revert "what would this class need virt. dtor for?"

	mingw gcc apparently wants it...

	This reverts commit e13d0953204979d7a80549ae83c237dd173b428c.

	Conflicts:
		src/lib/KN2ParserUtils.cpp

2013-10-24  David Tardon  <dtardon@redhat.com>  [0ab85d610388f292b9d6d8dbd966512bd9f0e052]

	WaE: format string is not a string literal


2013-10-24  David Tardon  <dtardon@redhat.com>  [2a8b48805e82fabd32d3558343236207ee34496f]

	WaE: unused function


2013-10-23  David Tardon  <dtardon@redhat.com>  [78493d6c7086a8e0bcee87baa86211db6328d171]

	fix drawing of arrow


2013-10-23  David Tardon  <dtardon@redhat.com>  [3fea574352e4f3191ec54c6850905f8033ee9dea]

	fix drawing of double-ended arrow


2013-10-23  David Tardon  <dtardon@redhat.com>  [41fa5e671720d193e0fc65659baa874a27fc0d10]

	simplify handling of closed path


2013-10-23  David Tardon  <dtardon@redhat.com>  [f43ec8733c773b98272eaad5d5a4d48046ae3f0a]

	fix drawing of star


2013-10-23  David Tardon  <dtardon@redhat.com>  [cafe6dd1ae64c4f85a22cfd31fc14a2792c393e3]

	fix drawing of double-ended arrow


2013-10-23  David Tardon  <dtardon@redhat.com>  [091e46dae521704ea9d618a9c43a894253126b02]

	fix indentation


2013-10-23  David Tardon  <dtardon@redhat.com>  [ed413599fd87d3ce97689674da810ac2ab7e4fa8]

	fix drawing of arrow


2013-10-23  David Tardon  <dtardon@redhat.com>  [bf5db221e9b856d03e73ccdfa5807baf5e36c285]

	fix position of text in shape

	The position is already determined by the current transformation; we
	only need width and height.

2013-10-23  David Tardon  <dtardon@redhat.com>  [6b6262f3b616aa901f05c576ae748cc32d565d41]

	temporarily disable debug msgs.

	They interfere with output to stdout.

2013-10-23  David Tardon  <dtardon@redhat.com>  [f2fa9729b4e3e8d0614bc5000c1a40825aadc49a]

	boost::system is not needed anymore


2013-10-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c56775d4d6a55fb41c98aa504078c185ba0b8d19]

	Use POSIX syntax for Windows too


2013-10-23  David Tardon  <dtardon@redhat.com>  [86c3703af581fcd2e73d832442aa1a567760b86d]

	reformat a bit


2013-10-22  David Tardon  <dtardon@redhat.com>  [e3b5e0605a19c3641dfccaca55c949b9711d946e]

	rename project because of name clash

	Courtesy to The Sensational Reverse Brothers.

2013-10-22  David Tardon  <dtardon@redhat.com>  [014f158ab04c9f495f83a722229e161ef35d3e9f]

	add missing header

	thx to Fridrich

2013-10-21  David Tardon  <dtardon@redhat.com>  [32bd460e140b8bf84419290f09c8cbdb58a60a37]

	replace use of libwpg by a pres. specific interface


2013-10-21  David Tardon  <dtardon@redhat.com>  [d121f790d07484622649f32c5253550b5f35e13c]

	place text to position


2013-10-21  David Tardon  <dtardon@redhat.com>  [f62b76154698cd864fe9d70219fa9b81e05951c6]

	resolve text placeholder geometry during parsing


2013-10-21  David Tardon  <dtardon@redhat.com>  [e08a2ca2fa5f98303485d435855129e53e3accc8]

	beware of the used length unit


2013-10-20  David Tardon  <dtardon@redhat.com>  [a33a6cc1f6619bec091b1bb9402b30cdca61aeee]

	add a tool for extracting text from presentation


2013-10-19  David Tardon  <dtardon@redhat.com>  [78202b5d4a032a1273a93f5aae5fddab945e6dda]

	read size correctly


2013-10-19  David Tardon  <dtardon@redhat.com>  [f17361616a3d5c0bd9393eb5c7c6ccdbbf5bb506]

	convert lengths to inches explicitly

	While libwpd allows to insert numeric properties with different length
	units, generators usually fail horribly in that case. IOW, they simply
	use getDouble(), expecting that the value is in inches.

2013-10-19  David Tardon  <dtardon@redhat.com>  [dfe23ee9a3872d995d455808d66762989056a4a1]

	emit layer ID


2013-10-18  David Tardon  <dtardon@redhat.com>  [6149b00c6d75d7a52a1dd18cecfad48cfd9e344c]

	bah, drop these gcc workarounds again

	I will just run distcheck with manually disabled werror.

2013-10-18  David Tardon  <dtardon@redhat.com>  [3cd214cc7878789562ff4ccd2317499bb57f2cbf]

	fix distcheck


2013-10-18  David Tardon  <dtardon@redhat.com>  [8daa9ba75d57219e08ee5511de9bb9384dc97c7e]

	briefly describe what is implemented


2013-10-18  David Tardon  <dtardon@redhat.com>  [3ada59131b09007661df20222c8a85ca13c3757c]

	add HACKING


2013-10-18  David Tardon  <dtardon@redhat.com>  [6b107e8a20ccd5e69b0c53091d8afa6b6c5310f8]

	improve README


2013-10-18  David Tardon  <dtardon@redhat.com>  [3a7e62c7b51d7652b5fb013e76ea41957064cdbf]

	parse shape text


2013-10-18  David Tardon  <dtardon@redhat.com>  [5c199e4554f20ada57fb761ad321659fcadab559]

	do not emit duplicate start/endTextObject


2013-10-18  David Tardon  <dtardon@redhat.com>  [61a0dc0716b4aad0b69be96d5881ffaea534dbe2]

	only parse what is needed


2013-10-18  David Tardon  <dtardon@redhat.com>  [acab7cf7210c28217996643d2930ac72cd5b3c4a]

	no warning here


2013-10-18  David Tardon  <dtardon@redhat.com>  [879390e0b53ae7a7a428e560e748f12e9d61566d]

	only parse what is needed


2013-10-18  David Tardon  <dtardon@redhat.com>  [1e89adf5402ac68f305192667ca5f8cf7c097703]

	really save presentation size


2013-10-18  David Tardon  <dtardon@redhat.com>  [68a4e4eaba0c307739bb9a5c036cd52d77ef5ed2]

	use presentation size


2013-10-18  David Tardon  <dtardon@redhat.com>  [9a4cf0c245f720e9bba460f4b70253c9cb811090]

	shuffle includes a bit


2013-10-18  David Tardon  <dtardon@redhat.com>  [e118c867e64f55fc15018f11ca01047bd8bbfd2f]

	rename files


2013-10-17  David Tardon  <dtardon@redhat.com>  [57fd6be9f6901a6d65242352eb85458e6d87b185]

	use parsed filtered and leveled images


2013-10-17  David Tardon  <dtardon@redhat.com>  [01bec67f9698df5e14f2763d547c6641cd79be20]

	sf:link-ref needs an extra treatment: ignore for now


2013-10-17  David Tardon  <dtardon@redhat.com>  [cf5968ddae8f42feee109ecf1ceb7f68396014bf]

	only parse what is needed


2013-10-17  David Tardon  <dtardon@redhat.com>  [2231a7f9398acef7a0c5faf96860cb56f359a62c]

	only parse what is needed


2013-10-17  David Tardon  <dtardon@redhat.com>  [2817b823644fd1b4daa6d30240852082d92ebd4b]

	this is unnecessary


2013-10-17  David Tardon  <dtardon@redhat.com>  [2a0399e5554ef6b778707a98a19c1190c151a913]

	WaE: commas at the end of enumerator lists are a C++11 extension


2013-10-17  David Tardon  <dtardon@redhat.com>  [3371ecef1b981ab4612d07c24dd8143a57329f1d]

	handle filtered images


2013-10-16  David Tardon  <dtardon@redhat.com>  [c22476ed32aaafb5f220c38c7daf4d71ed8b1d35]

	parse movies and sounds


2013-10-16  David Tardon  <dtardon@redhat.com>  [911eb83f25a5fc48022c49112a8557b0a0765096]

	add missing member initializers


2013-10-16  David Tardon  <dtardon@redhat.com>  [7739ed0a5f2088054c3a744471aa414d992515eb]

	simplify handling of media content


2013-10-16  David Tardon  <dtardon@redhat.com>  [7dcc5de7f0ced2767a053464f4189aa37e5e7806]

	place image to right position


2013-10-15  David Tardon  <dtardon@redhat.com>  [ff8ccd91473da645da5643c64f99275183a9312c]

	just return 0 if file is not found


2013-10-15  David Tardon  <dtardon@redhat.com>  [b00a929dcf99bd05254433e9e572bba3f60f6723]

	add more assertions


2013-10-15  David Tardon  <dtardon@redhat.com>  [1a8954bc356e27231796f53dbc9b604a65e2d3e0]

	get media content


2013-10-15  David Tardon  <dtardon@redhat.com>  [ed819d566162b951c92ab6617478cb027864b53c]

	really parse sf:image-media element


2013-10-15  David Tardon  <dtardon@redhat.com>  [7f78f6cf22c2e913c3feaf060ca2ab3a1090fbf0]

	uncompress stream


2013-10-15  David Tardon  <dtardon@redhat.com>  [200724ecf6600983a93a4bc0382a4604c7937fd4]

	astyle


2013-10-14  David Tardon  <dtardon@redhat.com>  [319a12e8314f6c17dc2dfc896f97eddf5903d88a]

	oops, everyone knows now where I stole this from


2013-10-14  David Tardon  <dtardon@redhat.com>  [28961b0f65a2f1ea75ba5693f18887d6ec2ee4de]

	improve parsing of older format versions


2013-10-14  David Tardon  <dtardon@redhat.com>  [f926da652feea92e6c8d8daa5a658bb3cb03b756]

	notify app. that the input is a standalone APXL file


2013-10-14  David Tardon  <dtardon@redhat.com>  [8873a2a27009bebc9bfe9c8273622f1d44a405d6]

	paint image


2013-10-14  David Tardon  <dtardon@redhat.com>  [d20c26d6212cc69d7e20ad9e0b833f97e24ea806]

	process parsed images


2013-10-11  David Tardon  <dtardon@redhat.com>  [e094bced98a3271aae3f62273188526a2891c8e6]

	use correct unit


2013-10-11  David Tardon  <dtardon@redhat.com>  [e13d0953204979d7a80549ae83c237dd173b428c]

	what would this class need virt. dtor for?


2013-10-11  David Tardon  <dtardon@redhat.com>  [b31702238502b0108ec440771b5a7390ad1f24c5]

	angles must be in radians


2013-10-07  David Tardon  <dtardon@redhat.com>  [d0d0cb261bc9c4ea2c141f5e411147b1b1b81237]

	rename function


2013-10-07  David Tardon  <dtardon@redhat.com>  [8c6215dc9a8ca3263466a7dc34083d3d71928d34]

	test construction of transformation from geometry


2013-10-06  David Tardon  <dtardon@redhat.com>  [91b33a34d197e65ad05b7d62546d70fba2f6ae16]

	size and position must be defined, the rest is opt.


2013-10-06  David Tardon  <dtardon@redhat.com>  [d48e80416e99000e8ba64ebbdc0ea9d6854af91f]

	do not keep both size components of geometry


2013-10-05  David Tardon  <dtardon@redhat.com>  [ff242a72c2d4afd736368b93ce9c925c915bf950]

	add more transformation tests


